
LockAdViewLayer = cc.Layer.extend({
	isRoot:null,
	_cb:null,
	_adItem:null,
	
	background:null,
	lab_title:null,
	layer_back:null,
	menu_quit:null,
	menu_continue:null,
	menu_close:null,
	menu:null,
	
	app_sprite:null,

	back_listener:null,
	app_listener:null,
	quit_desc:null,
	
	ctor:function (cb, ad_item){
		this._super();
		this._cb = cb;
		this._adItem = ad_item;
		this.quit_desc = "安装"+this._adItem.getName()+", 解锁全部恐龙车";
		this.createComponents();
		cc.log(this._adItem.getQuitPic());
        setWebImage(this._adItem.getQuitPic(), this.app_sprite);
		this.showAnimation();
	},

	createComponents:function(){
		var size = cc.winSize;
		this.layer_back = new cc.LayerColor(cc.color("#000000"), size.width, size.height);
		this.layer_back.opacity = 150;
		this.layer_back.x = 0;
		this.layer_back.y = 0;
		this.addChild(this.layer_back, 0);
		
		this.background = new cc.Sprite("res/adView/lock/quit_lock");
		this.background._setAnchorX(0.5);
		this.background._setAnchorY(0.5);
		this.background.scale = 1;
		this.background.x = size.width / 2;
		this.background.y = size.height / 2;
		this.addChild(this.background, 1);

		var self = this;

		var array_menu_item = [];
        this.menu_quit = new cc.MenuItemImage(
            "res/adView/lock/cancel",
            "res/adView/lock/cancel",
        	function(){
        	    self.cleanRes();
        		console.log("quit click!!!");
        		if (self._cb) {
        		    self._cb("quit");
        		}
        },this);

        this.menu_quit.setPosition(-30, -145);
        this.menu_quit.scale = 1;
        this.menu_quit._setAnchorX(1);
        this.menu_quit._setAnchorY(1);
        array_menu_item[0] = this.menu_quit;


        this.menu_continue = new cc.MenuItemImage(
        	"res/adView/lock/install",
            "res/adView/lock/install",
        	function(){
        	    console.log("install click!!!");
        		if (self._cb) {
        		    self._cb("install");
        		}
                umengEvent("AD_LOCK", self._adItem.getName());
                console.log("app item clicked!!!!");
                openMarket(self._adItem);
        },this);

        this.menu_continue.setPosition(30, -145);
        this.menu_continue.scale = 1;
        this.menu_continue._setAnchorX(0);
        this.menu_continue._setAnchorY(1);
        array_menu_item[1] = this.menu_continue;

        this.menu_close = new cc.MenuItemImage(
            adResource("quit_close"),
            adResource("quit_close"),
            function(){
                self.cleanRes();
        	    console.log("close click!!!");
        		if (self._cb) {
        		    self._cb("quit");
        		}
        },this);

        this.menu_close.setPosition(245, 200);
        this.menu_close.scale = 1;
        this.menu_close._setAnchorX(0);
        this.menu_close._setAnchorY(1);
        array_menu_item[2] = this.menu_close;

        this.menu = new cc.Menu(array_menu_item);
        this.addChild(this.menu, 10);

		this.app_sprite = new cc.Sprite("res/adView/quit_default.png");
		this.app_sprite.x = size.width / 2;
		this.app_sprite.y = size.height / 2 + 5;
		this.addChild(this.app_sprite, 12);

        var s_content = this.app_sprite.getContentSize();
        var helloLabel = new cc.LabelTTF(this.quit_desc, "Arial", 32);
        helloLabel.x = size.width / 2 - 30;
        helloLabel.y =  size.height / 2 + 5 + s_content.height / 2 + 42;
        helloLabel.setFontFillColor(cc.color(255, 0, 0));
        this.addChild(helloLabel, 13);

		var layer_listener = cc.EventListener.create({
			event: cc.EventListener.TOUCH_ONE_BY_ONE,
			swallowTouches: true,
			onTouchBegan: function (touch, event) {
				cc.log("touch begin");

                var locationInNode = self.app_sprite.convertToNodeSpace(touch.getLocation());
                var s = self.app_sprite.getContentSize();
                var rect = cc.rect(0, 0, s.width, s.height);
                if(cc.rectContainsPoint(rect, locationInNode)){
                    umengEvent("AD_LOCK", self._adItem.getName());
                    console.log("app item clicked!!!!");
                    openMarket(self._adItem);

                    return true;
                }

				return true;
			},
			onTouchMoved: function (touch, event) {

			},
			onTouchEnded: function (touch, event) {
			}
		});


		this.back_listener = layer_listener.clone();
		this.back_listener.retain();

		cc.eventManager.addListener(this.back_listener, this.background);
	},
	showAnimation:function(){
//		this.menu_continue.runAction(cc.sequence(cc.scaleTo(0.2, 1.1, 1.1), cc.scaleTo(0.1, 1, 1)));
//		this.menu_quit.runAction(cc.sequence(cc.scaleTo(0.2, 1.1, 1.1), cc.scaleTo(0.1, 1, 1)));
	},
	cleanRes:function(){
	    releaseObj(this.back_listener);
	}
});
