var createColorNodeListener = function(parent,color,width,height,position,callback){
    var colornodelistener = {};

    colornodelistener.colornode = new cc.LayerColor(color,width,height);
    colornodelistener.colornode.setPosition(position.x - width/2,position.y - height/2);
    colornodelistener.callback = callback;
    colornodelistener.colornode.setGlobalZOrder(constCar.globalZOrder.level_pos100);
    parent.addChild(colornodelistener.colornode);

    colornodelistener.colornode.onTouchBegan=function (touch, event) {
        var target = event.getCurrentTarget();
        var cameraPos = cc.Camera.getDefaultCamera().getPosition();
        var cameraDeltaPos = cp.v(cameraPos.x - cc.winSize.width/2,cameraPos.y-cc.winSize.height/2);
        var locationInNode = target.convertToNodeSpace(cp.v(cameraDeltaPos.x + touch.getLocation().x ,cameraDeltaPos.y + touch.getLocation().y));
        var s = target.getContentSize();
        var rect = cc.rect(0, 0, s.width, s.height);
        if (cc.rectContainsPoint(rect, locationInNode)) {
            if(colornodelistener.callback){
                colornodelistener.callback(target);
                colornodelistener.deleteSelf();
            }
            return true;
        }
        return false;
    }
    colornodelistener.colornode.onTouchMoved=function (touch, event) {

    }
    colornodelistener.colornode.onTouchEnded=function (touch, event) {

    }
    colornodelistener.listener = registerTouchEventOneByOne(colornodelistener.colornode,true);

    colornodelistener.deleteSelf = function(){
        cc.eventManager.removeListener(colornodelistener.listener);
        colornodelistener.colornode.removeFromParent(true);
    }
    return colornodelistener;
}


var createColorNodeListener2 = function(parent,color,width,height,position,callback){
    var colornodelistener = {};

    colornodelistener.colornode = new cc.LayerColor(color,width,height);
    colornodelistener.colornode.setPosition(position.x - width/2,position.y - height/2);
    colornodelistener.callback = callback;
    colornodelistener.colornode.setGlobalZOrder(constCar.globalZOrder.level_pos100);
    parent.addChild(colornodelistener.colornode);

    colornodelistener.colornode.onTouchBegan=function (touch, event) {
        var target = event.getCurrentTarget();
        var cameraPos = cc.Camera.getDefaultCamera().getPosition();
        var cameraDeltaPos = cp.v(cameraPos.x - cc.winSize.width/2,cameraPos.y-cc.winSize.height/2);
        var locationInNode = target.convertToNodeSpace(cp.v(cameraDeltaPos.x + touch.getLocation().x ,cameraDeltaPos.y + touch.getLocation().y));
        var s = target.getContentSize();
        var rect = cc.rect(0, 0, s.width, s.height);
        if (cc.rectContainsPoint(rect, locationInNode)) {
            if(colornodelistener.callback){
                colornodelistener.callback([parent,colornodelistener]);
                colornodelistener.deleteSelf();
            }
            return true;
        }
        return false;
    }
    colornodelistener.colornode.onTouchMoved=function (touch, event) {

    }
    colornodelistener.colornode.onTouchEnded=function (touch, event) {

    }
    colornodelistener.listener = registerTouchEventOneByOne(colornodelistener.colornode,true);

    colornodelistener.deleteSelf = function(){
        cc.eventManager.removeListener(colornodelistener.listener);
        colornodelistener.colornode.removeFromParent(true);
    }
    return colornodelistener;
}