var c3_guanqia_dropBridge_5 = function(parent,position){
    var dropBridge = {};

    dropBridge.deltaPos = position;

    var qiao = new cc.Sprite("res/car_c/scene3/qiao2");
    qiao.setAnchorPoint(0.95,0.5);
    qiao.setRotation(12);
    qiao.setPosition(cp.v.add(cp.v(400,0),dropBridge.deltaPos));
    parent.addChild(qiao);

    var qiqiu = new cc.Sprite("res/car_c/scene3/qiqiuqiao/0");
    qiqiu.setPosition(cp.v.add(cp.v(-250,245),dropBridge.deltaPos));
    parent.addChild(qiqiu);


    var self = parent;
    dropBridge.leftCollisionLine = collisionline_new(
        self._space,
        cp.v.add(cp.v(-480,20),dropBridge.deltaPos),
        cp.v.add(cp.v(-480,60),dropBridge.deltaPos),
        function(backshape){
            self.spriteController.shieldTheLayer(true);

            var prop = {
                group:0x0001,
                width:10,
                layers:3
            };
            dropBridge.tmpShape = parent.physicsController.addALineNew(
                cp.v.add(cp.v(-480+100,20),dropBridge.deltaPos),
                cp.v.add(cp.v(-480+100,60+120),dropBridge.deltaPos),
                prop);

            var tempnode = new cc.Node();
            parent.addChild(tempnode);
            tempnode.runAction(
                cc.spawn(
                    cc.sequence(
                        cc.delayTime(1.4),
                        cc.callFunc(function(){
                            self._space.removeShape(backshape);
                            // self.spriteController.shieldTheLayer(false);
                        })
                    ),
                    cc.callFunc(function(){
                        // self.spriteController.shieldTheLayer(true);
                        self.spriteController.getCar().machinearm.setAnimation(1,"c3-5",false);
                    }),
                    cc.delayTime(0.3),
                    cc.callFunc(function(){
                        playCarEffect("jiazi");
                    }),
                    cc.sequence(
                        cc.delayTime(0.4),
                        cc.callFunc(function(){
                            dropBridge.bridgeDrop();
                        })
                    )
                )
            );
        },
        getNewCollType(),
        0.4);


    dropBridge.bridgeDrop = function(){
        qiqiu.runAction(
            cc.sequence(
                cc.spawn(
                    cc.sequence(
                        cc.spawn(animationCreate2(0,4,"res/car_c/scene3/qiqiuqiao/","", 0.13, 1, false),cc.callFunc(function(){ playBalloonEffect();})),
                        cc.fadeOut(0.1)),
                    cc.sequence(
                        cc.delayTime(0.3),
                        cc.callFunc(function(){
                            qiao.runAction(
                                cc.sequence(
                                    cc.rotateBy(0.1,-12),
                                    cc.delayTime(0.4),
                                    cc.callFunc(function(){
                                        self.spriteController.shieldTheLayer(false);
                                        parent._space.removeShape(dropBridge.tmpShape);
                                    })
                                ));
                        }))
                )));
    };

    return dropBridge;
}



var c2_guanqia_dropBridge_4 = function(parent,position){
    var par = parent;

    var dropBridge = {};

    dropBridge.deltaPos = cp.v.add(cp.v(-200,0),position);

    var qiao = new cc.Sprite("res/car_c/scene2/qiao");
    qiao.setGlobalZOrder(constCar.globalZOrder.level_pos20);
    qiao.setAnchorPoint(0.95,0.5);
    qiao.setRotation(0);
    qiao.setPosition(cp.v.add(cp.v(400,-2.5),dropBridge.deltaPos));
    parent.addChild(qiao);

    var qiqiu = new cc.Sprite("res/common/qiqiu/qiqiu3/1");
    qiqiu.setGlobalZOrder(constCar.globalZOrder.level_0);
    qiqiu.setPosition(cp.v.add(cp.v(45,165),dropBridge.deltaPos));
    parent.addChild(qiqiu);


    var spr = new cc.Sprite("res/common/add/quan");
    spr.setScale(1.4);
    spr.setPosition(cp.v.add(cp.v(429,-60),dropBridge.deltaPos));
    spr.setGlobalZOrder(constCar.globalZOrder.level_pos100);
    parent.addChild(spr);

    var self = parent;

    dropBridge.leftCollisionLine =  collisionline_new(
        self._space,
        cp.v.add(cp.v(-248,-130),dropBridge.deltaPos),
        cp.v.add(cp.v(-248,-130+100),dropBridge.deltaPos),
        function(backshape){
            mylog(par.physicsController._canUpdatePhysics + "   par.physicsController._canUpdatePhysics = false");
            par.physicsController._canUpdatePhysics = false;
            var tempnode = new cc.Node();
            parent.addChild(tempnode);
            tempnode.runAction(
                cc.spawn(
                    cc.sequence(
                        cc.delayTime(0.5),
                        cc.callFunc(function(){
                            dropBridge.bridgeDrop();
                        }),
                        cc.delayTime(0.9),
                        cc.callFunc(function(){
                            self._space.removeShape(backshape);
                            par.physicsController._canUpdatePhysics = true;
                            self.spriteController.shieldTheLayer(false);
                            parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        }),
                        cc.delayTime(0.5),
                        cc.callFunc(function(){
                            par._space.removeShape(dropBridge.tmpLine1);
                            par._space.removeShape(dropBridge.tmpLine);
                        })
                    ),
                    cc.callFunc(function(){
                        self.spriteController.shieldTheLayer(true);
                        parent.spriteController.getCar().removeAllJointsShapeBody();
                        self.spriteController.getCar().machinearm.setAnimation(1,"c2-4",false);

                        var prop = {
                            group:0x0001,
                            width:5,
                            layers:2
                        };
                        dropBridge.tmpLine =  parent.physicsController.addALineNew(cp.v.add(cp.v(-248+102-43,-130),dropBridge.deltaPos),cp.v.add(cp.v(-248+102,-130+200),dropBridge.deltaPos),prop);
                        dropBridge.tmpLine1 = parent.physicsController.addALineNew(cp.v.add(cp.v(-248+102-43-325,-130),dropBridge.deltaPos),cp.v.add(cp.v(-248+102-325,-130+200),dropBridge.deltaPos),prop);
                    }),
                    cc.delayTime(0.3),
                    cc.callFunc(function(){
                        playCarEffect("jiazi");
                    })
                )
            );
        },
        getNewCollType(),
        0.4);





    dropBridge.bridgeDrop = function(){
        qiqiu.runAction(
            cc.sequence(
                cc.spawn(
                    cc.sequence(
                        cc.spawn(animationCreate2(1,4,"res/common/qiqiu/qiqiu3/","", 0.13, 1, false),cc.sequence(cc.delayTime(0.2),cc.callFunc(function(){
                            playBalloonEffect();
                        }))),
                        cc.fadeOut(0.1)),
                    cc.sequence(
                        cc.delayTime(0.3),
                        cc.callFunc(function(){
                            qiao.runAction(
                                cc.sequence(
                                    cc.rotateBy(0.1,-17.7),
                                    cc.callFunc(function(){})
                                ));
                        }))
                )));
    };

    return dropBridge;
}




//a1_guanqia_dropBridge_3 is insteaded by these
var Mutouqiao = cc.Sprite.extend({
    ctor:function(path,space,offsetX,offsetY,parent){
        this._super(path);
        this._par = parent;
        this.offX = offsetX;
        this.offY = offsetY;
        this._space = space;
        this.addACollisionLine();
    },
    drop:function(){
        this.runAction(cc.sequence(cc.rotateBy(0.8*0.8, -26-12,-26-12).easing(cc.easeIn(4)),
            cc.rotateBy(0.2*0.8,  5, 5).easing(cc.easeIn(1.2)),
            cc.rotateBy(0.2*0.8, -5,-5).easing(cc.easeIn(1.2)),
            cc.rotateBy(0.12*0.8,  2, 2).easing(cc.easeIn(1)),
            cc.rotateBy(0.12*0.8, -2.3,-2.3).easing(cc.easeIn(1))));
    },
    addACollisionLine:function(){
        this.collisionCallback = function(backshape){
            var prop1 = {
                group:0x0001,
                width:4,
                layers:3,
                point1:cp.v.add(cp.v(-168,-100),cp.v(this.offX,this.offsetY)),
                point2:cp.v.add(cp.v(-168,300),cp.v(this.offX,this.offsetY))
            };
            this.leftLine = this._par.physicsController.addALineNew(prop1.point1,prop1.point2,prop1);

            this._par._space.removeShape(backshape);
            this._par.spriteController.shieldTheLayer(true);
            this._par.spriteController.getCar().removeAllJointsShapeBody();
            playCarEffect("zhuantou");
            this._par.spriteController.getCar().machinearm.setAnimation(1,"land-2-qiqiu",false);
            this.scheduleOnce(function(){
                this.drop();
                this._par.spriteController.getCar().readdAllJointsShapeBodyNormal();
            },1.5);
            this.scheduleOnce(function(){
                this._par._space.removeShape(this.leftLine);
            },1.7);
            this.scheduleOnce(function(){
                this._par.spriteController.changeState(constState.stateNoNe);
                this._par.spriteController.shieldTheLayer(false);
            },2.5);
        }.bind(this);

        this.collisonlineShape = collisionline_new(
            this._space,
            cp.v(this.offX-200,this.offY + 20),
            cp.v(this.offX-200,this.offY - 10),
            this.collisionCallback,
            getNewCollType(),
            0.4);
    },
});




var a3_guanqia_dropBridge_6 = function(parent,__pos){
    var dropBridge = {};

    dropBridge.deltaPos = __pos;
    var deltaY = 100;

    var qiao = new cc.Sprite("res/car_a/scene3/qiqiu/qiao");
    qiao.setRotation(-1.98);
    qiao.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    qiao.setAnchorPoint(0.95,0.5);
    qiao.setPosition(cp.v.add(cp.v(413,0 + deltaY),dropBridge.deltaPos));
    parent.addChild(qiao);

    var qiqiu = new cc.Sprite("res/car_a/scene3/qiqiu/0");
    qiqiu.setGlobalZOrder(constCar.globalZOrder.level_pos15);
    qiqiu.setPosition(cp.v.add(cp.v(128,130 + deltaY),dropBridge.deltaPos));
    parent.addChild(qiqiu);

    var prop1 = {
        group:0x0001,
        width:5,
        layers:3,
        point1:cp.v.add(cp.v(-190 + 30,-200),dropBridge.deltaPos),
        point2:cp.v.add(cp.v(-190 + 30,100),dropBridge.deltaPos)
    };
    dropBridge.leftLine = parent.physicsController.addALineNew(prop1.point1,prop1.point2,prop1);

    dropBridge.bridgeDrop = function(){
        qiqiu.runAction(
            cc.sequence(
                cc.spawn(
                    cc.sequence(
                        animationCreate2(0,4,"res/car_a/scene3/qiqiu/","", 0.13, 1, false),
                        cc.fadeOut(0.1)),
                    cc.sequence(
                        cc.delayTime(0.3),
                        cc.callFunc(function(){
                            qiao.runAction(
                                cc.sequence(
                                    cc.moveBy(0.6,0,-220-deltaY),
                                    cc.callFunc(function(){})
                                ));
                        }))
                )));
    };

    var self = parent;
    dropBridge.groundLineUpCollision = collisionline_new(
        parent._space,
        cp.v.add(cp.v(-193,-200),dropBridge.deltaPos),
        cp.v.add(cp.v(-193,-100),dropBridge.deltaPos),
        function(backshape){
            self.spriteController.shieldTheLayer(true);
            parent.spriteController.getCar().removeAllJointsShapeBody();
            var tempnode = new cc.Node();
            parent.addChild(tempnode);
            tempnode.runAction(
                cc.spawn(
                    cc.sequence(
                        cc.delayTime(2.5),
                        cc.callFunc(function(){
                            self._space.removeShape(backshape);
                            self.spriteController.shieldTheLayer(false);
                            parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        }),
                        cc.delayTime(0.3),
                        cc.callFunc(function(){
                            parent._space.removeShape(dropBridge.leftLine);
                        })
                    ),
                    cc.sequence(
                        cc.callFunc(function(){
                            playCarEffect("zhuantou");
                            self.spriteController.getCar().machinearm.setAnimation(1,"sea-qiqiu",false);
                        }),
                        cc.delayTime(1.2),
                        cc.callFunc(function(){
                            dropBridge.bridgeDrop();
                        })
                    )
                )
            );
        },
        getNewCollType(),
        0.4);

    return dropBridge;
}




var b3_guanqia_qiao_2 = function(parent,position){
    var bridge = {};
    bridge.deltaPos = position;

    bridge.bridgeSpr = new cc.Sprite("res/car_b/scene3/tushuimu1");
    parent.addChild(bridge.bridgeSpr);
    bridge.bridgeSpr.setGlobalZOrder(constCar.globalZOrder.level_pos100);
    bridge.bridgeSpr.setPosition(cp.v.add(position,cp.v(0,300)));

    bridge.shuimu1 = new cc.Sprite("res/car_b/scene3/shuimu2/1");
    bridge.bridgeSpr.addChild(bridge.shuimu1);
    bridge.shuimu1.setPosition(140,-105);
    // bridge.shuimu1.runAction(cc.repeatForever(
    //     animationCreate2(1, 10, "res/car_b/scene3/shuimu2/", "", 0.1, 1, false)
    // ));

    bridge.shuimu2 = new cc.Sprite("res/car_b/scene3/shuimu/1");
    bridge.bridgeSpr.addChild(bridge.shuimu2);
    bridge.shuimu2.setPosition(290,-50);
    // bridge.shuimu2.runAction(cc.repeatForever(
    //     animationCreate2(1, 10, "res/car_b/scene3/shuimu/", "", 0.1, 1, false)
    // ));

    bridge.shuimu3 = new cc.Sprite("res/car_b/scene3/shuimu1/1");
    bridge.shuimu3.setScale(0.7);
    bridge.bridgeSpr.addChild(bridge.shuimu3);
    bridge.shuimu3.setPosition(450,-95);
    // bridge.shuimu3.runAction(cc.repeatForever(
    //     animationCreate2(1, 10, "res/car_b/scene3/shuimu1/", "", 0.1, 1, false)
    // ));

    bridge.shuimu4 = new cc.Sprite("res/car_b/scene3/shuimu1/1");
    bridge.bridgeSpr.addChild(bridge.shuimu4);
    bridge.shuimu4.setPosition(670,-140);
    // bridge.shuimu4.runAction(cc.repeatForever(
    //     animationCreate2(1, 10, "res/car_b/scene3/shuimu1/", "", 0.1, 1, false)
    // ));

    bridge.shuimu5 = new cc.Sprite("res/car_b/scene3/shuimu2/1");
    bridge.shuimu5.setScale(0.7);
    bridge.bridgeSpr.addChild(bridge.shuimu5);
    bridge.shuimu5.setPosition(880,-70);
    // bridge.shuimu5.runAction(cc.repeatForever(
    //     animationCreate2(1, 10, "res/car_b/scene3/shuimu2/", "", 0.1, 1, false)
    // ));

    bridge.shuimu1Action = cc.repeatForever(animationCreate2(1, 10, "res/car_b/scene3/shuimu2/", "", 0.1, 1, false));
    bridge.shuimu2Action = cc.repeatForever(animationCreate2(1, 10, "res/car_b/scene3/shuimu/", "", 0.1, 1, false));
    bridge.shuimu3Action = cc.repeatForever(animationCreate2(1, 10, "res/car_b/scene3/shuimu1/", "", 0.1, 1, false));
    bridge.shuimu4Action = cc.repeatForever(animationCreate2(1, 10, "res/car_b/scene3/shuimu1/", "", 0.1, 1, false));
    bridge.shuimu5Action = cc.repeatForever(animationCreate2(1, 10, "res/car_b/scene3/shuimu2/", "", 0.1, 1, false));

    bridge.shuimu1Action.retain();
    bridge.shuimu2Action.retain();
    bridge.shuimu3Action.retain();
    bridge.shuimu4Action.retain();
    bridge.shuimu5Action.retain();

    bridge.run = function(){
        bridge.bridgeSpr.runAction(cc.moveBy(0.5,0,100).easing(cc.easeOut(5)));
        bridge.shuimu1.runAction(bridge.shuimu1Action);
        bridge.shuimu2.runAction(bridge.shuimu2Action);
        bridge.shuimu3.runAction(bridge.shuimu3Action);
        bridge.shuimu4.runAction(bridge.shuimu4Action);
        bridge.shuimu5.runAction(bridge.shuimu5Action);
    };

    bridge.leftCollisionLine =  collisionline_new(
        parent._space,
        cp.v.add(cp.v(-748,-130),bridge.deltaPos),
        cp.v.add(cp.v(-748,500),bridge.deltaPos),
        function(backshape){
            var tempnode = new cc.Node();
            parent.addChild(tempnode);
            tempnode.runAction(
                cc.spawn(
                    cc.sequence(
                        cc.delayTime(0.5),
                        cc.callFunc(function(){
                            bridge.run();
                        }),
                        cc.delayTime(0.9),
                        cc.callFunc(function(){
                            parent._space.removeShape(backshape);
                            parent.spriteController.shieldTheLayer(false);
                        })
                    ),
                    cc.callFunc(function(){
                        parent.spriteController.shieldTheLayer(true);
                        parent.spriteController.getCar().machinearm.setAnimation(1,"c2-4",false);
                    })
                )
            );
        },
        getNewCollType(),
        0.4);
    return bridge;
}
