function makeRollerCoasterACar(parent,position){
    var rollercoaster = {};
    var deltaPos = position;

    rollercoaster.back = new cc.Sprite("res/car_a/scene2/longtou");
    rollercoaster.back.setScale(1.3);
    parent.addChild(rollercoaster.back);
    rollercoaster.back.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    rollercoaster.back.setPosition(cp.v.add(position,cp.v(950,620)));

    // var prop1 = {
    //     group:0x0001,
    //     width:5,
    //     layers:3,
    //     point1:cp.v.add(cp.v(35+32,100),deltaPos),
    //     point2:cp.v.add(cp.v(35+32-5,-30),deltaPos),
    // };
    // rollercoaster.leftLine = parent.physicsController.addALineNew(prop1.point1,prop1.point2,prop1);

    rollercoaster.collisionLine4 = collisionline_new(
        parent._space,
        cp.v.add(cp.v(30,25),deltaPos),
        cp.v.add(cp.v(30,-30),deltaPos),
        function(backshape){
            parent.spriteController._shieldController.shieldTheLayer(true);
            parent._space.removeShape(backshape);

            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.sequence(
                cc.delayTime(0.5),
                // cc.callFunc(function(){
                //     parent.spriteController.getCar().removeAllJointsShapeBody();
                //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(15,0));
                // }),
                // cc.delayTime(4),
                // cc.callFunc(function(){
                //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                // }),
                //
                // cc.delayTime(0.5),
                //
                // cc.callFunc(function(){
                //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(-15,0));
                // }),
                // cc.delayTime(4),
                // cc.callFunc(function(){
                //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                //     parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                //     parent._space.removeShape(rollercoaster.leftLine);
                // }),
                //
                // cc.delayTime(0.5),

                cc.callFunc(function(){
                    parent.spriteController.getCar().leftWheel.shape.setFriction(0.8);
                    parent.spriteController.getCar().rightWheel.shape.setFriction(0.8);

                    //autodrive
                    parent.spriteController.autoDrive(3887+40,function(){
                        parent.spriteController.getCar().rightWheel.shape.setFriction(0.85);
                        parent.spriteController.getCar().leftWheel.shape.setFriction(0.85);
                        mylog("rollercoasterccar is over");
                        parent.spriteController._shieldController.shieldTheLayer(false);
                        // var self = parent;
                        // var prop = {
                        //     group:0x0001,
                        //     width:10,
                        //     layers:3
                        // };
                        // self.physicsController.addALineNew(cp.v.add(cp.v(11805,-692+400),self.backDelta),cp.v.add(cp.v(11805,692+400),self.backDelta),prop);
                    },6.5);
                })
            ));
        },
        getNewCollType(),
        0.4);

    return rollercoaster;
}

function makeRollerCoasterBCar(parent,position){
    var rollercoaster = {};
    var deltaPos = position;

    rollercoaster.back = new cc.Sprite("res/car_b/scene2/longtou/1");
    parent.addChild(rollercoaster.back);
    rollercoaster.back.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    rollercoaster.back.setPosition(cp.v.add(position,cp.v(600,300)));

    var backchild = new cc.Sprite("res/car_b/scene2/longtou/2");
    rollercoaster.back.addChild(backchild,-1);
    backchild.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    backchild.setPosition(cp.v(300,80));

    var gujia = new cc.Sprite("res/car_b/scene2/longtou/3");
    parent.addChild(gujia,-1);
    gujia.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    gujia.setPosition(cp.v.add(cp.v(600+1100,300-130),position));

    // var prop1 = {
    //     group:0x0001,
    //     width:5,
    //     layers:3,
    //     point1:cp.v.add(cp.v(35+52,100),deltaPos),
    //     point2:cp.v.add(cp.v(35+52-5,-30),deltaPos),
    // };
    // rollercoaster.leftLine = parent.physicsController.addALineNew(prop1.point1,prop1.point2,prop1);

    rollercoaster.collisionLine4 = collisionline_new(
        parent._space,
        cp.v.add(cp.v(30,0),deltaPos),
        cp.v.add(cp.v(30,-30),deltaPos),
        function(backshape){
            parent.spriteController._shieldController.shieldTheLayer(true);
            parent._space.removeShape(backshape);

            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.sequence(
                cc.delayTime(0.5),
                // cc.callFunc(function(){
                //     parent.spriteController.getCar().removeAllJointsShapeBody();
                //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(15,0));
                // }),
                // cc.delayTime(3.5),
                // cc.callFunc(function(){
                //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                // }),
                //
                // cc.delayTime(0.5),
                //
                // cc.callFunc(function(){
                //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(-15,0));
                // }),
                // cc.delayTime(3.5),
                // cc.callFunc(function(){
                //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                //     parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                //     parent._space.removeShape(rollercoaster.leftLine);
                // }),
                //
                // cc.delayTime(0.5),

                cc.callFunc(function(){
                    parent.spriteController.getCar().leftWheel.shape.setFriction(1);
                    parent.spriteController.getCar().rightWheel.shape.setFriction(1);
                    parent.spriteController.getCar().leftCenterWheel.shape.setFriction(1);
                    parent.spriteController.getCar().centerRightWheel.shape.setFriction(1);

                    //autodrive
                    parent.spriteController.autoDrive(3420,function(){
                        parent.spriteController.getCar().rightWheel.shape.setFriction(0.8);
                        parent.spriteController.getCar().leftWheel.shape.setFriction(0.8);
                        parent.spriteController.getCar().leftCenterWheel.shape.setFriction(0.8);
                        parent.spriteController.getCar().centerRightWheel.shape.setFriction(0.8);
                        parent.spriteController._shieldController.shieldTheLayer(false);
                        // var self = parent;
                        // var prop = {
                        //     group:0x0001,
                        //     width:10,
                        //     layers:3
                        // };
                        // self.physicsController.addALineNew(cp.v.add(cp.v(11805,-692+400),self.backDelta),cp.v.add(cp.v(11805,692+400),self.backDelta),prop);
                    },6.5);
                })
            ));
            // parent._space.removeShape(backshape);
            //
            // parent.spriteController.getCar().leftWheel.shape.setFriction(1);
            // parent.spriteController.getCar().rightWheel.shape.setFriction(1);
            // parent.spriteController.getCar().leftCenterWheel.shape.setFriction(1);
            // parent.spriteController.getCar().centerRightWheel.shape.setFriction(1);
            //
            // //autodrive
            // parent.spriteController.autoDrive(3420,function(){
            //     parent.spriteController.getCar().rightWheel.shape.setFriction(0.8);
            //     parent.spriteController.getCar().leftWheel.shape.setFriction(0.8);
            //     parent.spriteController.getCar().leftCenterWheel.shape.setFriction(0.8);
            //     parent.spriteController.getCar().centerRightWheel.shape.setFriction(0.8);
            //     mylog("rollercoasterccar is over");
            //
            //     // var self = parent;
            //     // var prop = {
            //     //     group:0x0001,
            //     //     width:10,
            //     //     layers:3
            //     // };
            //     // self.physicsController.addALineNew(cp.v.add(cp.v(11805,-692+400),self.backDelta),cp.v.add(cp.v(11805,692+400),self.backDelta),prop);
            // },8);
        },
        getNewCollType(),
        0.4);

    return rollercoaster;
}

function makeRollerCoasterCCar(parent,pos){
    var rollercoaster = {};
    var deltaPos = pos;

    rollercoaster.back = new cc.Sprite("res/car_c/scene2/longtou/1");
    parent.addChild(rollercoaster.back);
    rollercoaster.back.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    rollercoaster.back.setPosition(cp.v.add(pos,cp.v(600,300)));

    var backchild = new cc.Sprite("res/car_c/scene2/longtou/2");
    rollercoaster.back.addChild(backchild,-1);
    backchild.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    backchild.setPosition(cp.v(300,80));

    rollercoaster.collisionLine4 = collisionline_new(parent._space,
        cp.v.add(cp.v(10,-45),deltaPos),
        cp.v.add(cp.v.add(cp.v(10,-45),cp.v(0,100)),deltaPos),
        function(backshape){
            parent.spriteController._shieldController.shieldTheLayer(true);
            parent._space.removeShape(backshape);

            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.sequence(
                cc.delayTime(0.5),
                // cc.callFunc(function(){
                //     parent.spriteController.getCar().removeAllJointsShapeBody();
                //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(15,0));
                // }),
                // cc.delayTime(4),
                // cc.callFunc(function(){
                //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                // }),
                //
                // cc.delayTime(0.5),
                //
                // cc.callFunc(function(){
                //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(-15,0));
                // }),
                // cc.delayTime(4),
                // cc.callFunc(function(){
                //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                //     parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                //     // parent._space.removeShape(rollercoaster.leftLine);
                // }),
                //
                // cc.delayTime(0.5),

                cc.callFunc(function(){
                    parent.spriteController.getCar().leftWheel.shape.setFriction(1);
                    parent.spriteController.getCar().rightWheel.shape.setFriction(1);
                    parent.spriteController.getCar().centerWheel.shape.setFriction(1);

                    //autodrive
                    parent.spriteController.autoDrive(4300,function(){
                        parent.spriteController.getCar().rightWheel.shape.setFriction(0.9);
                        parent.spriteController.getCar().centerWheel.shape.setFriction(0.9);
                        parent.spriteController.getCar().leftWheel.shape.setFriction(0.9);
                        parent.spriteController._shieldController.shieldTheLayer(false);
                        // var self = parent;
                        // var prop = {
                        //     group:0x0001,
                        //     width:10,
                        //     layers:3
                        // };
                        // self.physicsController.addALineNew(cp.v.add(cp.v(11805,-692+400),self.backDelta),cp.v.add(cp.v(11805,692+400),self.backDelta),prop);
                    },6.5);
                })
            ));
            // parent._space.removeShape(backshape);
            //
            // parent.spriteController.getCar().leftWheel.shape.setFriction(1);
            // parent.spriteController.getCar().rightWheel.shape.setFriction(1);
            // parent.spriteController.getCar().centerWheel.shape.setFriction(1);
            //
            // //autodrive
            // parent.spriteController.autoDrive(4300,function(){
            //     parent.spriteController.getCar().rightWheel.shape.setFriction(0.8);
            //     parent.spriteController.getCar().centerWheel.shape.setFriction(0.8);
            //     parent.spriteController.getCar().leftWheel.shape.setFriction(0.8);
            //     mylog("rollercoasterccar is over");
            //
            //     // var self = parent;
            //     // var prop = {
            //     //     group:0x0001,
            //     //     width:10,
            //     //     layers:3
            //     // };
            //     self.physicsController.addALineNew(cp.v.add(cp.v(11805,-692+400),self.backDelta),cp.v.add(cp.v(11805,692+400),self.backDelta),prop);
            // },6);
        },
        getNewCollType(),
        0.4);

    return rollercoaster;
}
