function a1_guanqia_makeHangStone_a(space,parent,indeltaPos){
	var delta = indeltaPos;

	var hangStone = {
		supportStone:{
			left:{
				sprite:null,
				pos:cp.v(120,300)
			},
			center:{
				sprite:null,
				pos:cp.v(201,287)
			},
			right:{
				sprite:null,
				pos:cp.v(273.5,297.5)
			},
			ground:{
				groundShape:null,
				posLeft:cp.v(110,300),
				posRight:cp.v(275,300),
				group:1
			}
		},
		preciousStone:{
			stonecommon:{
				group:2
			},
			stone1:{
				pos:cp.v(150,315),
				body:null
			},
			stone2:{
				pos:cp.v(190,315),
				body:null
			},
			stone3:{
				pos:cp.v(250,315),
				body:null
			},
			stone4:{
				pos:cp.v(170,340),
				body:null
			}
		}
	};

	hangStone.resetPos = function(){
		delta  = cp.v.add(cp.v(-195,-290),delta);
		hangStone.supportStone.left.pos = cp.v.add(hangStone.supportStone.left.pos,delta);
		hangStone.supportStone.center.pos = cp.v.add(hangStone.supportStone.center.pos,delta);
		hangStone.supportStone.right.pos = cp.v.add(hangStone.supportStone.right.pos,delta);
		hangStone.supportStone.ground.posLeft = cp.v.add(hangStone.supportStone.ground.posLeft,delta);
		hangStone.supportStone.ground.posRight = cp.v.add(hangStone.supportStone.ground.posRight,delta);
		hangStone.preciousStone.stone1.pos = cp.v.add(hangStone.preciousStone.stone1.pos,delta);
		hangStone.preciousStone.stone2.pos = cp.v.add(hangStone.preciousStone.stone2.pos,delta);
		hangStone.preciousStone.stone3.pos = cp.v.add(hangStone.preciousStone.stone3.pos,delta);
		hangStone.preciousStone.stone4.pos = cp.v.add(hangStone.preciousStone.stone4.pos,delta);
	};


	hangStone.onTouchBegan=function (touch, event) {
		var target = event.getCurrentTarget();
		var cameraPos = cc.Camera.getDefaultCamera().getPosition();
		var cameraDeltaPos = cp.v(cameraPos.x - cc.winSize.width/2,cameraPos.y-cc.winSize.height/2);
		var locationInNode = target.convertToNodeSpace(cp.v(cameraDeltaPos.x + touch.getLocation().x ,cameraDeltaPos.y + touch.getLocation().y));
		var s = target.getContentSize();
		var rect = cc.rect(0, 0, s.width, s.height);
		if (cc.rectContainsPoint(rect, locationInNode) && target.couldTouch) {
			target.couldTouch = false;
			var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
			playTreasureEffect();
			var bezierCenter = cp.v((target.getPosition().x + pos.x)/2,(target.getPosition().y + pos.y)/2 + 200);
			sendAddOneEvent();
			target.runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2),cc.callFunc(function(){cc.eventManager.removeListener(target.listener);}),cc.removeSelf(true)));

			return true;
		}
		return false;
	}
	hangStone.onTouchMoved=function (touch, event) {

	}
	hangStone.onTouchEnded=function (touch, event) {

	}

	hangStone.resetPos();
	hangStone.supportStone.left.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu2");
	hangStone.supportStone.left.sprite.setPosition(hangStone.supportStone.left.pos);
	hangStone.supportStone.left.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("left : " + hangStone.supportStone.left.pos.x + "," + hangStone.supportStone.left.pos.y);
	parent.addChild(hangStone.supportStone.left.sprite);

	hangStone.supportStone.center.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu1");
	hangStone.supportStone.center.sprite.setPosition(hangStone.supportStone.center.pos);
	hangStone.supportStone.center.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("center : " + hangStone.supportStone.center.pos.x + "," + hangStone.supportStone.center.pos.y);
	parent.addChild(hangStone.supportStone.center.sprite);

	hangStone.supportStone.right.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu3");
	hangStone.supportStone.right.sprite.setPosition(hangStone.supportStone.right.pos);
	hangStone.supportStone.right.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("right : " + hangStone.supportStone.right.pos.x + "," + hangStone.supportStone.right.pos.y);
	parent.addChild(hangStone.supportStone.right.sprite);

	hangStone.clickTip = ClickTipSpr(parent,cp.v.add(delta,cp.v(195,318)));
	hangStone.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

	hangStone.clickCallback = function(){
		hangStone.clickTip.destroySelf();
		parent.spriteController.shieldTheLayer(true);
		var func = function () {
			var node = new cc.Node();
			parent.addChild(node);
			node.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(
						function(){
							playCarEffect("zhuantou");
							parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"land-1-4",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(2.1),
					cc.callFunc(function(){hangStone.drop();}),
					cc.delayTime(2),
					cc.callFunc(function(){
						parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
						parent.spriteController.shieldTheLayer(false);
					})
				)
			));
		};
		func.controlValue = true;
		parent.updateController.pushOneDataToArray(indeltaPos.x - 290, func);
	}

	hangStone.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,100,hangStone.supportStone.center.pos,hangStone.clickCallback);

	// parent.draw.drawSegment(hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight, 1, cc.color(0, 255, 255, constCar.debug.opacity));
	hangStone.supportStone.ground.groundShape = space.addShape(new cp.SegmentShape(space.staticBody,hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight,0));
	hangStone.supportStone.ground.groundShape.group = hangStone.supportStone.ground.group;

	hangStone.bodyShape = [];
	hangStone.physicsSprite = [];

	hangStone.drop = function(){

		hangStone.supportStone.left.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.supportStone.center.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,-120,-120)),cc.fadeOut(1)));
		hangStone.supportStone.right.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,-12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.preciousStone.stone1.body.applyImpulse(cp.v(0,1.0 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone2.body.applyImpulse(cp.v(0,1.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone3.body.applyImpulse(cp.v(0,0.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone4.body.applyImpulse(cp.v(0,2.0 * 0.02),cp.v(0,0));
		space.removeShape(hangStone.supportStone.ground.groundShape);

		var node = new cc.Node();
		parent.addChild(node);

		node.scheduleOnce(function(){
			for(var i = 0;i < 4;i ++) {
				hangStone.physicsSprite[i].couldTouch = true;
				hangStone.physicsSprite[i].onTouchBegan = hangStone.onTouchBegan;
				hangStone.physicsSprite[i].onTouchMoved = hangStone.onTouchMoved;
				hangStone.physicsSprite[i].onTouchEnded = hangStone.onTouchEnded;
				hangStone.physicsSprite[i].listener = registerTouchEventOneByOne(hangStone.physicsSprite[i]);
			}

			for(var i = 0;i < 4;i ++) {
				space.removeShape(hangStone.bodyShape[i][1]);
				space.removeBody(hangStone.bodyShape[i][0]);
			}
		},3);
	};

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone1.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone1.body = bodyshape[0];
	hangStone.physicsSprite[0] = makeSkin_simple_2(hangStone.preciousStone.stone1.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone1.pos,0.5));
	hangStone.bodyShape.push(bodyshape);
	//
	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone2.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone2.body = bodyshape[0];
	hangStone.physicsSprite[1] =makeSkin_simple_2(hangStone.preciousStone.stone2.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone2.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone3.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone3.body = bodyshape[0];
	hangStone.physicsSprite[2] =makeSkin_simple_2(hangStone.preciousStone.stone3.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone3.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone4.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone4.body = bodyshape[0];
	hangStone.physicsSprite[3] =makeSkin_simple_2(hangStone.preciousStone.stone4.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone4.pos,0.5));
	hangStone.bodyShape.push(bodyshape);


	return hangStone;
}


function a2_guanqia_makeHangStone_3(space,parent,indeltaPos){
	var delta = indeltaPos;

	var hangStone = {
		supportStone:{
			left:{
				sprite:null,
				pos:cp.v(120,300)
			},
			center:{
				sprite:null,
				pos:cp.v(201,287)
			},
			right:{
				sprite:null,
				pos:cp.v(273.5,297.5)
			},
			ground:{
				groundShape:null,
				posLeft:cp.v(110,300),
				posRight:cp.v(275,300),
				group:1
			}
		},
		preciousStone:{
			stonecommon:{
				group:2
			},
			stone1:{
				pos:cp.v(150,315),
				body:null
			},
			stone2:{
				pos:cp.v(190,315),
				body:null
			},
			stone3:{
				pos:cp.v(250,315),
				body:null
			},
			stone4:{
				pos:cp.v(170,340),
				body:null
			}
		}
	};

	hangStone.resetPos = function(){
		delta  = cp.v.add(cp.v(-195,-290),delta);
		hangStone.supportStone.left.pos = cp.v.add(hangStone.supportStone.left.pos,delta);
		hangStone.supportStone.center.pos = cp.v.add(hangStone.supportStone.center.pos,delta);
		hangStone.supportStone.right.pos = cp.v.add(hangStone.supportStone.right.pos,delta);
		hangStone.supportStone.ground.posLeft = cp.v.add(hangStone.supportStone.ground.posLeft,delta);
		hangStone.supportStone.ground.posRight = cp.v.add(hangStone.supportStone.ground.posRight,delta);
		hangStone.preciousStone.stone1.pos = cp.v.add(hangStone.preciousStone.stone1.pos,delta);
		hangStone.preciousStone.stone2.pos = cp.v.add(hangStone.preciousStone.stone2.pos,delta);
		hangStone.preciousStone.stone3.pos = cp.v.add(hangStone.preciousStone.stone3.pos,delta);
		hangStone.preciousStone.stone4.pos = cp.v.add(hangStone.preciousStone.stone4.pos,delta);
	};


	hangStone.onTouchBegan=function (touch, event) {
		var target = event.getCurrentTarget();
		var cameraPos = cc.Camera.getDefaultCamera().getPosition();
		var cameraDeltaPos = cp.v(cameraPos.x - cc.winSize.width/2,cameraPos.y-cc.winSize.height/2);
		var locationInNode = target.convertToNodeSpace(cp.v(cameraDeltaPos.x + touch.getLocation().x ,cameraDeltaPos.y + touch.getLocation().y));
		var s = target.getContentSize();
		var rect = cc.rect(0, 0, s.width, s.height);
		if (cc.rectContainsPoint(rect, locationInNode) && target.couldTouch) {
			target.couldTouch = false;
			var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
			playTreasureEffect();
			var bezierCenter = cp.v((target.getPosition().x + pos.x)/2,(target.getPosition().y + pos.y)/2 + 200);
			sendAddOneEvent();
			target.runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2),cc.callFunc(function(){cc.eventManager.removeListener(target.listener);}),cc.removeSelf(true)));

			return true;
		}
		return false;
	}
	hangStone.onTouchMoved=function (touch, event) {

	}
	hangStone.onTouchEnded=function (touch, event) {

	}

	hangStone.resetPos();
	hangStone.supportStone.left.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu2");
	hangStone.supportStone.left.sprite.setPosition(hangStone.supportStone.left.pos);
	hangStone.supportStone.left.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("left : " + hangStone.supportStone.left.pos.x + "," + hangStone.supportStone.left.pos.y);
	parent.addChild(hangStone.supportStone.left.sprite);

	hangStone.supportStone.center.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu1");
	hangStone.supportStone.center.sprite.setPosition(hangStone.supportStone.center.pos);
	hangStone.supportStone.center.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("center : " + hangStone.supportStone.center.pos.x + "," + hangStone.supportStone.center.pos.y);
	parent.addChild(hangStone.supportStone.center.sprite);

	hangStone.supportStone.right.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu3");
	hangStone.supportStone.right.sprite.setPosition(hangStone.supportStone.right.pos);
	hangStone.supportStone.right.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("right : " + hangStone.supportStone.right.pos.x + "," + hangStone.supportStone.right.pos.y);
	parent.addChild(hangStone.supportStone.right.sprite);

	hangStone.clickTip = ClickTipSpr(parent,cp.v.add(delta,cp.v(190,330)));
	hangStone.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

	hangStone.clickCallback = function(){
		hangStone.clickTip.destroySelf();
		parent.spriteController.shieldTheLayer(true);
		var func = function () {
			var node = new cc.Node();
			parent.addChild(node);
			node.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(
						function(){
							playCarEffect("zhuantou");
							parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"stone-1",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(1.8),
					cc.callFunc(function(){hangStone.drop();})
				)
			));
		};
		func.controlValue = true;
		parent.updateController.pushOneDataToArray(2410, func);
	}

	hangStone.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,150,cp.v.add(hangStone.supportStone.center.pos,cp.v(-10,40)),hangStone.clickCallback);

	// parent.draw.drawSegment(hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight, 1, cc.color(0, 255, 255, constCar.debug.opacity));
	hangStone.supportStone.ground.groundShape = space.addShape(new cp.SegmentShape(space.staticBody,hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight,0));
	hangStone.supportStone.ground.groundShape.group = hangStone.supportStone.ground.group;

	hangStone.bodyShape = [];
	hangStone.physicsSprite = [];

	hangStone.drop = function(){
		playShikuaidiaoluoEffect();
		hangStone.supportStone.left.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.supportStone.center.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,-120,-120)),cc.fadeOut(1)));
		hangStone.supportStone.right.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,-12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.preciousStone.stone1.body.applyImpulse(cp.v(0,1.0 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone2.body.applyImpulse(cp.v(0,1.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone3.body.applyImpulse(cp.v(0,0.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone4.body.applyImpulse(cp.v(0,2.0 * 0.02),cp.v(0,0));
		space.removeShape(hangStone.supportStone.ground.groundShape);

		var node = new cc.Node();
		parent.addChild(node);

		node.scheduleOnce(function(){
			parent.spriteController.shieldTheLayer(false);
			parent.spriteController.getCar().readdAllJointsShapeBodyNormal();

			for(var i = 0;i < 4;i ++) {
				hangStone.physicsSprite[i].couldTouch = true;
				hangStone.physicsSprite[i].onTouchBegan = hangStone.onTouchBegan;
				hangStone.physicsSprite[i].onTouchMoved = hangStone.onTouchMoved;
				hangStone.physicsSprite[i].onTouchEnded = hangStone.onTouchEnded;
				hangStone.physicsSprite[i].listener = registerTouchEventOneByOne(hangStone.physicsSprite[i]);
			}

			for(var i = 0;i < 4;i ++) {
				space.removeShape(hangStone.bodyShape[i][1]);
				space.removeBody(hangStone.bodyShape[i][0]);
			}
		},2);
	};

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone1.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone1.body = bodyshape[0];
	hangStone.physicsSprite[0] = makeSkin_simple_2(hangStone.preciousStone.stone1.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone1.pos,0.5));
	hangStone.bodyShape.push(bodyshape);
	//
	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone2.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone2.body = bodyshape[0];
	hangStone.physicsSprite[1] =makeSkin_simple_2(hangStone.preciousStone.stone2.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone2.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone3.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone3.body = bodyshape[0];
	hangStone.physicsSprite[2] =makeSkin_simple_2(hangStone.preciousStone.stone3.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone3.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone4.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone4.body = bodyshape[0];
	hangStone.physicsSprite[3] =makeSkin_simple_2(hangStone.preciousStone.stone4.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone4.pos,0.5));
	hangStone.bodyShape.push(bodyshape);


	return hangStone;
}



function b2_guanqia_makeHangStone_7(space,parent,indeltaPos){
	var delta = indeltaPos;

	var hangStone = {
		supportStone:{
			left:{
				sprite:null,
				pos:cp.v(120,300)
			},
			center:{
				sprite:null,
				pos:cp.v(201,287)
			},
			right:{
				sprite:null,
				pos:cp.v(273.5,297.5)
			},
			ground:{
				groundShape:null,
				posLeft:cp.v(110,300),
				posRight:cp.v(275,300),
				group:1
			}
		},
		preciousStone:{
			stonecommon:{
				group:2
			},
			stone1:{
				pos:cp.v(150,315),
				body:null
			},
			stone2:{
				pos:cp.v(190,315),
				body:null
			},
			stone3:{
				pos:cp.v(250,315),
				body:null
			},
			stone4:{
				pos:cp.v(170,340),
				body:null
			}
		}
	};

	hangStone.resetPos = function(){
		delta  = cp.v.add(cp.v(-195,-340),delta);
		hangStone.supportStone.left.pos = cp.v.add(hangStone.supportStone.left.pos,delta);
		hangStone.supportStone.center.pos = cp.v.add(hangStone.supportStone.center.pos,delta);
		hangStone.supportStone.right.pos = cp.v.add(hangStone.supportStone.right.pos,delta);
		hangStone.supportStone.ground.posLeft = cp.v.add(hangStone.supportStone.ground.posLeft,delta);
		hangStone.supportStone.ground.posRight = cp.v.add(hangStone.supportStone.ground.posRight,delta);
		hangStone.preciousStone.stone1.pos = cp.v.add(hangStone.preciousStone.stone1.pos,delta);
		hangStone.preciousStone.stone2.pos = cp.v.add(hangStone.preciousStone.stone2.pos,delta);
		hangStone.preciousStone.stone3.pos = cp.v.add(hangStone.preciousStone.stone3.pos,delta);
		hangStone.preciousStone.stone4.pos = cp.v.add(hangStone.preciousStone.stone4.pos,delta);
	};


	hangStone.onTouchBegan=function (touch, event) {
		var target = event.getCurrentTarget();
		var cameraPos = cc.Camera.getDefaultCamera().getPosition();
		var cameraDeltaPos = cp.v(cameraPos.x - cc.winSize.width/2,cameraPos.y-cc.winSize.height/2);
		var locationInNode = target.convertToNodeSpace(cp.v(cameraDeltaPos.x + touch.getLocation().x ,cameraDeltaPos.y + touch.getLocation().y));
		var s = target.getContentSize();
		var rect = cc.rect(0, 0, s.width, s.height);
		if (cc.rectContainsPoint(rect, locationInNode) && target.couldTouch) {
			target.couldTouch = false;
			var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
			playTreasureEffect();
			var bezierCenter = cp.v((target.getPosition().x + pos.x)/2,(target.getPosition().y + pos.y)/2 + 200);
			sendAddOneEvent();
			target.runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2),cc.callFunc(function(){cc.eventManager.removeListener(target.listener);}),cc.removeSelf(true)));

			return true;
		}
		return false;
	}
	hangStone.onTouchMoved=function (touch, event) {

	}
	hangStone.onTouchEnded=function (touch, event) {

	}

	hangStone.resetPos();
	hangStone.supportStone.left.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu2");
	hangStone.supportStone.left.sprite.setPosition(hangStone.supportStone.left.pos);
	hangStone.supportStone.left.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("left : " + hangStone.supportStone.left.pos.x + "," + hangStone.supportStone.left.pos.y);
	parent.addChild(hangStone.supportStone.left.sprite);

	hangStone.supportStone.center.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu1");
	hangStone.supportStone.center.sprite.setPosition(hangStone.supportStone.center.pos);
	hangStone.supportStone.center.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("center : " + hangStone.supportStone.center.pos.x + "," + hangStone.supportStone.center.pos.y);
	parent.addChild(hangStone.supportStone.center.sprite);

	hangStone.supportStone.right.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu3");
	hangStone.supportStone.right.sprite.setPosition(hangStone.supportStone.right.pos);
	hangStone.supportStone.right.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("right : " + hangStone.supportStone.right.pos.x + "," + hangStone.supportStone.right.pos.y);
	parent.addChild(hangStone.supportStone.right.sprite);

	hangStone.clickTip = ClickTipSpr(parent,cp.v.add(indeltaPos,cp.v(-4,8)));
	hangStone.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

	hangStone.clickCallback = function(){
		hangStone.clickTip.destroySelf();
		parent.spriteController.setShouldUpdate(false);
		parent.spriteController.shieldTheLayer(true);
		var func = function () {
			parent.spriteController.setShouldUpdate(true);
			var node = new cc.Node();
			parent.addChild(node);
			node.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(
						function(){
							playCarEffect("tieqiu");
							// parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"stone-1-3 sea-1-5-6",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(0.4),
					cc.callFunc(function(){hangStone.drop();}),
					cc.delayTime(3),
					cc.callFunc(function(){
						// parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
						parent.spriteController.shieldTheLayer(false);
					})
				)
			));
		};
		func.controlValue = true;
		parent.updateController.pushOneDataToArray(indeltaPos.x - 300, func);
	}


	hangStone.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,150,cp.v.add(hangStone.supportStone.center.pos,cp.v(0,40)),hangStone.clickCallback);

	// parent.draw.drawSegment(hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight, 1, cc.color(0, 255, 255, constCar.debug.opacity));
	hangStone.supportStone.ground.groundShape = space.addShape(new cp.SegmentShape(space.staticBody,hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight,0));
	hangStone.supportStone.ground.groundShape.group = hangStone.supportStone.ground.group;

	hangStone.bodyShape = [];
	hangStone.physicsSprite = [];

	hangStone.drop = function(){
		playShikuaidiaoluoEffect();
		hangStone.supportStone.left.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.supportStone.center.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,-120,-120)),cc.fadeOut(1)));
		hangStone.supportStone.right.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,-12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.preciousStone.stone1.body.applyImpulse(cp.v(0,1.0 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone2.body.applyImpulse(cp.v(0,1.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone3.body.applyImpulse(cp.v(0,0.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone4.body.applyImpulse(cp.v(0,2.0 * 0.02),cp.v(0,0));
		space.removeShape(hangStone.supportStone.ground.groundShape);

		var node = new cc.Node();
		parent.addChild(node);

		node.scheduleOnce(function(){
			for(var i = 0;i < 4;i ++) {
				hangStone.physicsSprite[i].couldTouch = true;
				hangStone.physicsSprite[i].onTouchBegan = hangStone.onTouchBegan;
				hangStone.physicsSprite[i].onTouchMoved = hangStone.onTouchMoved;
				hangStone.physicsSprite[i].onTouchEnded = hangStone.onTouchEnded;
				hangStone.physicsSprite[i].listener = registerTouchEventOneByOne(hangStone.physicsSprite[i]);
			}

			for(var i = 0;i < 4;i ++) {
				space.removeShape(hangStone.bodyShape[i][1]);
				space.removeBody(hangStone.bodyShape[i][0]);
			}
		},2);
	};

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone1.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone1.body = bodyshape[0];
	hangStone.physicsSprite[0] = makeSkin_simple_2(hangStone.preciousStone.stone1.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone1.pos,0.5));
	hangStone.bodyShape.push(bodyshape);
	//
	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone2.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone2.body = bodyshape[0];
	hangStone.physicsSprite[1] =makeSkin_simple_2(hangStone.preciousStone.stone2.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone2.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone3.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone3.body = bodyshape[0];
	hangStone.physicsSprite[2] =makeSkin_simple_2(hangStone.preciousStone.stone3.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone3.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone4.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone4.body = bodyshape[0];
	hangStone.physicsSprite[3] =makeSkin_simple_2(hangStone.preciousStone.stone4.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone4.pos,0.5));
	hangStone.bodyShape.push(bodyshape);


	return hangStone;
}







function b1_guanqia_makeHangStone_5(space,parent,indeltaPos){
	var delta = indeltaPos;

	var hangStone = {
		supportStone:{
			left:{
				sprite:null,
				pos:cp.v(120,300)
			},
			center:{
				sprite:null,
				pos:cp.v(201,287)
			},
			right:{
				sprite:null,
				pos:cp.v(273.5,297.5)
			},
			ground:{
				groundShape:null,
				posLeft:cp.v(110,300),
				posRight:cp.v(275,300),
				group:1
			}
		},
		preciousStone:{
			stonecommon:{
				group:2
			},
			stone1:{
				pos:cp.v(150,315),
				body:null
			},
			stone2:{
				pos:cp.v(190,315),
				body:null
			},
			stone3:{
				pos:cp.v(250,315),
				body:null
			},
			stone4:{
				pos:cp.v(170,340),
				body:null
			}
		}
	};

	hangStone.resetPos = function(){
		delta  = cp.v.add(cp.v(-195,-290),delta);
		hangStone.supportStone.left.pos = cp.v.add(hangStone.supportStone.left.pos,delta);
		hangStone.supportStone.center.pos = cp.v.add(hangStone.supportStone.center.pos,delta);
		hangStone.supportStone.right.pos = cp.v.add(hangStone.supportStone.right.pos,delta);
		hangStone.supportStone.ground.posLeft = cp.v.add(hangStone.supportStone.ground.posLeft,delta);
		hangStone.supportStone.ground.posRight = cp.v.add(hangStone.supportStone.ground.posRight,delta);
		hangStone.preciousStone.stone1.pos = cp.v.add(hangStone.preciousStone.stone1.pos,delta);
		hangStone.preciousStone.stone2.pos = cp.v.add(hangStone.preciousStone.stone2.pos,delta);
		hangStone.preciousStone.stone3.pos = cp.v.add(hangStone.preciousStone.stone3.pos,delta);
		hangStone.preciousStone.stone4.pos = cp.v.add(hangStone.preciousStone.stone4.pos,delta);
	};


	hangStone.onTouchBegan=function (touch, event) {
		var target = event.getCurrentTarget();
		var cameraPos = cc.Camera.getDefaultCamera().getPosition();
		var cameraDeltaPos = cp.v(cameraPos.x - cc.winSize.width/2,cameraPos.y-cc.winSize.height/2);
		var locationInNode = target.convertToNodeSpace(cp.v(cameraDeltaPos.x + touch.getLocation().x ,cameraDeltaPos.y + touch.getLocation().y));
		var s = target.getContentSize();
		var rect = cc.rect(0, 0, s.width, s.height);
		if (cc.rectContainsPoint(rect, locationInNode) && target.couldTouch) {
			target.couldTouch = false;
			var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
			playTreasureEffect();
			var bezierCenter = cp.v((target.getPosition().x + pos.x)/2,(target.getPosition().y + pos.y)/2 + 200);
			sendAddOneEvent();
			target.runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2),cc.callFunc(function(){cc.eventManager.removeListener(target.listener);}),cc.removeSelf(true)));

			return true;
		}
		return false;
	}
	hangStone.onTouchMoved=function (touch, event) {

	}
	hangStone.onTouchEnded=function (touch, event) {

	}

	hangStone.resetPos();
	hangStone.supportStone.left.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu2");
	hangStone.supportStone.left.sprite.setPosition(hangStone.supportStone.left.pos);
	hangStone.supportStone.left.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("left : " + hangStone.supportStone.left.pos.x + "," + hangStone.supportStone.left.pos.y);
	parent.addChild(hangStone.supportStone.left.sprite);

	hangStone.supportStone.center.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu1");
	hangStone.supportStone.center.sprite.setPosition(hangStone.supportStone.center.pos);
	hangStone.supportStone.center.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("center : " + hangStone.supportStone.center.pos.x + "," + hangStone.supportStone.center.pos.y);
	parent.addChild(hangStone.supportStone.center.sprite);

	hangStone.supportStone.right.sprite = new cc.Sprite("res/car_a/scene1/cangbaochu/cangbaochu3");
	hangStone.supportStone.right.sprite.setPosition(hangStone.supportStone.right.pos);
	hangStone.supportStone.right.sprite.setGlobalZOrder(constCar.globalZOrder.level_pos100);
	mylog("right : " + hangStone.supportStone.right.pos.x + "," + hangStone.supportStone.right.pos.y);
	parent.addChild(hangStone.supportStone.right.sprite);

	hangStone.clickCallback = function(){
		mylog("cc");
		hangStone.drop();
	}

	hangStone.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,100,hangStone.supportStone.center.pos,hangStone.clickCallback);

	// parent.draw.drawSegment(hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight, 1, cc.color(0, 255, 255, constCar.debug.opacity));
	hangStone.supportStone.ground.groundShape = space.addShape(new cp.SegmentShape(space.staticBody,hangStone.supportStone.ground.posLeft,hangStone.supportStone.ground.posRight,0));
	hangStone.supportStone.ground.groundShape.group = hangStone.supportStone.ground.group;

	hangStone.bodyShape = [];
	hangStone.physicsSprite = [];

	hangStone.drop = function(){
		hangStone.supportStone.left.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.supportStone.center.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,12,-300),cc.rotateBy(0.3,-120,-120)),cc.fadeOut(1)));
		hangStone.supportStone.right.sprite.runAction(cc.sequence(cc.spawn(cc.moveBy(0.3,-12,-300),cc.rotateBy(0.3,120,120)),cc.fadeOut(1)));
		hangStone.preciousStone.stone1.body.applyImpulse(cp.v(0,1.0 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone2.body.applyImpulse(cp.v(0,1.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone3.body.applyImpulse(cp.v(0,0.5 * 0.02),cp.v(0,0));
		hangStone.preciousStone.stone4.body.applyImpulse(cp.v(0,2.0 * 0.02),cp.v(0,0));
		space.removeShape(hangStone.supportStone.ground.groundShape);

		var node = new cc.Node();
		parent.addChild(node);

		node.scheduleOnce(function(){
			for(var i = 0;i < 4;i ++) {
				hangStone.physicsSprite[i].couldTouch = true;
				hangStone.physicsSprite[i].onTouchBegan = hangStone.onTouchBegan;
				hangStone.physicsSprite[i].onTouchMoved = hangStone.onTouchMoved;
				hangStone.physicsSprite[i].onTouchEnded = hangStone.onTouchEnded;
				hangStone.physicsSprite[i].listener = registerTouchEventOneByOne(hangStone.physicsSprite[i]);
			}

			for(var i = 0;i < 4;i ++) {
				space.removeShape(hangStone.bodyShape[i][1]);
				space.removeBody(hangStone.bodyShape[i][0]);
			}
		},3);
	};

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone1.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone1.body = bodyshape[0];
	hangStone.physicsSprite[0] = makeSkin_simple_2(hangStone.preciousStone.stone1.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone1.pos,0.5));
	hangStone.bodyShape.push(bodyshape);
	//
	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone2.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone2.body = bodyshape[0];
	hangStone.physicsSprite[1] =makeSkin_simple_2(hangStone.preciousStone.stone2.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone2.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone3.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone3.body = bodyshape[0];
	hangStone.physicsSprite[2] =makeSkin_simple_2(hangStone.preciousStone.stone3.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone3.pos,0.5));
	hangStone.bodyShape.push(bodyshape);

	var bodyshape = makeRectangleBody2(space,makeRectPropCustom(cp.v(24,20),1,hangStone.preciousStone.stone4.pos,hangStone.preciousStone.stonecommon.group));
	hangStone.preciousStone.stone4.body = bodyshape[0];
	hangStone.physicsSprite[3] =makeSkin_simple_2(hangStone.preciousStone.stone4.body,parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,0,hangStone.preciousStone.stone4.pos,0.5));
	hangStone.bodyShape.push(bodyshape);


	return hangStone;
}




var b1_guanqia_upstone_5 = function(parent,space,__pos){
	var upstone = {};
	upstone.deltaPos = __pos;

	upstone.rootNode = new cc.Node();
	upstone.rootNode.setPosition(cp.v.add(cp.v(0,0),upstone.deltaPos));
	parent.addChild(upstone.rootNode);

	upstone.leftline = new cc.Sprite("res/car_b/scene1/zhulong/3");
	upstone.leftline.setGlobalZOrder(constCar.globalZOrder.level_pos50);
	upstone.leftline.setAnchorPoint(0.5,0);
	upstone.leftline.setPosition(cp.v(100,100));
	upstone.rootNode.addChild(upstone.leftline);

	upstone.rightline = new cc.Sprite("res/car_b/scene1/zhulong/3");
	upstone.rightline.setGlobalZOrder(constCar.globalZOrder.level_pos50);
	upstone.rightline.setPosition(cp.v(100+80,100));
	upstone.rightline.setAnchorPoint(0.5,0);
	upstone.rootNode.addChild(upstone.rightline);


	upstone.leftUp = new cc.Sprite("res/car_b/scene1/zhulong/zhulong");
	upstone.leftUp.setGlobalZOrder(constCar.globalZOrder.level_pos50);
	upstone.leftUp.setPosition(cp.v(100-97,-105-70));
	upstone.leftUp.setAnchorPoint(0.5,0);
	upstone.leftline.addChild(upstone.leftUp);

	upstone.rightUp = new cc.Sprite("res/car_b/scene1/zhulong/zhulong");
	upstone.rightUp.setGlobalZOrder(constCar.globalZOrder.level_pos50);
	upstone.rightUp.setPosition(cp.v(100-97,-105-70));
	upstone.rightUp.setAnchorPoint(0.5,0);
	upstone.rightline.addChild(upstone.rightUp);


	// upstone.leftDown = new cc.Sprite("res/car_b/scene1/zhulong/2");
	// upstone.leftDown.setGlobalZOrder(constCar.globalZOrder.level_pos50);
	// upstone.leftDown.setPosition(cp.v(100-97-45.5,-75.4+4.8));
	// upstone.leftDown.setAnchorPoint(0.5,0);
	// upstone.rightUp.addChild(upstone.leftDown);
    //
	// upstone.rightDown = new cc.Sprite("res/car_b/scene1/zhulong/2");
	// upstone.rightDown.setGlobalZOrder(constCar.globalZOrder.level_pos50);
	// upstone.rightDown.setPosition(cp.v(100+80-97-45.5,-75.4+4.8));
	// upstone.rightDown.setAnchorPoint(0.5,0);
	// upstone.rightUp.addChild(upstone.rightDown);


	upstone.shakeAnim = function(){
		var shakeAction1 = new Shake(0.5,20,20,upstone.leftUp);
		shakeAction1.shake();

		// var shakeAction2 = new Shake(0.5,20,20,upstone.leftDown);
		// shakeAction2.shake();

		var shakeAction3 = new Shake(0.5,20,20,upstone.rightUp);
		shakeAction3.shake();

		// var shakeAction4 = new Shake(0.5,20,20,upstone.rightDown);
		// shakeAction4.shake();

		var shakeAction5 = new Shake(0.5,20,20,upstone.leftline);
		shakeAction5.shake();

		var shakeAction6 = new Shake(0.5,20,20,upstone.rightline);
		shakeAction6.shake();
	};


	function makeRectProp(position,group){
		var prop = {};
		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(45,50);
		prop.mass = 1;
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.4;

		return prop;
	}

	upstone.stoneListGroundLine = parent.physicsController.addALine(cp.v.add(upstone.deltaPos,cp.v(50,-60)),cp.v.add(upstone.deltaPos,cp.v(250,-60)));

	upstone.stoneList1 = {};
	upstone.stoneList1.physicsShape = [];
	upstone.stoneList1.physicsBody = [];
	upstone.stoneList1.physicsSprite = [];
	var preciousColor = ["hong","huang","lan","hong","lv","huang"];
	preciousColor.reshuffle();

	for(var i = 5;i >= 3;i --){
		mylog("i = " + i );
		var prop = makeRectProp(cp.v.add(upstone.deltaPos,cp.v(0,-100)),i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/common/baoshi/"+preciousColor[i]+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		upstone.stoneList1.physicsShape.push(bodyshape[1]);
		upstone.stoneList1.physicsBody.push(bodyshape[0]);
		upstone.stoneList1.physicsSprite.push(sprite);
	}

	upstone.stoneList1.dropStoneList = function(){
		// upstone.stoneList1.getAllBodys()[1].applyForce(cp.v(40, 0), cp.v(0, 0));
		upstone.stoneList1.getAllBodys()[0].applyImpulse(cp.v(0,1.0 * 0.2+getRand0ToN(1)*0.5),cp.v(0,0));
		upstone.stoneList1.getAllBodys()[1].applyImpulse(cp.v(0,1.0 * 0.2+getRand0ToN(1)*0.5),cp.v(0,0));
		upstone.stoneList1.getAllBodys()[2].applyImpulse(cp.v(0,1.0 * 0.2+getRand0ToN(1)*0.5),cp.v(0,0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < upstone.stoneList1.getAllBodys().length;i ++){
				space.removeShape(upstone.stoneList1.getAllShapes()[i]);
				space.removeBody(upstone.stoneList1.getAllBodys()[i]);
				// upstone.stoneList1.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
				createColorNodeListener2(upstone.stoneList1.physicsSprite[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
					var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
					playTreasureEffect();
					var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
					sendAddOneEvent();
					parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
				});
			}
		},3);
	}
	upstone.stoneList1.getAllBodys = function(){
		return upstone.stoneList1.physicsBody;
	}
	upstone.stoneList1.getAllShapes = function(){
		return upstone.stoneList1.physicsShape;
	}
	upstone.stoneList1.getAllSprites = function(){
		return upstone.stoneList1.physicsSprite;
	}


	upstone.stoneList2 = {};
	upstone.stoneList2.physicsShape = [];
	upstone.stoneList2.physicsBody = [];
	upstone.stoneList2.physicsSprite = [];
	var preciousColor = ["hong","huang","lan","hong","lv","huang"];
	preciousColor.reshuffle();
	for(var i = 5;i >= 3;i --){
		var prop = makeRectProp(cp.v.add(upstone.deltaPos,cp.v(80,-100)),i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/common/baoshi/"+preciousColor[i]+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		upstone.stoneList2.physicsShape.push(bodyshape[1]);
		upstone.stoneList2.physicsBody.push(bodyshape[0]);
		upstone.stoneList2.physicsSprite.push(sprite);
	}

	upstone.stoneList2.dropStoneList = function(){
		// upstone.stoneList2.getAllBodys()[1].applyForce(cp.v(40, 0), cp.v(0, 0));
		upstone.shakeAnim();
		upstone.stoneList2.getAllBodys()[0].applyImpulse(cp.v(0,1.0 * 0.2+getRand0ToN(1)*0.5),cp.v(0,0));
		upstone.stoneList2.getAllBodys()[1].applyImpulse(cp.v(0,1.0 * 0.2+getRand0ToN(1)*0.5),cp.v(0,0));
		upstone.stoneList2.getAllBodys()[2].applyImpulse(cp.v(0,1.0 * 0.2+getRand0ToN(1)*0.5),cp.v(0,0));

		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < upstone.stoneList2.getAllBodys().length;i ++){
				space.removeShape(upstone.stoneList2.getAllShapes()[i]);
				space.removeBody(upstone.stoneList2.getAllBodys()[i]);
				// upstone.stoneList2.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
				createColorNodeListener2(upstone.stoneList2.physicsSprite[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
					var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
					playTreasureEffect();
					var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
					sendAddOneEvent();
					parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
				});
			}
		},3);
	}
	upstone.stoneList2.getAllBodys = function(){
		return upstone.stoneList2.physicsBody;
	}
	upstone.stoneList2.getAllShapes = function(){
		return upstone.stoneList2.physicsShape;
	}
	upstone.stoneList2.getAllSprites = function(){
		return upstone.stoneList2.physicsSprite;
	}

	upstone.drop2List = function(){
		parent._space.removeShape(upstone.stoneListGroundLine);
		upstone.stoneList1.dropStoneList();
		upstone.stoneList2.dropStoneList();
	};

	upstone.clickTip = ClickTipSpr(parent,cp.v.add(upstone.deltaPos,cp.v(140,48)));
	upstone.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

	upstone.clickCallback = function(){
		parent.spriteController.setShouldUpdate(false);
		parent.spriteController.shieldTheLayer(true);
		upstone.clickTip.destroySelf();
		var func = function () {
			parent.spriteController.setShouldUpdate(true);
			var node = new cc.Node();
			parent.addChild(node);
			node.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(
						function(){
							playCarEffect("tieqiu");
							parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"stone-1-3 sea-1-5-6",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(0.6),
					cc.callFunc(function(){upstone.drop2List();}),
					cc.delayTime(2),
					cc.callFunc(function(){
						parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
						parent.spriteController.shieldTheLayer(false);
					})
				)
			));
		};
		func.controlValue = true;
		parent.updateController.pushOneDataToArray(upstone.deltaPos.x - 270, func);
	};
	upstone.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),150,230,cp.v.add(upstone.deltaPos,cp.v(140,30)),upstone.clickCallback);

	return upstone;
}
