var c3_guanqia_particle_8 = function(parent,position){
    var particle = {};

    particle.deltaPos = position;

    particle.carAction =
        cc.sequence(
            cc.moveBy(0.5,0,150).easing(cc.easeIn(1)),
            cc.repeat(
                cc.sequence(
                    cc.moveBy(0.5,0,30).easing(cc.easeIn(0.7)),
                    cc.moveBy(0.5,0,-30).easing(cc.easeOut(0.7))
                ),4),
            cc.moveBy(0.5,0,-150).easing(cc.easeOut(1))
        );
    particle.carAction.retain();

    particle.groundLineUpCollision = collisionline_new(
        parent._space,
        cp.v.add(cp.v(110,0),position),
        cp.v.add(cp.v(110,30),position),
        function(backshape){
            parent._space.removeShape(backshape);

            parent.spriteController.getCar().removeAllJointsShapeBody();
            parent.spriteController._shieldController.shieldTheLayer(true);

            var particleSystem = new cc.ParticleSystem("res/car_c/scene3/waterup.plist");
            particleSystem.setAutoRemoveOnFinish(true);
            particleSystem.setPosition(cp.v.add(particle.deltaPos,cp.v(5,0)));
            particleSystem.setPositionType(cc.ParticleSystem.TYPE_GROUPED);
            parent.addChild(particleSystem, 10);
            particleSystem.duration = 4.6;

            particle.audioID = playFountainEffect();

            particleSystem.scheduleOnce(function(){
                stopTheAudio(particle.audioID);
            },particleSystem.duration-0.1);

            parent.spriteController.getCar().chassisSpr.runAction(
                cc.sequence(
                    cc.callFunc(function(){
                        parent.cameraController.setCouldeMoveCamera(false);
                    }),
                    particle.carAction,
                    cc.callFunc(function(){
                        parent.cameraController.setCouldeMoveCamera(true);
                        parent.spriteController._shieldController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                    })
                )
            );
        },
        getNewCollType(),
        0.4);

    return particle;
};