function a1_guanqia_makeCrushMachine_7(parent,position){
    var machineProp = {
        body:{
            position:cp.v.add(cc.p(400,335+5),position)
        },
        smallWheel:{
            position:cc.p(40,38),
            deltaX:65
        },
        circle:{
            position:cc.p(182,275),
        },
        converySpr:{
            low:{
                startPos:cc.p(30,90),
                endPos:cc.p(240,90),
                spritePath:"res/skel/spine-stone"
            },
            high:{
                startPos:cc.p(280,140),
                endPos:cc.p(430,140),
                spritePath:"res/skel/spine-stone-null"
            }
        }
    };
    var machine = {};
    machine.cameraFollowSprites = [];

    machine = new cc.Sprite("res/car_a/scene1/jiaoshuiji/jisheng");
    machine.setGlobalZOrder(constCar.globalZOrder.level_pos1);
    machine.setPosition(machineProp.body.position);
    parent.addChild(machine,1);

    var smallWheels = [];
    for(var i = 0;i < 3;i ++){
        smallWheels[i] = new cc.Sprite("res/car_a/scene1/jiaoshuiji/zhuandong2");
        machine.addChild(smallWheels[i]);
        smallWheels[i].setGlobalZOrder(constCar.globalZOrder.level_pos1);
        smallWheels[i].setPosition(machineProp.smallWheel.position.x + i * machineProp.smallWheel.deltaX,machineProp.smallWheel.position.y)
    }

    var circle = new cc.Sprite("res/car_a/scene1/jiaoshuiji/waikuang");
    circle.setPosition(machineProp.circle.position);
    circle.setGlobalZOrder(constCar.globalZOrder.level_pos1);
    machine.addChild(circle,1);


    var bigWheel = new cc.Sprite("res/car_a/scene1/jiaoshuiji/zhuandong");
    bigWheel.setPosition(cp.v(circle.width/2,circle.height/2));
    bigWheel.setGlobalZOrder(constCar.globalZOrder.level_pos1);
    circle.addChild(bigWheel,1);


    var smallWheelAction = cc.repeatForever(cc.rotateBy(1,360,360));
    smallWheelAction.retain();

    var bigWheelAction = cc.repeatForever(cc.rotateBy(1.5,360,360));
    bigWheelAction.retain();

    machine.wheelRun = function(){
        for(var i = 0;i < 3;i ++){
            smallWheels[i].runAction(smallWheelAction.clone());
        }
        bigWheel.runAction(bigWheelAction);
    };
    machine.wheelStop = function(){
        for(var i = 0;i < 3;i ++){
            smallWheels[i].stopAllActions();
        }
        bigWheel.stopAllActions();

        smallWheelAction.release();
        bigWheel.release();
    };

    machine.cameraFollowSprite = function(){
        return machine.cameraFollowSprites;
    }


    machine.addAConverySprite = function(){
        var spr = new cc.Sprite(machineProp.converySpr.low.spritePath);
        machine.spr = spr;
        // machine.cameraFollowSprites.push(spr);
        spr.setScale(1);
        spr.setPosition(machineProp.converySpr.low.startPos);
        machine.addChild(spr,1);

        spr.runAction(
            cc.sequence(
                cc.spawn(
                    cc.moveTo(1,machineProp.converySpr.low.endPos),
                    cc.sequence(
                        // cc.delayTime(0.5),
                        cc.callFunc(function(){
                            machine.wheelRun();
                        })
                    )
                ),
                cc.callFunc(function(){
                    spr.setScale(0.12);
                    spr.setRotation(90);
                    spr.setTexture(machineProp.converySpr.high.spritePath);
                }),
                cc.moveTo(0.5,machineProp.converySpr.high.startPos),
                cc.moveTo(0.5,machineProp.converySpr.high.endPos),
                cc.callFunc(function(){
                    spr.audioId = playJiaobanjiEffect();
                }),
                cc.spawn(cc.moveBy(0.5,30,-130),cc.rotateBy(0.5, 360,360)),
                cc.callFunc(function(){
                    machine.stoneList = a1_guanqia_makeStoneList_7(parent._space,parent,cp.v.add(position,cp.v(520,380)));
                    machine.stoneList.dropStoneList();
                })
            ));
    };


    machine.delPos = cp.v.add(position,cp.v(500,780));
    machine.clickCallback = function(){
        machine.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            machine.tempStone.setGlobalZOrder(constCar.globalZOrder.level_pos100);
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            playCarEffect("zhuantou");
                            parent.spriteController.getCar().machinearm.setAnimation(1,"land-3-a1-7-n",false);
                        }
                    ),
                    cc.delayTime(5),
                    cc.callFunc(function(){
                        parent.cameraController.changeStateToAutoMoveCamera(cp.v(8,0));
                    }),
                    cc.delayTime(1),
                    cc.callFunc(function(){
                        parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                    }),
                    cc.delayTime(3),
                    cc.callFunc(function(){
                        parent.cameraController.changeStateToAutoMoveCamera(cp.v(-8,0));
                    }),
                    cc.delayTime(1),
                    cc.callFunc(function(){
                        parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                    }),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                ),
                cc.sequence(
                    cc.delayTime(2.27),
                    cc.callFunc(function(){
                        machine.tempStone.runAction(cc.removeSelf(true));
                    }),
                    cc.delayTime(2.2),
                    cc.callFunc(function(){
                        machine.addAConverySprite();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(machine.delPos.x - 705, func);
    };

    machine.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),100,100,cp.v.add(machine.delPos,cp.v(-430,-506)),machine.clickCallback);
    machine.tempSprite.colornode.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    machine.tempStone = new cc.Sprite("res/skel/spine-stone");
    machine.clickTip = ClickTipSpr(machine.tempStone,cp.v.add(cp.v(0,0),cp.v(52,45)));

    machine.tempStone.setPosition(cp.v.add(machine.delPos,cp.v(-430,-506)));
    machine.tempStone.setGlobalZOrder(constCar.globalZOrder.level_pos5 - 1);
    parent.addChild(machine.tempStone);


    return machine;
}




function c1_guanqia_makeCrushMachine_c(parent,position){
    var machineProp = {
        body:{
            position:cp.v.add(cc.p(550,245),position)
        },
        smallWheel:{
            position:cc.p(-220,38),
            deltaX:95
        },
        circle:{
            position:cc.p(132,135),
        },
        converySpr:{
            low:{
                startPos:cc.p(-200,90),
                endPos:cc.p(200,90),
                spritePath:"res/skel/spine-stone"
            },
            high:{
                startPos:cc.p(280,140),
                endPos:cc.p(330,140),
                spritePath:"res/common/baoshi/lan"
            }
        }
    };
    var machine = {};
    machine.cameraFollowSprites = [];

    machine = new cc.Sprite("res/car_c/scene1/jiaoshuiji/4");
    machine.setPosition(machineProp.body.position);
    // machine.setGlobalZOrder(constCar.globalZOrder.level_pos1);
    parent.addChild(machine,1);

    var smallWheels = [];
    for(var i = 0;i < 3;i ++){
        smallWheels[i] = new cc.Sprite("res/car_c/scene1/jiaoshuiji/2");
        machine.addChild(smallWheels[i],2);
        smallWheels[i].setPosition(machineProp.smallWheel.position.x + i * machineProp.smallWheel.deltaX,machineProp.smallWheel.position.y)
    }

    var circle = new cc.Sprite("res/car_c/scene1/jiaoshuiji/6");
    circle.setPosition(machineProp.circle.position);
    machine.addChild(circle,1);


    var bigWheel = new cc.Sprite("res/car_a/scene1/jiaoshuiji/zhuandong");
    bigWheel.setPosition(cp.v(circle.width/2,circle.height/2));
    circle.addChild(bigWheel,1);

    var leftCircle = new cc.Sprite("res/car_c/scene1/jiaoshuiji/1");
    leftCircle.setPosition(cp.v(-100,40));
    machine.addChild(leftCircle,-1);

    var leftLine = new cc.Sprite("res/car_c/scene1/jiaoshuiji/3");
    leftLine.setPosition(cp.v(-220,190));
    machine.addChild(leftLine,-2);

    var rightOut = new cc.Sprite("res/car_c/scene1/jiaoshuiji/5");
    rightOut.setPosition(cp.v(330,90));
    machine.addChild(rightOut,-1);

    var smallWheelAction = cc.repeatForever(cc.rotateBy(1,360,360));
    smallWheelAction.retain();

    var bigWheelAction = cc.repeatForever(cc.rotateBy(1.5,360,360));
    bigWheelAction.retain();

    machine.wheelRun = function(){
        for(var i = 0;i < 3;i ++){
            smallWheels[i].runAction(smallWheelAction.clone());
        }
        bigWheel.runAction(bigWheelAction);
    };
    machine.wheelStop = function(){
        for(var i = 0;i < 3;i ++){
            smallWheels[i].stopAllActions();
        }
        bigWheel.stopAllActions();

        smallWheelAction.release();
        bigWheel.release();
    };

    machine.cameraFollowSprite = function(){
        return machine.cameraFollowSprites;
    }

    machine.addAConverySprite = function(){
        var spr = new cc.Sprite(machineProp.converySpr.low.spritePath);
        machine.spr = spr;
        spr.setRotation(90);
        spr.setPosition(machineProp.converySpr.low.startPos);
        machine.addChild(spr,-1);

        spr.runAction(
            cc.sequence(
                cc.spawn(
                    cc.sequence(cc.moveTo(1,machineProp.converySpr.low.endPos),cc.callFunc(function(){
                    })),
                    cc.sequence(
                        // cc.delayTime(0.5),
                        cc.callFunc(function(){
                            machine.audioID = playJiaobanjiEffect();
                            machine.wheelRun();
                        }),
                        cc.callFunc(function(){
                            parent.cameraController.changeStateToAutoMoveCamera(cp.v(8,0));
                        }),
                        cc.delayTime(1),
                        cc.callFunc(function(){
                            parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                        })
                    )
                ),
                cc.callFunc(function(){
                    spr.setOpacity(0);
                }),
                cc.delayTime(1),
                cc.callFunc(function(){
                    machine.stoneList = c1_guanqia_makeStoneList_c(parent._space,parent,cp.v.add(position,cp.v(670,90)));
                    machine.stoneList.dropStoneList();
                }),
                cc.delayTime(5),
                cc.callFunc(function(){
                    parent.cameraController.changeStateToAutoMoveCamera(cp.v(-8,0));
                }),
                cc.delayTime(1),
                cc.callFunc(function(){
                    parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                }),
                cc.callFunc(function(){
                    parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                    parent.spriteController.shieldTheLayer(false);
                }),
                cc.callFunc(function(){
                    stopTheAudio(machine.audioID);
                })
            ));
    };

    machine.delPos = cp.v.add(position,cp.v(550,450));
    machine.clickCallback = function(){
        machine.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c1-4-n",false);
                        }
                    ),
                    cc.delayTime(0.4),
                    cc.callFunc(
                        function(){
                            playCarEffect("jiazi");
                        }
                    )
                    // ,
                    // cc.delayTime(4),
                    // cc.callFunc(function(){
                    //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(8,0));
                    // }),
                    // cc.delayTime(1),
                    // cc.callFunc(function(){
                    //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                    // }),
                    // cc.delayTime(5),
                    // cc.callFunc(function(){
                    //     parent.cameraController.changeStateToAutoMoveCamera(cp.v(-8,0));
                    // }),
                    // cc.delayTime(1),
                    // cc.callFunc(function(){
                    //     parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                    // }),
                    // cc.callFunc(function(){
                    //     parent.spriteController.shieldTheLayer(false);
                    // })
                ),
                cc.sequence(
                    cc.delayTime(1.05),
                    cc.callFunc(function(){
                        machine.tempStone.runAction(cc.removeSelf(true));
                    }),
                    cc.delayTime(2.4-1.05),
                    cc.callFunc(function(){
                        machine.addAConverySprite();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(machine.delPos.x - 650, func);
    };

    machine.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),100,100,cp.v.add(machine.delPos,cp.v(-390,-506)),machine.clickCallback);
    machine.tempSprite.colornode.setGlobalZOrder(constCar.globalZOrder.level_pos10);

    machine.tempStone = new cc.Sprite("res/skel/spine-stone");
    // machine.clickTip = ClickTipSpr(machine.tempStone,cp.v.add(cp.v(0,0),cp.v(52,45)));
    machine.tempStone.setPosition(cp.v.add(machine.delPos,cp.v(-390,-506)));
    machine.tempStone.setGlobalZOrder(constCar.globalZOrder.level_pos5 - 1);
    parent.addChild(machine.tempStone);

    machine.clickTip = ClickTipSpr(machine.tempStone,cp.v.add(cp.v(0,0),cp.v(50,40)));
    machine.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos10-1);

    return machine;
}




var c1_guanqia_yasuiji_4 = function(parent,position){
    var yasuiji = {};
    yasuiji.delPos = cp.v.add(cp.v(220,0),position);

    var up_delta = cp.v(10,50);
    var yashuiji_up_1 = new cc.Sprite("res/car_c/scene1/yashuiji/3");
    yashuiji_up_1.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    parent.addChild(yashuiji_up_1,3);
    yashuiji_up_1.setPosition(cp.v.add(yasuiji.delPos,cp.v.add(cp.v(0,0),up_delta)));

    var yashuiji_up_2 = new cc.Sprite("res/car_c/scene1/yashuiji/5");//24 * 136
    yashuiji_up_2.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    yashuiji_up_2.setAnchorPoint(0.5,1);
    parent.addChild(yashuiji_up_2);
    yashuiji_up_2.setPosition(cp.v.add(yasuiji.delPos,cp.v.add(cp.v(0,0),up_delta)));

    var yashuiji_up_3 = new cc.Sprite("res/car_c/scene1/yashuiji/4");
    yashuiji_up_3.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    parent.addChild(yashuiji_up_3,3);
    yashuiji_up_3.setPosition(cp.v.add(yasuiji.delPos,cp.v.add(cp.v(0,-170),up_delta)));


    var yashuiji_down_1 = new cc.Sprite("res/car_c/scene1/yashuiji/1");
    parent.addChild(yashuiji_down_1,3);
    yashuiji_down_1.setPosition(cp.v.add(yasuiji.delPos,cp.v(-250+20,-370)));


    var stone = new cc.Sprite("res/skel/spine-stone");
    // var stone = new cc.Sprite("res/common/shikuai/car_b/shikuai1_1");
    stone.setScale(1);
    stone.setRotation(240);
    parent.addChild(stone,3);
    stone.setPosition(cp.v.add(yasuiji.delPos,cp.v(-250 - 80+20,-370 + 70)));
    stone.setOpacity(0);


    var yashuiji_down_2 = [];
    for(var i = 0;i < 3;i ++){
        yashuiji_down_2[i] = new cc.Sprite("res/car_c/scene1/yashuiji/2");
        yashuiji_down_1.addChild(yashuiji_down_2[i],3);
        yashuiji_down_2[i].setPosition(cp.v(50 + 88 * i,35));
    }

    yasuiji.startRun = function(){
        for(var i = 0;i < 3;i ++){
            yashuiji_down_2[i].runAction(cc.repeatForever(cc.rotateBy(1,360,360)));
        }

        stone.runAction(cc.sequence(
            cc.fadeIn(0.1),
            cc.moveBy(0.5,200,0),
            cc.spawn(
                cc.rotateBy(1,140,140),
                cc.bezierBy(1, [cp.v(30,20),cp.v(80,-40),cp.v(120,-60)])
            ),
            cc.callFunc(function(){
                var scaleNumber = 2.5;
                yashuiji_up_2.runAction(
                    cc.spawn(
                        cc.sequence(
                            cc.callFunc(function(){
                                parent.cameraController.changeStateToAutoMoveCamera(cp.v(8,0));
                            }),
                            cc.delayTime(1),
                            cc.callFunc(function(){
                                parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                            }),
                            cc.delayTime(1)
                        ),
                        cc.callFunc(function(){
                            yashuiji_up_3.runAction(
                                cc.sequence(
                                    cc.moveBy(0.5,0,-136 * (scaleNumber - 1)).easing(cc.easeIn(5)),
                                    cc.callFunc(function(){
                                        stone.precious = new cc.Sprite("res/common/baoshi/lan");
                                        stone.precious.setScale(0.5);
                                        stone.precious.setPosition(stone.getPosition());
                                        parent.addChild(stone.precious);

                                        stone.precious.runAction(cc.sequence(cc.delayTime(0.1),cc.moveBy(0.1,0,-27).easing(cc.easeIn(2))));
                                    }),
                                    cc.delayTime(0.1),
                                    cc.callFunc(function(){
                                        stone.runAction(cc.sequence(
                                            cc.spawn(
                                                animationCreate2(1,10,"res/common/shikuai/car_b/shikuai2_","",0.06,1,false),
                                                cc.callFunc(function(){
                                                    playShitousui2Effect();
                                                }),
                                                cc.sequence(
                                                    cc.delayTime(1.5),
                                                    cc.callFunc(function(){
                                                        parent.cameraController.changeStateToAutoMoveCamera(cp.v(-8,0));
                                                    }),
                                                    cc.delayTime(1),
                                                    cc.callFunc(function(){
                                                        parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                                                    }),
                                                    cc.callFunc(function(){
                                                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                                                        parent.spriteController.shieldTheLayer(false);
                                                    })
                                                )
                                            ),
                                            cc.callFunc(function(){
                                                var target = stone.precious;
                                                createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,100,stone.getPosition(),function(){
                                                    playTreasureEffect();
                                                    var pos = cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(),cp.v(0,0));
                                                    var bezierCenter = cp.v((target.getPosition().x + pos.x)/2,(target.getPosition().y + pos.y)/2 + 300);
                                                    sendAddOneEvent();
                                                    target.stopAllActions();
                                                    target.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
                                                });
                                            })
                                        ));
                                    })
                                )
                            );
                        }),
                        cc.sequence(
                            cc.scaleTo(0.5,1,scaleNumber).easing(cc.easeIn(5)),
                            cc.delayTime(0.2),
                            cc.spawn(
                                cc.scaleBy(0.5,1,1/scaleNumber).easing(cc.easeOut(5)),
                                cc.callFunc(function(){
                                    yashuiji_up_3.runAction(
                                        cc.moveBy(0.5,0,136 * (scaleNumber - 1)).easing(cc.easeOut(5))
                                    );
                                })
                            )
                        )));
            })
        ));
    }
    // startRun();


    yasuiji.clickCallback = function(){
        yasuiji.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c1-4-n",false);
                        }
                    ),
                    cc.delayTime(0.4),
                    cc.callFunc(function(){
                        playCarEffect("jiazi");
                        cc.log("ddddddddd");
                    })
                ),
                cc.sequence(
                    cc.delayTime(1.05),
                    cc.callFunc(function(){
                        yasuiji.tempStone.runAction(cc.removeSelf(true));
                    }),
                    cc.delayTime(2.4-1.05),
                    cc.callFunc(function(){
                        yasuiji.startRun();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(yasuiji.delPos.x - 650, func);
    };

    yasuiji.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),100,100,cp.v.add(yasuiji.delPos,cp.v(-390,-506)),yasuiji.clickCallback);


    yasuiji.tempStone = new cc.Sprite("res/skel/spine-stone");
    yasuiji.tempStone.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    // yasuiji.tempStone = new cc.Sprite("res/common/shikuai/car_b/shikuai1_1");
    yasuiji.tempStone.setPosition(cp.v.add(yasuiji.delPos,cp.v(-390,-506)));
    parent.addChild(yasuiji.tempStone);

    yasuiji.clickTip = ClickTipSpr(yasuiji.tempStone,cp.v.add(cp.v(0,0),cp.v(50,38)));
    yasuiji.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

    return yasuiji;
}




var c2_guanqia_icePrecious_1 = function(parent,position){
    var icePrecious = {};

    var pos = position;
    var wenquan = new cc.Sprite("res/car_c/scene2/wenquan/wenquan");
    wenquan.setPosition(cp.v.add(pos,cp.v(0,0)));
    parent.addChild(wenquan);


    var qipaoPos = [cp.v(140,90),cp.v(190,98),cp.v(250,95)];
    var qipaos = [];
    var qipaoAnim = [];

    for(var i = 0;i < qipaoPos.length;i ++){
        var anim = cc.repeatForever(cc.sequence(cc.delayTime(getRand0ToN(1) * 0.4 + 0.3),animationCreate2(1,14,"res/car_c/scene2/wenquan/qipao/qipao_","",getRand0ToN(1) * 0.03 + 0.04,1,false)));
        qipaoAnim.push(anim);

        var qipao = new cc.Sprite("res/car_c/scene2/wenquan/qipao/qipao_1");
        qipao.setPosition(qipaoPos[i]);
        wenquan.addChild(qipao);
        qipaos.push(qipao);
        qipao.runAction(qipaoAnim[i]);
    }

    var bingkuaiAnim = animationCreate2(1,49,"res/car_c/scene2/wenquan/bingkuai/bingkuai_","",0.04,1,false);
    bingkuaiAnim.retain();

    var bingkuai = new cc.Sprite("res/car_c/scene2/wenquan/bingkuai/bingkuai_0");//0
    bingkuai.setPosition(cp.v(200,110));
    wenquan.addChild(bingkuai);



    icePrecious.stoneOut = function(){
        bingkuai.runAction(cc.sequence(
            bingkuaiAnim,
            cc.callFunc(function(){
                var bingkuaiClick = new cc.Sprite("res/common/baoshi/lv");
                bingkuaiClick.setScale(0.5);
                bingkuaiClick.setPosition(cp.v.add(cp.v(11,61),pos));
                parent.addChild(bingkuaiClick);

                bingkuaiClick.clickCallback = function(){
                    var pos = cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(),cp.v(0,0));
                    playTreasureEffect();
                    var bezierCenter = cp.v((bingkuaiClick.getPosition().x + pos.x)/2,(bingkuaiClick.getPosition().y + pos.y)/2 + 300);
                    sendAddOneEvent();
                    bingkuaiClick.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
                };

                bingkuaiClick.runAction(
                    cc.sequence(
                        cc.bezierBy(1, [cp.v(100,150),cp.v(100,150),cp.v(260,-130)]),
                        cc.callFunc(function(){
                            mylog("over");
                            createColorNodeListener(bingkuaiClick,cc.color(255,0,0,constCar.debug.opacity),400,400,cp.v(150,150),bingkuaiClick.clickCallback);
                        })
                    )
                );
            })
        ));
    };


    icePrecious.clickCallback = function(){
        icePrecious.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c2-2-n",false);
                        }
                    ),
                    cc.delayTime(0.4),
                    cc.callFunc(
                        function(){
                            playCarEffect("jiazi");
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.9),
                    cc.callFunc(function(){
                        icePrecious.iceTempspr.runAction(cc.removeSelf(true));
                    }),
                    cc.delayTime(1.6),
                    cc.callFunc(function(){
                        parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        icePrecious.stoneOut();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(position.x - 350, func);
    };
    icePrecious.iceTempspr = new cc.Sprite("res/car_c/scene2/binbaoshi");
    parent.addChild(icePrecious.iceTempspr);
    icePrecious.iceTempspr.setRotation(0);
    icePrecious.iceTempspr.setGlobalZOrder(constCar.globalZOrder.level_pos100);
    icePrecious.iceTempspr.setPosition(cp.v.add(position,cp.v(0-90,-70)));

    icePrecious.clickTip = ClickTipSpr(icePrecious.iceTempspr,cp.v.add(cp.v(0,0),cp.v(35,38)));
    icePrecious.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

    icePrecious.tempSprite = createColorNodeListener( icePrecious.iceTempspr,cc.color(255,0,0,constCar.debug.opacity),120,120,cp.v(40,45),icePrecious.clickCallback);

    return icePrecious;
}
