var a2_guanqia_skel_1 = function(parent,pos){
    var skel = {};

    skel.animName = ["a2-1","idle 1","idle 2"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_a2_1/skeleton.json", "res/skel/car_a2_1/skeleton.atlas", 1, parent, pos, -1);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    skel.skelSprite.setCompleteListener(function(trackEntry){
        // var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
        // if(animationName != "cycle") {
        //     mylog(animationName + " is over");
        // }
        // if("nullname" != animationName && "cycle" != animationName){
        //     machinearm.setRotation(0);
        //     machinearm.setAnimation(1,"cycle",true);
        //     machinearm.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        // }
    });

    skel.runCycle = function(){
        // skel.skelSprite.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        skel.skelSprite.setAnimation(1,skel.animName[1],true);
    }

    return skel;
};



var a3_guanqia_skel_3 = function(parent,pos){
    var skel = {};

    skel.animName = ["catch swim","catch","swim","catch2"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_a3_3/skeleton.json", "res/skel/car_a3_3/skeleton.atlas", 1, parent, cp.v.add(pos,cp.v(-9,-500-20)), -1);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    skel.skelSprite.setCompleteListener(function(trackEntry){
        var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
        if("nullname" != animationName && skel.animName[1] == animationName){
            skel.skelSprite.setAnimation(1,skel.animName[0],true);
        }
    });


    skel.leftCollisionLine = collisionline_new(
        parent._space,
        cp.v.add(cp.v(-800,100),pos),
        cp.v.add(cp.v(-800,240),pos),
        function(backshape){
            parent.spriteController._shieldController.shieldTheLayer(true);
            parent._space.removeShape(backshape);

            parent.spriteController.autoDrive(362,function(){
                parent.spriteController.getCar().removeAllJointsShapeBody();
                var prop2 = {
                    group:0x0001,
                    width:10,
                    layers:3,
                    point1:cp.v.add(cp.v(-400+10 + 55-48-24,100),pos),
                    point2:cp.v.add(cp.v(-400+10 + 55-10-24,460),pos)
                };
                skel.tmpLine2 = parent.physicsController.addALineNew(prop2.point1,prop2.point2,prop2);

                skel.skelSprite.runAction(
                    cc.spawn(
                        cc.moveBy(2,0,712+22),
                        cc.callFunc(function(){
                            skel.skelSprite.setAnimation(1,skel.animName[2],true);
                        })
                    )
                );
                parent.spriteController.getCar().rightWheel.shape.setFriction(0.85);
                parent.spriteController.getCar().leftWheel.shape.setFriction(0.85);

                var node = new cc.Node();
                parent.addChild(node);
                node.runAction(cc.sequence(
                    cc.delayTime(0.5),
                    cc.sequence(
                        cc.callFunc(function(){
                            mylog("move camera!!!!");
                            parent.cameraController.changeStateToAutoMoveCamera(cp.v(5,0));
                        }),
                        cc.delayTime(1),

                        cc.callFunc(function(){
                            parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                        }),
                        cc.delayTime(1),

                        cc.callFunc(function(){
                            parent.cameraController.changeStateToAutoMoveCamera(cp.v(-5,0));
                        })
                        ,
                        cc.delayTime(1),
                        cc.callFunc(function(){
                            mylog("camera auto move over");
                            parent.cameraController.fromAutoMoveStateToNormal();
                            skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos50);
                            var node = new cc.Node();
                            parent.addChild(node);
                            node.runAction(cc.sequence(
                                cc.callFunc(function(){
                                    parent.spriteController.getCar().leftWheelSpr.setOpacity(0);
                                    parent.spriteController.getCar().rightWheelSpr.setOpacity(0);
                                    parent.spriteController.getCar().chassisSpr.setOpacity(0);
                                    parent.spriteController.getCar().machinearm.setOpacity(0);
                                    parent.spriteController.getCar().monkeySkel.skelSprite.setOpacity(0);
                                    parent.spriteController.getCar().addPuff.particleSystem.setVisible(false);
                                    // parent.spriteController.getCar().addPuff.particleSystem.setVisible(false);
                                    // parent.spriteController.getCar().isHideAll(true);//all problem is happed from this place
                                    mylog("hide all 7");
                                }),
                                // cc.delayTime(0.001),
                                cc.callFunc(function(){
                                    mylog("remove all");
                                    // parent.spriteController.getCar().removeAllJointsShapeBody();
                                    parent._space.removeShape(skel.tmpLine2);

                                    skel.skelSprite.setAnimation(1,skel.animName[1],false);
                                })
                                ,
                                cc.delayTime(0.5),
                                cc.callFunc(function(){
                                    mylog("start run");
                                    skel.skelSprite.runAction(cc.spawn(
                                        cc.moveBy(7,1700+300,340-210),
                                        cc.callFunc(function(){
                                            parent.spriteController.getCar().chassisSpr.runAction(
                                                cc.sequence(
                                                    cc.moveBy(7,1700 + 300,340),
                                                    cc.callFunc(function(){
                                                        parent.spriteController.getCar().readdAllJointsShapeBody(cp.v(1700 + 300,340));
                                                    }),
                                                    cc.delayTime(0.1),
                                                    cc.callFunc(function(){
                                                        // parent.spriteController.getCar().isHideAll(false);
                                                        parent.spriteController.getCar().leftWheelSpr.setOpacity(255);
                                                        parent.spriteController.getCar().rightWheelSpr.setOpacity(255);
                                                        parent.spriteController.getCar().chassisSpr.setOpacity(255);
                                                        parent.spriteController.getCar().machinearm.setOpacity(255);
                                                        parent.spriteController.getCar().monkeySkel.skelSprite.setOpacity(255);
                                                        parent.spriteController.getCar().addPuff.particleSystem.setVisible(true);

                                                        skel.skelSprite.setAnimation(1,skel.animName[2],true);
                                                        skel.skelSprite.runAction(cc.sequence(cc.moveBy(7,1200,1000),cc.moveBy(3,0,500),cc.removeSelf(true)));
                                                        parent.spriteController._shieldController.shieldTheLayer(false);

                                                        var prop = {
                                                            group:0x0001,
                                                            width:10,
                                                            layers:3
                                                        };
                                                        parent.physicsController.addALineNew(cp.v.add(cp.v(-80,-200),cp.v.add(pos,cp.v(1300,350))),cp.v.add(cp.v.add(pos,cp.v(1300,350)),cp.v(-80,600)),prop);
                                                    })
                                                )
                                            );
                                        })
                                    ));
                                })
                            ));
                        })
                    )
                ));
            },4);
        },
        getNewCollType(), 0.4);

    return skel;
};

var b1_guanqia_skel_7 = function(parent,pos){
    var skel = {};

    skel.animName = ["b1-7","b1-7 idle 1","b1-7 idle 1"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_b1_7/skeleton.json", "res/skel/car_b1_7/skeleton.atlas", 1, parent, pos, -1);
    skel.skelSprite.setAnimation(1,skel.animName[1],false);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    skel.skelSprite.setCompleteListener(function(trackEntry){
        // var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
        // if(animationName != "cycle") {
        //     mylog(animationName + " is over");
        // }
        // if("nullname" != animationName && "cycle" != animationName){
        //     machinearm.setRotation(0);
        //     machinearm.setAnimation(1,"cycle",true);
        //     machinearm.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        // }
    });

    skel.leftCollisionLine = collisionline_new(
        parent._space,
        cp.v.add(cp.v(-200,20),pos),
        cp.v.add(cp.v(-200,50),pos),
        function(backshape){
            skel.skelSprite.setAnimation(1,skel.animName[0],false);
        },
        getNewCollType(),
        0.4);

    return skel;
};

var b2_guanqia_skel_1 = function(parent,pos){
    var skel = {};
    skel.dropY = -354;

    skel.animName = ["b2-1","b2-1 idle 1","b2-1 idle 2"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_b2_1/skeleton.json", "res/skel/car_b2_1/skeleton.atlas", 1, parent, pos, -1);
    skel.carAnim = cc.moveBy(0.63,0,skel.dropY).easing(cc.easeOut(1.06));
    skel.carAnim.retain();
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    skel.skelSprite.setCompleteListener(function(trackEntry){
        var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
        if(animationName != "b2-1") {
            mylog(animationName + " is over");
        }
        if("nullname" != animationName && "b2-1" == animationName){
            skel.skelSprite.setAnimation(1,skel.animName[2],false);
        }
    });

    skel.runCycle = function(){
        mylog("b2_guanqia_skel_1 run cycle");
        skel.skelSprite.setAnimation(1,skel.animName[0],false);
    }
    skel.clean = function(){
        skel.carAnim.release();
    };


    skel._backFunc = function(backshape){
        parent._space.removeShape(backshape);
        var tempnode = new cc.Node();
        parent.addChild(tempnode);
        parent.spriteController._shieldController.shieldTheLayer(true);
        parent.spriteController.getCar().removeAllJointsShapeBody();
        tempnode.runAction(
            cc.sequence(
                cc.delayTime(0.4),
                cc.callFunc(function(){
                    // mylog(parent.spriteController.getCar().chassisSpr.getPosition().x+","+parent.spriteController.getCar().chassisSpr.getPosition().y);
                    parent.spriteController.getCar().chassisSpr.runAction(
                        cc.sequence(
                            cc.callFunc(function(){
                                skel.skelSprite.setAnimation(1,skel.animName[0],false);
                            }),
                            skel.carAnim,
                            cc.delayTime(1),
                            cc.callFunc(function(){
                                skel.createGroundLine2();
                                parent.spriteController.getCar().readdAllJointsShapeBody(cp.v(0,skel.dropY));
                                parent.spriteController._shieldController.shieldTheLayer(false);

                                var prop2 = {
                                    group:0x0001,
                                    width:10,
                                    layers:3
                                };

                                parent.physicsController.addALineNew(cp.v.add(cp.v(-30 + 605,600 -409),parent.backDelta),cp.v.add(cp.v(-30 + 605,1100 -409),parent.backDelta),prop2);
                        })));
                })));
    };
    skel.groundLinePos1 = cp.v.add(pos,cp.v(-160,425));
    skel.groundLinePos2 = cp.v.add(pos,cp.v(160,425));

    skel.leftCollisionPos1 = cp.v.add(skel.groundLinePos2,cp.v(-60,20));
    skel.leftCollisionPos2 = cp.v.add(skel.groundLinePos2,cp.v(-60,0));

    skel.groundLineDown = collisionline_new3(
        parent,
        skel.groundLinePos1,
        skel.groundLinePos2
    );

    skel.createGroundLine2 = function() {
        skel.groundLineDown2 = collisionline_new3(
            parent,
            cp.v.add(skel.groundLinePos1,cp.v(0,skel.dropY)),
            cp.v.add(skel.groundLinePos2,cp.v(0,skel.dropY))
        );
    }
    skel.leftCollisionLine = collisionline_new(parent._space, skel.leftCollisionPos1,skel.leftCollisionPos2, function(backshape){
        skel._backFunc(backshape);
    }, getNewCollType(), 0.4);


    return skel;
};


var b3_guanqia_skel_5 = function(parent){
    var skel = {};

    //开始点和最终点
    skel.beginPosition = cp.v(6600+parent.back2DeltaX,353+parent.back2DeltaY);
    skel.endPosition = cp.v(9119+parent.back2DeltaX,2398+parent.back2DeltaY);

    skel.startStopPos = cp.v(0,0);//重新添加body,shape,joints时候需要

    skel.animName = ["b3-5","idle"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_b3_5/skeleton.json", "res/skel/car_b3_5/skeleton.atlas", 1, parent, skel.beginPosition, -1);
    // skel.skelSprite.setOpacity(50);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos15);
    skel.skelSprite.setCompleteListener(function(trackEntry){
        // var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
        // if(animationName != "cycle") {
        //     mylog(animationName + " is over");
        // }
        // if("nullname" != animationName && "cycle" != animationName){
        //     machinearm.setRotation(0);
        //     machinearm.setAnimation(1,"cycle",true);
        //     machinearm.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        // }
    });


    skel.runCycle = function(){
        // skel.skelSprite.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        skel.skelSprite.setAnimation(1,skel.animName[1],true);
    }

    skel.jingyuqiao = new cc.Sprite("res/car_b/scene3/jingyu2");
    skel.jingyuqiao.setRotation(-7.1);
    skel.jingyuqiao.setPosition(cp.v(115,-68));
    skel.jingyuqiao.setGlobalZOrder(constCar.globalZOrder.level_pos15-1);
    skel.skelSprite.addChild(skel.jingyuqiao);
    var startBridge = cc.moveBy(2, -649*0.8,-49*1.3);
    startBridge.retain();
    var endBridge = cc.moveBy(2, 649*0.8,49*1.3);
    endBridge.retain();

    skel.jingyuqiao.startBridge = function(){
        skel.jingyuqiao.runAction(cc.sequence(
            cc.callFunc(function(){

            }),
            startBridge,
            cc.callFunc(function(){

            })
        ));
    };

    skel.jingyuqiao.endBridge = function(){
        skel.jingyuqiao.runAction(cc.sequence(
            cc.callFunc(function(){

            }),
            endBridge,
            cc.fadeOut(0.1),
            cc.callFunc(function(){

            })
        ));
    };


    skel.jingyuqiao2 = new cc.Sprite("res/car_b/scene3/jingyu2");
    skel.jingyuqiao2.setRotation(4.6);
    skel.jingyuqiao2.setPosition(cp.v(16,-88));
    skel.jingyuqiao2.setGlobalZOrder(constCar.globalZOrder.level_pos15-1);
    skel.skelSprite.addChild(skel.jingyuqiao2);
    var startBridge2 = cc.moveBy(2, 649*0.6,-49*1.4);
    startBridge2.retain();
    var endBridge2 = cc.moveBy(2, -649*0.6,49*1.4);
    endBridge2.retain();

    skel.jingyuqiao2.startBridge = function(){
        skel.jingyuqiao2.runAction(cc.sequence(
            cc.callFunc(function(){

            }),
            startBridge2,
            cc.callFunc(function(){
                // parent.physicsController.addALine(cp.v.add(skel.beginPosition,cp.v()),cp.v.add());
            })
        ));
    };

    skel.jingyuqiao2.endBridge = function(){
        skel.jingyuqiao2.runAction(cc.sequence(
            cc.callFunc(function(){

            }),
            endBridge2,
            cc.fadeOut(0.1),
            cc.callFunc(function(){

            })
        ));
    };
    skel.bothAction = cc.sequence(
        cc.moveBy(1.2,847,0),
        cc.moveBy(4,607,2025),
        cc.moveBy(2,833,0)
    );
    skel.bothAction.retain();

    skel.groundLineLeftCollision = collisionline_new(
        parent._space,
        cp.v.add(cp.v(-800,1000),skel.beginPosition),
        cp.v.add(cp.v(-800,-1100),skel.beginPosition),
        function(backshape){
            parent._space.removeShape(backshape);
            parent.spriteController.getCar().removeAllJointsShapeBody();
            skel.startStopPos =  parent.spriteController.getCar().chassisSpr.getPosition();
            parent.spriteController._shieldController.shieldTheLayer(true);

            skel.skelSprite.setAnimation(1,skel.animName[0],true);

            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.sequence(
                cc.callFunc(function(){
                    parent.cameraController.changeStateToAutoMoveCamera(cp.v(10,0));
                }),
                cc.delayTime(1.6),

                cc.delayTime(0),
                cc.callFunc(function(){
                    parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
                }),
                cc.delayTime(1),

                cc.callFunc(function(){
                    parent.cameraController.changeStateToAutoMoveCamera(cp.v(-10,0));
                }),
                cc.delayTime(1.6),
                cc.callFunc(function(){
                    parent.cameraController.fromAutoMoveStateToNormal();
                    skel.jingyuqiao.startBridge();
                }),
                cc.delayTime(2),
                cc.callFunc(function(){
                    // parent.spriteController.getCar().readdAllJointsShapeBody(cp.v(0,0));
                    parent.spriteController.getCar().chassisSpr.runAction(
                        cc.spawn(
                            cc.callFunc(function(){
                                var node = new cc.Node();
                                parent.addChild(node);
                                node.schedule(function(){
                                    mylog("clock wise run......");
                                    parent.spriteController.getCar().track.setCstSpeed(1);
                                    parent.spriteController.getCar().track.clockwiseRun(10);
                                },0.05,80,0);
                            }),
                            cc.sequence(
                                cc.moveBy(0.6,50,0),
                                cc.rotateBy(0.2,-10,-10),
                                cc.moveBy(3.2,760,80),
                                cc.rotateBy(0.1,-20,-20),
                                cc.moveBy(1,-58,185),
                                cc.callFunc(function(){
                                    skel.jingyuqiao.endBridge();
                                }),
                                cc.delayTime(0.5),


                                cc.callFunc(function(){
                                    skel.audioID = playUFOEffect();
                                    skel.skelSprite.runAction(skel.bothAction);
                                }),
                                skel.bothAction.clone(),
                                cc.callFunc(function(){
                                    stopTheAudio(skel.audioID);
                                }),
                                cc.moveBy(0.3,58,-185),
                                cc.rotateBy(0.1,5,5),
                                cc.callFunc(function(){
                                    skel.jingyuqiao2.startBridge();
                                }),
                                cc.delayTime(1),
                                cc.callFunc(function(){
                                    var node = new cc.Node();
                                    parent.addChild(node);
                                    node.schedule(function(){
                                        parent.spriteController.getCar().track.setCstSpeed(1);
                                        parent.spriteController.getCar().track.clockwiseRun(10);
                                    },0.05,80,0);
                                }),
                                cc.moveBy(3.4,650,-58),
                                cc.rotateBy(0.1,0,0),
                                cc.moveBy(0.5,150,0),
                                cc.callFunc(function(){
                                    skel.jingyuqiao2.endBridge();
                                    parent.spriteController.getCar().readdAllJointsShapeBody(cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(),skel.startStopPos));
                                    parent.spriteController._shieldController.shieldTheLayer(false);

                                    var prop = {
                                        group:0x0001,
                                        width:10,
                                        layers:3
                                    };
                                    parent.physicsController.addALineNew(cp.v.add(cp.v(-520,-300),skel.endPosition),cp.v.add(skel.endPosition,cp.v(-520,300)),prop);
                                }),
                                cc.delayTime(1),
                                cc.callFunc(function(){
                                    skel.skelSprite.runAction(cc.sequence(
                                        cc.moveBy(5,500,800),cc.removeSelf(true)
                                    ));
                                })
                            )
                        )
                    );
                })
            ));
        },
        getNewCollType(),
        0.4);
    return skel;
};



var b3_guanqia_skel_7 = function(parent,pos){
    var skel = {};

    skel.animName = ["b3-7","idle 1","idle 2"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_b3_7/skeleton.json", "res/skel/car_b3_7/skeleton.atlas", 1, parent, pos, -1);
    skel.skelSprite.setAnimation(1,skel.animName[1],false);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos15);
    skel.skelSprite.setCompleteListener(function(trackEntry){

    });
    skel.skelSprite.setAnimation(1,skel.animName[1],false);

    skel.collisionLine = collisionline_new(
        parent._space,
        cp.v.add(pos,cp.v(-880,400)),
        cp.v.add(pos,cp.v(-880,200)),
        function(backshape){
            parent._space.removeShape(backshape);
            skel.skelSprite.setAnimation(1,skel.animName[0],false);
        },
        getNewCollType(),
        0.4);

    return skel;
};


var c1_guanqia_skel_7 = function(parent,pos){
    var skel = {};

    skel.animName = ["c1-7","c1-7 idle"];
    skel.skelSprite = createSkeletonSprite("res/skel/car_c1_7/skeleton.json", "res/skel/car_c1_7/skeleton.atlas", 1, parent, pos, -1);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    skel.skelSprite.setCompleteListener(function(trackEntry){
        // var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
        // if(animationName != "cycle") {
        //     mylog(animationName + " is over");
        // }
        // if("nullname" != animationName && "cycle" != animationName){
        //     machinearm.setRotation(0);
        //     machinearm.setAnimation(1,"cycle",true);
        //     machinearm.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        // }
    });

    skel.runCycle = function(){
        // skel.skelSprite.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
        skel.skelSprite.setAnimation(1,skel.animName[1],true);
    }

    return skel;
};


var c3_guanqia_skel_7 = function(parent,pos){
    var skel = {};

    skel.animName = ["c3-7","idle"];
    skel.startStopPos = cp.v(0,0);
    skel.skelSprite = createSkeletonSprite("res/skel/car_c3_7/skeleton.json", "res/skel/car_c3_7/skeleton.atlas", 0.8, parent, pos, -1);
    skel.skelSprite.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    skel.skelSprite.setAnimation(1,skel.animName[0],true);
    skel.skelSprite.setCompleteListener(function(trackEntry){

    });
    skel.sameAction = cc.sequence(
        cc.moveBy(2,626,0),
        cc.moveBy(4,1350,200),
        cc.moveBy(2,680,0)
    );
    skel.sameAction.retain();

    skel.leftCollisionPos1 = cp.v.add(pos,cp.v(90,-240));
    skel.leftCollisionPos2 = cp.v.add(pos,cp.v(90,-200));
    skel.leftCollisionLine = collisionline_new(
        parent._space,
        skel.leftCollisionPos1,
        skel.leftCollisionPos2,
        function(backshape){
            skel._backFunc(backshape);
        },
        getNewCollType(),
        0.4);

    skel._backFunc = function(backshape){
        parent._space.removeShape(backshape);
        var tempnode = new cc.Node();
        parent.addChild(tempnode);
        parent.spriteController._shieldController.shieldTheLayer(true);
        parent.spriteController.getCar().removeAllJointsShapeBody();
        skel.startStopPos = parent.spriteController.getCar().chassisSpr.getPosition();
        tempnode.runAction(cc.spawn(
            cc.callFunc(function(){
                skel.skelSprite.runAction(cc.sequence(skel.sameAction.clone(),cc.delayTime(1),cc.moveBy(4,900,600),cc.removeSelf(true)));
                parent.spriteController.getCar().chassisSpr.runAction(
                    cc.sequence(
                        cc.callFunc(function(){
                            skel.audioID = playUFOEffect();
                        }),
                        skel.sameAction,
                        cc.callFunc(function(){
                            stopTheAudio(skel.audioID);
                            var deltapos =  cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(),skel.startStopPos);
                            parent.spriteController._shieldController.shieldTheLayer(false);
                            parent.spriteController.getCar().readdAllJointsShapeBody(deltapos);

                            var prop = {
                                group:0x0001,
                                width:10,
                                layers:3
                            };
                            parent.physicsController.addALineNew(cp.v.add(pos,cp.v(2400,-100)),cp.v.add(pos,cp.v(2400,400)),prop);

                        })
                    )
                );
            })
        ));
    };

    return skel;
};
