function a1_guanqia_makeStoneList_b(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(80,70);
		prop.mass = 1;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 1;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	for(var i = 5;i >= 1;i --){
		var prop = makeRectProp(cp.v.add(position,cp.v(-35,0)),i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 20);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/car_a/scene1/shitouqiang/shitouqiang"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui2Effect();
		stoneList.getAllBodys()[2].applyForce(cp.v(4000, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
			}
		},1);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}
	stoneList.collisionLine = collisionline_new(
		space,
		cp.v.add(position,cp.v(-240,-20)),
		cp.v.add(position,cp.v(-240,-50)),
		function(backshape){
			space.removeShape(backshape);
			parent.spriteController.shieldTheLayer(true);
			var cb = function(){
				var func = function () {
					// parent.spriteController.getCar().removeAllJointsShapeBody();
					var node = new cc.Node();
					parent.addChild(node);
					node.runAction(cc.spawn(
						cc.sequence(
							cc.delayTime(0.1),
							cc.callFunc(
								function(){
									playCarEffect("zhuantou");
                                    parent.spriteController.getCar().removeAllJointsShapeBody();
									parent.spriteController.getCar().machinearm.setAnimation(1,"land-5",false);
								}
							)
						),
						cc.sequence(
							cc.delayTime(0.6),
							cc.callFunc(function(){}),
							cc.delayTime(1.5),
							cc.callFunc(function(){
								stoneList.dropStoneList();
							}),
							cc.delayTime(0.5),
							cc.callFunc(function(){
								parent.spriteController.shieldTheLayer(false);
								parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
							})
						)
					));
				};
				func.controlValue = true;
				parent.updateController.pushOneDataToArray(position.x - 400, func);
			}
			cb();
		},
		getNewCollType(),
		0.4);

	return stoneList;
}


function a2_guanqia_makeStoneList_5(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(80,80);
		prop.mass = 1;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 1;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	for(var i = 5;i >= 1;i --){
		var prop = makeRectProp(position,i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 10);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/car_a/scene1/shitouqiang/shitouqiang"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui2Effect();
		stoneList.getAllBodys()[1].applyForce(cp.v(2000, 0), cp.v(0, 0));
		stoneList.getAllBodys()[2].applyForce(cp.v(3000, 0), cp.v(0, 0));
		stoneList.getAllBodys()[3].applyForce(cp.v(4000, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
			}
		},2);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}
	stoneList.collisionLine = collisionline_new(
		space,
		cp.v.add(position,cp.v(-200,30)),
		cp.v.add(position,cp.v(-200,10)),
		function(backshape){
			space.removeShape(backshape);
			parent.spriteController.shieldTheLayer(true);
			var cb = function(){
				var func = function () {
					var node = new cc.Node();
					parent.addChild(node);
					node.runAction(cc.spawn(
						cc.sequence(
							cc.delayTime(0.2),
							cc.callFunc(
								function(){
									playCarEffect("zhuantou");
                                    parent.spriteController.getCar().removeAllJointsShapeBody();
									parent.spriteController.getCar().machinearm.setAnimation(1,"stone-2",false);
								}
							)
						),
						cc.sequence(
							cc.delayTime(0.6),
							cc.callFunc(function(){}),
							cc.delayTime(1.1),
							cc.callFunc(function(){
								stoneList.dropStoneList();
							}),
							cc.delayTime(1.5),
							cc.callFunc(function(){
								parent.spriteController.shieldTheLayer(false);
                                parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
							})
						)
					));
				};
				func.controlValue = true;
				parent.updateController.pushOneDataToArray(position.x - 340, func);
			}
			cb();
		},
		getNewCollType(),
		0.4);

	return stoneList;
}


function b1_guanqia_makeStoneList_9(parent,deltaPos) {
	var stoneList = {};

	var spr1 = cc.Sprite("res/car_b/scene1/shuzhuang/1");
	spr1.setAnchorPoint(0.7,0.2);
	parent.addChild(spr1);
	spr1.setPosition(cp.v.add(cp.v(455-60, 344),deltaPos));

	var spr2 = cc.Sprite("res/car_b/scene1/shuzhuang/2");
	parent.addChild(spr2);
	spr2.setAnchorPoint(0.7,0);
	spr2.setPosition(cp.v.add(cp.v(442-60, 100),deltaPos));

	var spr3 = cc.Sprite("res/car_b/scene1/shuzhuang/3");
	parent.addChild(spr3);
	spr1.setAnchorPoint(0.8,0.2);
	spr3.setPosition(cp.v.add(cp.v(417-60, 264),deltaPos));


	stoneList.run = function() {
		playShitousui1Effect();
		spr1.runAction(cc.spawn(cc.sequence(cc.rotateBy(0.5, 100, 100), cc.fadeOut(0.3), cc.removeSelf(true)), cc.sequence(cc.moveBy(0.3, 80, 20), cc.bezierBy(0.3, [cp.v(80, -80), cp.v(120, -120), cp.v(150, -200)]))));
		spr3.runAction(cc.spawn(cc.sequence(cc.rotateBy(0.4, 140, 140), cc.fadeOut(0.5), cc.removeSelf(true)), cc.sequence(cc.moveBy(0.2, 100, 50), cc.bezierBy(0.4, [cp.v(100, -80), cp.v(150, -120), cp.v(200, -200)]))));
		spr2.runAction(cc.spawn(cc.sequence(cc.rotateBy(0.4, 75, 75), cc.fadeOut(0.4), cc.removeSelf(true)), cc.sequence(cc.bezierBy(0.5, [cp.v(30, -40), cp.v(60, -60), cp.v(90, -80)]))));
	}

	stoneList.clickCallback = function(){
		parent.spriteController.setShouldUpdate(false);
		var func = function () {
			parent.spriteController.setShouldUpdate(true);
			var node = new cc.Node();
			parent.addChild(node);
			parent.spriteController.shieldTheLayer(true);
			node.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(
						function(){
							playCarEffect("tieqiu");
							spr1.setGlobalZOrder(constCar.globalZOrder.level_pos50);
							spr2.setGlobalZOrder(constCar.globalZOrder.level_pos50);
							spr3.setGlobalZOrder(constCar.globalZOrder.level_pos50);
                            parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"land-1 stone-2-5 sea-2-3-4-5",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(0.5),
					cc.callFunc(function(){stoneList.run();}),
					cc.delayTime(1),
					cc.callFunc(function(){
						parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
					})
				)
			));
		};
		func.controlValue = true;
		parent.updateController.pushOneDataToArray(deltaPos.x - 20, func);
	}

	stoneList.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),150,560,cp.v.add(deltaPos,cp.v(435-60,200)),stoneList.clickCallback);

	return stoneList;
}

function b1_guanqia_makeStoneList_c(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(45,50);
		prop.mass = 1;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.6;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	for(var i = 4;i >= 1;i --){
		var prop = makeRectProp(position,i + 10);
		if(i == 4){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 10);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}

		if(i == 2){
			prop.widthHeight = cp.v.add(prop.widthHeight,cp.v(0,-10));
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/car_b/scene1/shizhu/"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui2Effect();
		stoneList.getAllBodys()[0].applyForce(cp.v(400, 0), cp.v(0, 0));
		stoneList.getAllBodys()[1].applyForce(cp.v(500, 0), cp.v(0, 0));
		stoneList.getAllBodys()[2].applyForce(cp.v(600, 0), cp.v(0, 0));
		stoneList.getAllBodys()[3].applyForce(cp.v(700, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(0.5),cc.removeSelf(true)));
			}
		},1);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}

	// stoneList.leftcollisionLine = collisionline_new(
	// 	space,
	// 	cp.v.add(position,cp.v(-200 - 50,80)),
	// 	cp.v.add(position,cp.v(-200 - 50,20)),
	// 	function(backshape){
	// 		parent.spriteController.shieldTheLayer(true);
	// 		space.removeShape(backshape);
	// 		var cb = function(){
	// 			parent.spriteController.autoDrive(50,function(){
	// 				// parent.spriteController.getCar().rightWheel.shape.setFriction(0.85);
	// 				// parent.spriteController.getCar().leftWheel.shape.setFriction(0.85);
	// 			},1);
	// 		}();
	// 	},
	// 	getNewCollType(),
	// 	0.4);

	stoneList.collisionLine = collisionline_new(
		space,
		cp.v.add(position,cp.v(-200,80)),
		cp.v.add(position,cp.v(-200,20)),
		function(backshape){
			space.removeShape(backshape);

			var prop = {
				group:0x0001,
				width:5,
				layers:2
			};
			stoneList.tmpLine = parent.physicsController.addALineNew(cp.v.add(position,cp.v(-140,-50)),cp.v.add(position,cp.v(-140,180)),prop);

			var cb = function(){
				parent.spriteController.setShouldUpdate(false);
				var func = function () {
					parent.spriteController.setShouldUpdate(true);
					var node = new cc.Node();
					parent.addChild(node);
					node.runAction(cc.spawn(
						cc.sequence(
							cc.delayTime(0.1),
							cc.callFunc(
								function(){
									playCarEffect("tieqiu");
                                    parent.spriteController.getCar().removeAllJointsShapeBody();
									parent.spriteController.getCar().machinearm.setAnimation(1,"land-1 stone-2-5 sea-2-3-4-5",false);
								}
							)
						),
						cc.sequence(
							cc.delayTime(0.4),
							cc.callFunc(function(){
								stoneList.dropStoneList();
							}),
							cc.delayTime(1.0),
							cc.callFunc(function(){
								parent.spriteController.shieldTheLayer(false);
                                parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
								parent._space.removeShape(stoneList.tmpLine);
							})
						)
					));
				};
				func.controlValue = true;
				parent.updateController.pushOneDataToArray(position.x - 300, func);
			}
			cb();
		},
		getNewCollType(),
		0.4);

	return stoneList;
}


function b2_guanqia_makeStoneList_2(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(45,50);
		prop.mass = 0.6;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.6;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	for(var i = 5;i >= 1;i --){
		var prop = makeRectProp(position,i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 10);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/car_b/scene2/shidui/"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui2Effect();
		stoneList.getAllBodys()[1].applyForce(cp.v(2000, 0), cp.v(0, 0));
		stoneList.getAllBodys()[2].applyForce(cp.v(4000, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
			}
		},2);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}

	stoneList._backFunc = function(backshape){
		var tmpnode = new cc.Node();
		parent.addChild(tmpnode);
		parent._space.removeShape(backshape);

		var prop = {
			group:0x0001,
			width:10,
			layers:2
		};
		stoneList.tmpLine = parent.physicsController.addALineNew(cp.v.add(position,cp.v(-130,-80)),cp.v.add(position,cp.v(-130,300)),prop);

		tmpnode.runAction(cc.spawn(
			cc.sequence(cc.delayTime(0.1),cc.callFunc(function(){
				playCarEffect("tieqiu");
                parent.spriteController.getCar().removeAllJointsShapeBody();
				parent.spriteController.getCar().machinearm.setAnimation(1,"land-1 stone-2-5 sea-2-3-4-5",false);
			})),
			cc.sequence(cc.delayTime(0.11),cc.callFunc(function(){
				stoneList.dropStoneList();
			}),cc.delayTime(1),cc.callFunc(function(){
				parent.spriteController.shieldTheLayer(false);
                parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
				parent._space.removeShape(stoneList.tmpLine);
			}))
		));
	};

	// stoneList.leftLeftCollisionLine = collisionline_new(
	// 	space,
	// 	cp.v.add(position,cp.v(-180-110,-80)),
	// 	cp.v.add(position,cp.v(-180-110,120)),
	// 	function(backshape){
	// 		parent.spriteController.shieldTheLayer(true);
	// 		space.removeShape(backshape);
	// 		var cb = function(){
	// 			parent.spriteController.autoDrive(110,function(){
	// 				// parent.spriteController.getCar().rightWheel.shape.setFriction(0.85);
	// 				// parent.spriteController.getCar().leftWheel.shape.setFriction(0.85);
	// 			},1);
	// 		}();
	// 	},
	// 	getNewCollType(),
	// 	0.4);

	stoneList.leftCollisionLine = collisionline_new(
		parent._space,
		cp.v.add(position,cp.v(-180,-80)),
		cp.v.add(position,cp.v(-180,120)),
		function(backshape){
			stoneList._backFunc(backshape);
		},
		getNewCollType(),
		0.4);


	return stoneList;
}



function b3_guanqia_makeStoneList_4(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(80,100);
		prop.mass = 1;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.6;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	for(var i = 3;i >= 1;i --){
		var prop = makeRectProp(position,i + 10);
		if(i == 3){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 10);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/car_b/scene3/hetun"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui2Effect();
		stoneList.getAllBodys()[1].applyForce(cp.v(4000, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node);
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
			}
		},1.2);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}

	// stoneList.leftcollisionLine = collisionline_new(
	// 	space,
	// 	cp.v.add(position,cp.v(-220-100,300)),
	// 	cp.v.add(position,cp.v(-220-100,100)),
	// 	function(backshape){
	// 		space.removeShape(backshape);
	// 		parent.spriteController.autoDrive(100,function(){
	// 			// parent.spriteController.getCar().rightWheel.shape.setFriction(0.85);
	// 			// parent.spriteController.getCar().leftWheel.shape.setFriction(0.85);
	// 		},1);
	// 	},
	// 	getNewCollType(),
	// 	0.4);

	stoneList.collisionLine = collisionline_new(
		space,
		cp.v.add(position,cp.v(-220,300)),
		cp.v.add(position,cp.v(-220,100)),
		function(backshape){
			space.removeShape(backshape);
			parent.spriteController._shieldController.shieldTheLayer(true);
			var tempnode = new cc.Node();
			parent.addChild(tempnode);
			parent.spriteController.getCar().removeAllJointsShapeBody();

			tempnode.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(
						function(){
							playCarEffect("tieqiu");
                            // parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"land-1 stone-2-5 sea-2-3-4-5",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(0.7),
					cc.callFunc(function(){
						parent.spriteController.shieldTheLayer(false);
                        // parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
						stoneList.dropStoneList();
					}),
					cc.delayTime(1),
					cc.callFunc(function(){
						parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
					})
				)
			));

		},
		getNewCollType(),
		0.4);

	return stoneList;
}


function b3_guanqia_makeStoneList_a(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(45,50);
		prop.mass = 1;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.6;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	for(var i = 5;i >= 1;i --){
		var prop = makeRectProp(position,i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 10);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		if(i == 5){
			prop.widthHeight = cp.v.add(prop.widthHeight,cp.v(0,35));
		}
		if(i == 1){
			prop.widthHeight = cp.v.add(prop.widthHeight,cp.v(0,50));
		}
		var bodyshape = makeRectangleBody2(space,prop);
		var sprite = makeSkin_simple(bodyshape[0],"res/car_b/scene3/pangxie/"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui2Effect();
		stoneList.getAllBodys()[2].applyForce(cp.v(400, 0), cp.v(0, 0));
		stoneList.getAllBodys()[1].applyForce(cp.v(400, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
			}
		},1);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}
	// stoneList.leftcollisionLine = collisionline_new(
	// 	space,
	// 	cp.v.add(position,cp.v(-200-100,-100)),
	// 	cp.v.add(position,cp.v(-200-100,-50)),
	// 	function(backshape){
	// 		parent.spriteController.autoDrive(100,function(){
    //
	// 		},2);
	// 	},
	// 	getNewCollType(),
	// 	0.4);

	stoneList.collisionLine = collisionline_new(
		space,
		cp.v.add(position,cp.v(-200,-100)),
		cp.v.add(position,cp.v(-200,-50)),
		function(backshape){
			var prop = {
				group:0x0001,
				width:5,
				layers:2
			};
			stoneList.tmpLine = parent.physicsController.addALineNew(cp.v.add(position,cp.v(-166,-100)),cp.v.add(position,cp.v(-166,100)),prop);

			var tempnode = new cc.Node();
			parent.addChild(tempnode);
			parent._space.removeShape(backshape);
			parent.spriteController._shieldController.shieldTheLayer(true);
			parent.spriteController.getCar().removeAllJointsShapeBody();

			tempnode.runAction(cc.spawn(
				cc.sequence(
					cc.delayTime(0.2),
					cc.callFunc(
						function(){
							playCarEffect("tieqiu");
                            // parent.spriteController.getCar().removeAllJointsShapeBody();
							parent.spriteController.getCar().machinearm.setAnimation(1,"land-1 stone-2-5 sea-2-3-4-5",false);
						}
					)
				),
				cc.sequence(
					cc.delayTime(0.1),
					cc.callFunc(function(){

					}),
					cc.delayTime(0.6),
					cc.callFunc(function(){
						parent.spriteController.shieldTheLayer(false);
						parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
						stoneList.dropStoneList();
					}),
					cc.delayTime(1),
					cc.callFunc(function(){
						parent._space.removeShape(stoneList.tmpLine);
					})
				)
			));

		},
		getNewCollType(),
		0.4);

	return stoneList;
}


function c1_guanqia_makeStoneList_7(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(85,90);
		prop.mass = 1;
//		prop.pos = cp.v(300,475);
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 1;
		prop.layers = constCar.collisionlines.layers;


		return prop;
	}

	for(var i = 5;i >= 1;i --){
		var prop = makeRectProp(position,i + 10);
		if(i == 5){
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + 10 + prop.delta.y);
			prop.widthHeight = cp.v(prop.widthHeight.x + 30,prop.widthHeight.y - 10);
		}else{
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y - i * 47 + prop.delta.y);
		}
		var bodyshape = makeRectangleBody2(space,prop);

		var sprite = makeSkin_simple(bodyshape[0],"res/car_b/scene2/shidui/"+i+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
		sprite.setOpacity(255);
		stoneList.physicsShape.push(bodyshape[1]);
		stoneList.physicsBody.push(bodyshape[0]);
		stoneList.physicsSprite.push(sprite);
	}

	stoneList.dropStoneList = function(){
		playShitousui1Effect();
		stoneList.getAllBodys()[1].applyForce(cp.v(5500, 0), cp.v(0, 0));
		var node = new cc.Node();
		parent.addChild(node)
		node.scheduleOnce(function(){
			for(var i = 0;i < stoneList.getAllBodys().length;i ++){
				space.removeShape(stoneList.getAllShapes()[i]);
				space.removeBody(stoneList.getAllBodys()[i]);
				stoneList.physicsSprite[i].runAction(cc.sequence(cc.fadeOut(1),cc.removeSelf(true)));
			}
		},3);
	}
	stoneList.getAllBodys = function(){
		return stoneList.physicsBody;
	}
	stoneList.getAllShapes = function(){
		return stoneList.physicsShape;
	}
	stoneList.getAllSprites = function(){
		return stoneList.physicsSprite;
	}

	stoneList.skelSpr = createSkeletonSprite("res/skel/car_c1_7/skeleton.json", "res/skel/car_c1_7/skeleton.atlas", 1, parent, cp.v.add(position,cp.v(-320,125)), -1);
	stoneList.skelSpr.setAnimation(1,"c1-7 idle",false);
	// stoneList.skelSpr.setScale(0.8);
	stoneList.skelSpr.setGlobalZOrder(constCar.globalZOrder.level_pos1);

	stoneList.skelSpr.setCompleteListener(function(trackEntry){
		// var animationName = trackEntry.animation ? trackEntry.animation.name : "nullname";
		// if(animationName != "cycle") {
		//     mylog(animationName + " is over");
		// }
		// if("nullname" != animationName && "cycle" != animationName){
		//     machinearm.setRotation(0);
		//     machinearm.setAnimation(1,"cycle",true);
		//     machinearm.runAction(cc.repeatForever(cc.sequence(cc.rotateTo(1,2),cc.rotateTo(1,-4),cc.rotateTo(1,2))));
		// }
	});


	stoneList.collisionLine = collisionline_new(
		space,
		cp.v.add(position,cp.v(-300,60)),
		cp.v.add(position,cp.v(-300,10)),
		function(backshape){
			parent.spriteController.shieldTheLayer(true);
			space.removeShape(backshape);

			var cb = function(){
				var func = function () {
					var node = new cc.Node();
					parent.addChild(node);
					node.runAction(cc.spawn(
						cc.sequence(
							cc.delayTime(0.1),
							cc.callFunc(
								function(){
                                    parent.spriteController.getCar().removeAllJointsShapeBody();
									parent.spriteController.getCar().machinearm.setAnimation(1,"c1-7",false);
									stoneList.skelSpr.setAnimation(1,"c1-7",false);
								}
							),
							cc.delayTime(0.2),
							cc.callFunc(function(){
								playCarEffect("jiazi");
							})
						),
						cc.sequence(
							cc.delayTime(0.6),
							cc.callFunc(function(){}),
							cc.delayTime(1.4),
							cc.callFunc(function(){
								stoneList.dropStoneList();
							}),
							cc.delayTime(0.6),
							cc.callFunc(function(){
								parent.cameraController.changeStateToAutoMoveCamera(cp.v(5,0));
							}),
							cc.delayTime(1),
							cc.callFunc(function(){
								parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
							}),
							cc.delayTime(1),
							cc.callFunc(function(){
								parent.cameraController.changeStateToAutoMoveCamera(cp.v(-5,0));
							}),
							cc.delayTime(1),
							cc.callFunc(function(){
								parent.cameraController.fromAutoMoveStateToNormal(cp.v(0,0));
							}),
							cc.callFunc(function(){
                                parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
								parent.spriteController.shieldTheLayer(false);
							})
						)
					));
				};
				func.controlValue = true;
				parent.updateController.pushOneDataToArray(position.x - 430, func);
			}
			cb();
		},
		getNewCollType(),
		0.4);

	return stoneList;
}



function c1_guanqia_makeStoneList_c(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(45,43);
		prop.mass = 1;
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.5;
		prop.layers = 4;

		return prop;
	}

	var preciouscolor = ["hong","huang","lan","lv","lan","huang","hong"];
	stoneList.dropStoneList = function(){
		var node = new cc.Node();
		parent.addChild(node)

		var currentIdx = 0;
		node.schedule(function(){
			var i = currentIdx;

			var prop = makeRectProp(position,10+i);//2
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y);
			var bodyshape = makeRectangleBody2(space,prop);
			var sprite = makeSkin_simple(bodyshape[0],"res/common/baoshi/"+preciouscolor[i]+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
			sprite.bodyshape = bodyshape;
			sprite.setGlobalZOrder(constCar.globalZOrder.level_pos1 - 1);

			if(0 == i % 2){
				bodyshape[0].applyImpulse(cp.v(1.4, 0), cp.v(0, 0));
			}else{
				bodyshape[0].applyImpulse(cp.v(0.6, 0), cp.v(0, 0));
			}

			var node = new cc.Node();
			parent.addChild(node);
			node.scheduleOnce(function(){
				space.removeShape(bodyshape[1]);
				space.removeBody(bodyshape[0]);

				bodyshape[0] = null;
				bodyshape[1] = null;
			},4);

			var callback = function(){
				// space.removeShape(this.bodyshape[1]);
				// space.removeBody(this.bodyshape[0]);
                //
				// this.bodyshape[0] = null;
				// this.bodyshape[1] = null;

				var pos = cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(),cp.v(0,0));
				playTreasureEffect();
				var bezierCenter = cp.v((this.getPosition().x + pos.x)/2,(this.getPosition().y + pos.y)/2 + 300);
				sendAddOneEvent();
				this.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
			};
			createColorNodeListener(sprite,cc.color(255,0,0,constCar.debug.opacity),300,260,cp.v(140,120),callback.bind(sprite));

			currentIdx ++;
		},0.7,4,0);
	}

	return stoneList;
}


function c1_guanqia_makeStoneList_a(space,parent,position){
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position,group){
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100,300);

		prop.widthHeight = cp.v(45,43);
		prop.mass = 0.5;
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.5;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	var preciouscolor = ["hong","huang","lan","lv","lan","huang","hong"];
	preciouscolor.reshuffle();
	stoneList.dropStoneList = function(){
		var node = new cc.Node();
		parent.addChild(node)

		var currentIdx = 0;
		node.schedule(function(){
			var i = currentIdx;

			var prop = makeRectProp(position,10+i);//10+i
			prop.pos = cp.v(prop.pos.x + prop.delta.x,prop.pos.y);
			var bodyshape = makeRectangleBody2(space,prop);
			var sprite = makeSkin_simple(bodyshape[0],"res/common/baoshi/"+preciouscolor[i]+"",cp.v(0.5,0.5),parent,0,0,prop.pos,prop.scale);
			sprite.bodyshape = bodyshape;

			if(0 == i % 2){
				bodyshape[0].applyImpulse(cp.v(1.4, 0), cp.v(0, 0));
			}else{
				bodyshape[0].applyImpulse(cp.v(0.6, 0), cp.v(0, 0));
			}

			var node = new cc.Node();
			parent.addChild(node);
			node.scheduleOnce(function(){
				space.removeShape(bodyshape[1]);
				space.removeBody(bodyshape[0]);

				bodyshape[0] = null;
				bodyshape[1] = null;
			},1);

			var callback = function(){
				// space.removeShape(this.bodyshape[1]);
				// space.removeBody(this.bodyshape[0]);
                //
				// this.bodyshape[0] = null;
				// this.bodyshape[1] = null;

				var pos = cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(),cp.v(0,0));
				playTreasureEffect();
				var bezierCenter = cp.v((this.getPosition().x + pos.x)/2,(this.getPosition().y + pos.y)/2 + 300);
				sendAddOneEvent();
				this.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
			};
			createColorNodeListener(sprite,cc.color(255,0,0,constCar.debug.opacity),300,260,cp.v(140,120),callback.bind(sprite));

			currentIdx ++;
		},0.1,4,0);
	}

	return stoneList;
}


function a1_guanqia_makeStoneList_7(space,parent,position) {
	var stoneList = {};
	stoneList.physicsShape = [];
	stoneList.physicsBody = [];
	stoneList.physicsSprite = [];
	function makeRectProp(position, group) {
		var prop = {};

		//change this to change global position
		prop.delta = cp.v(100, 300);

		prop.widthHeight = cp.v(45, 43);
		prop.mass = 0.5;
		prop.pos = position;
		prop.group = group;
		prop.elastic = 0.0;
		prop.friction = 0.6;
		prop.scale = 0.5;
		prop.layers = constCar.collisionlines.layers;

		return prop;
	}

	var preciouscolor = ["hong", "huang", "lan", "lv", "lan", "huang", "hong"];
	preciouscolor.reshuffle();
	stoneList.dropStoneList = function () {
		var node = new cc.Node();
		parent.addChild(node)

		var currentIdx = 0;
		node.schedule(function () {
			var i = currentIdx;

			var prop = makeRectProp(position, 10 + i);//10+i
			prop.pos = cp.v(prop.pos.x + prop.delta.x, prop.pos.y);
			var bodyshape = makeRectangleBody2(space, prop);
			var sprite = makeSkin_simple(bodyshape[0], "res/common/baoshi/" + preciouscolor[i] + "", cp.v(0.5, 0.5), parent, 0, 0, prop.pos, prop.scale);
			sprite.bodyshape = bodyshape;

			if (0 == i % 2) {
				bodyshape[0].applyImpulse(cp.v(1.4, 0), cp.v(0, 0));
			} else {
				bodyshape[0].applyImpulse(cp.v(0.6, 0), cp.v(0, 0));
			}

			var node = new cc.Node();
			parent.addChild(node);
			node.scheduleOnce(function () {
				space.removeShape(bodyshape[1]);
				space.removeBody(bodyshape[0]);

				bodyshape[0] = null;
				bodyshape[1] = null;
			}, 1);

			var callback = function () {
				// space.removeShape(this.bodyshape[1]);
				// space.removeBody(this.bodyshape[0]);
				//
				// this.bodyshape[0] = null;
				// this.bodyshape[1] = null;

				var pos = cp.v.sub(parent.spriteController.getCar().chassisSpr.getPosition(), cp.v(0, 0));
				playTreasureEffect();
				var bezierCenter = cp.v((this.getPosition().x + pos.x) / 2, (this.getPosition().y + pos.y) / 2 + 300);
				sendAddOneEvent();
				this.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
			};
			createColorNodeListener(sprite, cc.color(255, 0, 0, constCar.debug.opacity), 300, 260, cp.v(140, 120), callback.bind(sprite));

			currentIdx++;
		}, 0.5, 4, 0);
	}

	return stoneList;
}
