var Yun = cc.Sprite.extend({
	ctor:function(path,fromPoint,toPoint,speed){
		this._super(path);
		this.couldUpdate = false;
		this.fromPoint = fromPoint;
		this.toPoint = toPoint;
		this.speed = speed;
	},
	run:function(){
		this.couldUpdate = true;
		this.scheduleUpdate();
	},
	update:function(){
		if(this.couldUpdate){
			if(this.getPosition().x >= this.toPoint.x){
				this.couldUpdate = false;
				this.runAction(cc.sequence(
					cc.fadeOut(1),
					cc.delayTime(1),
					cc.callFunc(function(){
						this.setPositionX(this.fromPoint.x);
					}.bind(this)),
					cc.fadeIn(1),
					cc.callFunc(function(){
						this.couldUpdate = true;
				}.bind(this))));
			}
			this.setPositionX(this.getPositionX() + this.speed);
		}
	},
});

var addYun = function(path,fromPoint,toPoint,speed,parent,zorder){
	var yun = new Yun(path,fromPoint,toPoint,speed);
	yun.setGlobalZOrder(100);
	yun.setPosition(fromPoint);
	parent.addChild(yun,zorder);

	yun.run();
}