function ddStopAllAudios() {
    if(cc.sys.os === cc.sys.OS_IOS){
        cc.audioEngine.stopAllEffects();
    }else{
        jsb.AudioEngine.stopAll();
    }
}

function ddPlayEffect(method, url, loop) {
    var audioid;
    if(cc.sys.os === cc.sys.OS_IOS){
        if("music" == method){
            cc.audioEngine.playMusic(url,loop);
        }else{
            audioid = cc.audioEngine.playEffect(url,loop);
        }
    }else{
        jsb.AudioEngine.play2d(url,loop);
    }

    return audioid;
}

function ddStopEffect(method, audio) {
    if (cc.sys.os == cc.sys.OS_ANDROID) {
        if(jsb.AudioEngine.INVALID_AUDIO_ID !== audio)
            jsb.AudioEngine.stop(audio);
    } else {
        if(method == "music"){
            cc.audioEngine.stopMusic();
        }else if(method == "effect"){
            cc.audioEngine.stopEffect(audio);
        }
    }
}

function ddStopAllEffects(){
    ddStopAllAudios();
}