var ShieldControlLayer = cc.LayerColor.extend({
	ctor:function(parent) {
		this._super(cc.color(0,255,0,0), cc.winSize.width, cc.winSize.height);
		this.par = parent;

		this._isShield = false;

		this.onTouchBegan = function (touch, event) {
			return this._isShield;
		}.bind(this);
		this.onTouchMoved = function (touch, event) {
		}.bind(this);
		this.onTouchEnded = function (touch, event) {
		}.bind(this);

		registerTouchEventOneByOne(this, true);
	},
	shieldTheLayer:function(isShield){
		this._isShield = isShield;
	}
});

var addTouchLogic = function(parent){
	var controlLayer  = new cc.LayerColor(cc.color(255,255,0,255),300,180);
	controlLayer.setPosition(0,-80);
	controlLayer.setGlobalZOrder(100000);
	parent.addChild(controlLayer);

	controlLayer.onTouchBegan=function (touch, event) {
		var target = event.getCurrentTarget();
		var locationInNode_ = touch.getLocationInView();
		var locationInNode  = cc.p(locationInNode_.x,cc.winSize.height-locationInNode_.y);
		var s = target.getContentSize();
		var rect = cc.rect(0, 0, s.width, s.height);
		if (cc.rectContainsPoint(rect, locationInNode)) {
			cc.log("touched me");
			return false;
		}
		return false;
	}.bind(controlLayer);
	controlLayer.onTouchMoved=function (touch, event) {

	}.bind(controlLayer);
	controlLayer.onTouchEnded=function (touch, event) {

	}.bind(controlLayer);

	registerTouchEventOneByOne(controlLayer , true);
};