var TreasureBox = cc.Sprite.extend({
    ctor:function(carStopToTargetX,path,parent,deltaPosition){
        this._super(path);
        this.par = parent;
        this.carStopToTargetX = carStopToTargetX;
        this.deltaPosition = deltaPosition;
        this.addTreasureBehind();
        this.addSomeTreasure();
        this.addClickTip();
        this.addTempNode(this,cc.color(255,0,0,constCar.debug.opacity),this.width,this.height,cp.v(this.getPosition().x + this.width/2,this.getPosition().y + this.height/2),this.touchCallback.bind(this));
    },
    addClickTip:function(){
        this.clickTip = ClickTipSpr(this,cp.v.add(cp.v(0,0),cp.v(72,55)));
    },
    touchCallback:function(){
        // this.par.spriteController.shieldTheLayer(true);
        this.clickTip.destroySelf();
        var func = function(){
            // this.par.spriteController.getCar().machinearm.setAnimation(1,"stone-1",false);
            for(var i = 0;i < this.treasures.length;i ++){
                this.treasures[i].runAction(cc.fadeIn(0.3));
            }
            var currentTreasureIdx = 0;
            this.scheduleOnce(function(){
                this.runAction(animationCreate2(1,3,"res/common/treasurebox/qian/","",0.2,1,false));
                this.sprbehind.runAction(animationCreate2(1,3,"res/common/treasurebox/hou/","",0.2,1,false));
            }.bind(this),0.1);
            this.schedule(function(){
                var target = this.treasures[currentTreasureIdx];
                var pos = cp.v.sub(this.par.spriteController.getCar().chassisSpr.getPosition(),cp.v(0,0));
                var bezierCenter = cp.v((target.getPosition().x + pos.x)/2,(target.getPosition().y + pos.y)/2 + 300);
                if(currentTreasureIdx < (this.treasures.length - 1)) {
                    sendAddOneEvent();
                    target.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
                }else if(currentTreasureIdx == (this.treasures.length - 1)){
                    sendAddOneEvent();
                    target.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2)));
                    // target.runAction(cc.sequence(cc.bezierTo(0.3, [bezierCenter, bezierCenter, pos]), cc.fadeOut(0.2),cc.callFunc(function(){ this.par.spriteController.shieldTheLayer(false);}.bind(this))));
                }
                playTreasureEffect();
                currentTreasureIdx ++;
            }.bind(this),0.5,this.treasures.length - 1);
        }.bind(this);
        // func.controlValue = true;
        // this.par.updateController.pushOneDataToArray(this.carStopToTargetX,func);
        func();
    },
    addTempNode:function(parent,color,width,height,position,callback) {
        createColorNodeListener(parent, color, width, height, position, callback);
    },
    addTreasureBehind:function(){
        this.sprbehind = new cc.Sprite("res/common/treasurebox/hou/1");
        this.sprbehind.setPosition(this.sprbehind.width/2,this.sprbehind.height/2);
        this.sprbehind.setGlobalZOrder(constCar.globalZOrder.level_pos1);
        this.addChild(this.sprbehind,-1);
        this.setGlobalZOrder(constCar.globalZOrder.level_pos1+2);
    },
    addSomeTreasure:function(){
        this.treasures = [];
        this.deltaPosition = cp.v.add(this.deltaPosition,cp.v(10,-25));
        var treasuresPos = [this.deltaPosition,cp.v.add(this.deltaPosition,cp.v(-30,20)),cp.v.add(30,20),cp.v.add(this.deltaPosition,cp.v(0,40)),cp.v.add(this.deltaPosition,cp.v(0,20))];
        var color = ["hong","huang","lan","lv"];
        var pingtu = ["car1/pic/1","car1/pic/2","car1/pic/3","car1/pic/4","car1/pic/5","car1/pic/6",
                      "car2/pic/1","car2/pic/2","car2/pic/3","car2/pic/4","car2/pic/5","car2/pic/6",
                      "car3/pic/1","car3/pic/2","car3/pic/3","car3/pic/4","car3/pic/5","car3/pic/6"];

        var _col = [cc.color(214,75,53,255),cc.color(85,184,232,255),cc.color(242,148,222,255)];
        for(var i = 0;i <= 2;i ++){
            if(0 == i) {
                var idx = color[getRand0ToN(3)];
                this.treasures[i] = new cc.Sprite("res/common/baoshi/" + idx + "");
                this.treasures[i].coloridx = idx;
                this.treasures[i].setScale((getRand0ToN(2) + 12) * 0.03);
                this.par.addChild(this.treasures[i], 5);
                this.treasures[i].setGlobalZOrder(constCar.globalZOrder.level_pos1 + 1);
                this.treasures[i].setPosition(treasuresPos[i]);
            }
            if(1 == i){
                var idx = pingtu[getRand0ToN(17)];
                this.treasures[i] = new cc.Sprite("res/pingtu/" + idx + "");
                this.treasures[i].setColor(_col[getRand0ToN(2)]);
                this.treasures[i].coloridx = idx;
                this.treasures[i].setScale((getRand0ToN(2) + 8) * 0.08);
                this.par.addChild(this.treasures[i], 5);
                this.treasures[i].setGlobalZOrder(constCar.globalZOrder.level_pos1 + 1);
                this.treasures[i].setPosition(treasuresPos[i]);
            }
        }
    },
});


function createTreasureBox(parent,tbPos,carStopToTargetX){
    var tb = new TreasureBox(carStopToTargetX,"res/car_a/scene1/baoxiang",parent,tbPos);
    tb.setPosition(tbPos);
    parent.addChild(tb);

    return tb;
}
