function a1_guanqia_chainBridge_d(par,space,pointLeft,pointRight){
	this.par = par;
    //static cpConstraint *
    var new_spring = function(/*cpBody*/ a, /*cpBody*/ b, /*cpVect*/ anchr1, /*cpVect*/ anchr2, /*cpFloat*/ restLength, /*cpFloat*/ stiff, /*cpFloat*/ damp) {
        /*cpConstraint*/ var spring = new cp.DampedSpring(a, b, anchr1, anchr2, restLength, stiff, damp);
        return spring;
    }
    //static cpBody *
    var add_bar = function(/*cpSpace*/ space, /*cpVect*/ a, /*cpVect*/ b, /*int*/ group,pos) {
        /*cpVect*/ var center = cp.v.mult(cp.v.add(a, b), 1.0/2.0);
        /*cpFloat*/ var length = cp.v.len(cp.v.sub(b, a));
        // /*cpFloat*/ var mass = 1.3;//10
        var mass = 8;

        /*cpBody*/ var body = space.addBody(new cp.Body(mass, mass*length*length/64.0));//48.0
        body.setPos(cp.v.add(center,pos));

        /*cpShape*/ var shape = space.addShape(new cp.SegmentShape(body, cp.v.sub(a, center), cp.v.sub(b, center), 11.0));
//        var shape = space.addShape(new cp.BoxShape(body,30,10));//boxshape和segmentshape的区别
        shape.setFriction(0.4);
        shape.group = group;

        return body;
    }

    var offsetX = 20;
    var offsetY = 20;
    pointLeft  = cc.p(offsetX + pointLeft.x, pointLeft.y  + offsetY);
    pointRight = cc.p(offsetX + pointRight.x,pointRight.y + offsetY);

    var body_left =new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_left.setPos(pointLeft);

    var body_right=new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_right.setPos(pointRight);

    //only need to adjust these three arguments
    var littleBodyScale = 44;
    var littleBodyScale_space = 20;
    var body_space = 22;
    //because i want to run the code in cocos2d-x3.16 and cocos2d-x3.6,and some code is not compatible,i only need to change this
    var COCOS2DJS_VERSION_316 = true;
    var group = 0x1111;


    if(COCOS2DJS_VERSION_316){
        var wrapperConstraint = function(body1,body2,anchor1,anchor2){
            var pivotJoint = new cp.PivotJoint( body1, body2, cp.v(0,0));
            pivotJoint.setAnchorA(anchor1);
            pivotJoint.setAnchorB(anchor2);
            space.addConstraint(pivotJoint);
        }
    }
    var body1  = add_bar(space, cp.v(-1.5 * littleBodyScale +  0 * littleBodyScale,0 - 0 * littleBodyScale),cp.v(-littleBodyScale + 0 * littleBodyScale, -littleBodyScale/2 -  0 * littleBodyScale), group,pointLeft);
    var body2  = add_bar(space, cp.v(-1.5 * littleBodyScale +  1 * littleBodyScale,0 - 1 * littleBodyScale),cp.v(-littleBodyScale + 1 * littleBodyScale, -littleBodyScale/2 -  1 * littleBodyScale), group,pointLeft);
    var body3  = add_bar(space, cp.v(-1.5 * littleBodyScale +  2 * littleBodyScale,0 - 2 * littleBodyScale),cp.v(-littleBodyScale + 2 * littleBodyScale, -littleBodyScale/2 -  2 * littleBodyScale), group,pointLeft);
    var body4  = add_bar(space, cp.v(-1.5 * littleBodyScale +  3 * littleBodyScale,0 - 3 * littleBodyScale),cp.v(-littleBodyScale + 3 * littleBodyScale, -littleBodyScale/2 -  3 * littleBodyScale), group,pointLeft);
    var body5  = add_bar(space, cp.v(-1.5 * littleBodyScale +  4 * littleBodyScale,0 - 4 * littleBodyScale),cp.v(-littleBodyScale + 4 * littleBodyScale, -littleBodyScale/2 -  4 * littleBodyScale), group,pointLeft);
    var body6  = add_bar(space, cp.v(-1.5 * littleBodyScale +  5 * littleBodyScale,0 - 5 * littleBodyScale),cp.v(-littleBodyScale + 5 * littleBodyScale, -littleBodyScale/2 -  5 * littleBodyScale), group,pointLeft);
    var body7  = add_bar(space, cp.v(-1.5 * littleBodyScale +  6 * littleBodyScale,0 - 6 * littleBodyScale),cp.v(-littleBodyScale + 6 * littleBodyScale, -littleBodyScale/2 -  6 * littleBodyScale), group,pointLeft);
    var body8  = add_bar(space, cp.v(-1.5 * littleBodyScale +  7 * littleBodyScale,0 - 7 * littleBodyScale),cp.v(-littleBodyScale + 7 * littleBodyScale, -littleBodyScale/2 -  7 * littleBodyScale), group,pointLeft);
    
    //makeSkin_simple(body,path,pic_anchorpoint,parent,body_angle,both_rotation,both_pos,pic_scale)
    makeSkin_simple(body1,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body2,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body3,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body4,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body5,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body6,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body7,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);
    makeSkin_simple(body8,"res/car_a/scene1/qiao/qiao",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.94);

    if(!COCOS2DJS_VERSION_316){
        space.addConstraint(new cp.PivotJoint( body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space)));
        space.addConstraint(new cp.PivotJoint( body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body8,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space)));

    }else{
        wrapperConstraint(body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space));
        wrapperConstraint(body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body8,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space));
    }
}


function a2_guanqia_chainBridge_1(par,space,pointLeft,pointRight){
    this.par = par;
    //static cpConstraint *
    var new_spring = function(/*cpBody*/ a, /*cpBody*/ b, /*cpVect*/ anchr1, /*cpVect*/ anchr2, /*cpFloat*/ restLength, /*cpFloat*/ stiff, /*cpFloat*/ damp) {
        /*cpConstraint*/ var spring = new cp.DampedSpring(a, b, anchr1, anchr2, restLength, stiff, damp);
        return spring;
    }
    //static cpBody *
    var add_bar = function(/*cpSpace*/ space, /*cpVect*/ a, /*cpVect*/ b, /*int*/ group,pos) {
        /*cpVect*/ var center = cp.v.mult(cp.v.add(a, b), 1.0/2.0);
        /*cpFloat*/ var length = cp.v.len(cp.v.sub(b, a));
        /*cpFloat*/ var mass = length/2;

        /*cpBody*/ var body = space.addBody(new cp.Body(mass, mass*length*length/12.0));
        body.setPos(cp.v.add(center,pos));

        /*cpShape*/ var shape = space.addShape(new cp.SegmentShape(body, cp.v.sub(a, center), cp.v.sub(b, center), 9.0));
//        var shape = space.addShape(new cp.BoxShape(body,30,10));//boxshape和segmentshape的区别
        shape.setFriction(0.3);
        shape.group = group;

        return body;
    }

    var offsetX = 20;
    var offsetY = 20;
    pointLeft  = cc.p(offsetX + pointLeft.x, pointLeft.y  + offsetY);
    pointRight = cc.p(offsetX + pointRight.x,pointRight.y + offsetY);

    var body_left =new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_left.setPos(pointLeft);

    var body_right=new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_right.setPos(pointRight);

    //only need to adjust these three arguments
    var littleBodyScale = 44;
    var littleBodyScale_space = 20;
    var body_space = 22;
    //because i want to run the code in cocos2d-x3.16 and cocos2d-x3.6,and some code is not compatible,i only need to change this
    var COCOS2DJS_VERSION_316 = true;
    var group = 0x1111;


    if(COCOS2DJS_VERSION_316){
        var wrapperConstraint = function(body1,body2,anchor1,anchor2){
            var pivotJoint = new cp.PivotJoint( body1, body2, cp.v(0,0));
            pivotJoint.setAnchorA(anchor1);
            pivotJoint.setAnchorB(anchor2);
            space.addConstraint(pivotJoint);
        }
    }
    var body1  = add_bar(space, cp.v(-1.5 * littleBodyScale +  0 * littleBodyScale,0 - 0 * littleBodyScale),cp.v(-littleBodyScale + 0 * littleBodyScale, -littleBodyScale/2 -  0 * littleBodyScale), group,pointLeft);
    var body2  = add_bar(space, cp.v(-1.5 * littleBodyScale +  1 * littleBodyScale,0 - 1 * littleBodyScale),cp.v(-littleBodyScale + 1 * littleBodyScale, -littleBodyScale/2 -  1 * littleBodyScale), group,pointLeft);
    var body3  = add_bar(space, cp.v(-1.5 * littleBodyScale +  2 * littleBodyScale,0 - 2 * littleBodyScale),cp.v(-littleBodyScale + 2 * littleBodyScale, -littleBodyScale/2 -  2 * littleBodyScale), group,pointLeft);
    var body4  = add_bar(space, cp.v(-1.5 * littleBodyScale +  3 * littleBodyScale,0 - 3 * littleBodyScale),cp.v(-littleBodyScale + 3 * littleBodyScale, -littleBodyScale/2 -  3 * littleBodyScale), group,pointLeft);
    var body5  = add_bar(space, cp.v(-1.5 * littleBodyScale +  4 * littleBodyScale,0 - 4 * littleBodyScale),cp.v(-littleBodyScale + 4 * littleBodyScale, -littleBodyScale/2 -  4 * littleBodyScale), group,pointLeft);
    var body6  = add_bar(space, cp.v(-1.5 * littleBodyScale +  5 * littleBodyScale,0 - 5 * littleBodyScale),cp.v(-littleBodyScale + 5 * littleBodyScale, -littleBodyScale/2 -  5 * littleBodyScale), group,pointLeft);

    //makeSkin_simple(body,path,pic_anchorpoint,parent,body_angle,both_rotation,both_pos,pic_scale)
    makeSkin_simple(body1,"res/car_a/scene2/shuoqiao/2fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body2,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body3,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body4,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body5,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body6,"res/car_a/scene2/shuoqiao/2fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);

    if(!COCOS2DJS_VERSION_316){
        space.addConstraint(new cp.PivotJoint( body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space)));
        space.addConstraint(new cp.PivotJoint( body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body6,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space)));

    }else{
        wrapperConstraint(body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space));
        wrapperConstraint(body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body6,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space));
    }
}


var b1_guanqia_chainBridge_4 = function(parent,deltaPos){
    var bridge = {};
    bridge.deltaPos = deltaPos;

    bridge.bridge = new cc.Sprite("res/car_b/scene1/diaoqiao_new");
    bridge.bridge.setPosition(cp.v.add(cp.v(166,48),bridge.deltaPos));
    bridge.bridge.setGlobalZOrder(constCar.globalZOrder.level_pos50);
    parent.addChild(bridge.bridge);

    // bridge.bridge1 = new cc.Sprite("res/car_b/scene1/xuanqiao/3");
    // bridge.bridge1.setPosition(cp.v.add(cp.v(0,5),bridge.deltaPos));
    // bridge.bridge1.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // parent.addChild(bridge.bridge1);
    //
    // bridge.bridge2 = new cc.Sprite("res/car_b/scene1/xuanqiao/4");
    // bridge.bridge2.setRotation(-1);
    // bridge.bridge2.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.bridge2.setPosition(cp.v.add(cp.v(112,0),bridge.deltaPos));
    // parent.addChild(bridge.bridge2);
    //
    //
    // bridge.bridge3 = new cc.Sprite("res/car_b/scene1/xuanqiao/4");
    // bridge.bridge3.setRotation(-3);
    // bridge.bridge3.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.bridge3.setPosition(cp.v.add(cp.v(224,3),bridge.deltaPos));
    // parent.addChild(bridge.bridge3);
    //
    //
    // bridge.bridge4 = new cc.Sprite("res/car_b/scene1/xuanqiao/4");
    // bridge.bridge4.setRotation(-7);
    // bridge.bridge4.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.bridge4.setPosition(cp.v.add(cp.v(336,12),bridge.deltaPos));
    // parent.addChild(bridge.bridge4);
    //
    //
    // bridge.upLine = new cc.Sprite("res/car_b/scene1/xuanqiao/1");
    // bridge.upLine.setRotation(-2);
    // bridge.upLine.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.upLine.setPosition(cp.v.add(cp.v(168,84),bridge.deltaPos));
    // parent.addChild(bridge.upLine);
    //
    // bridge.downLine1 = new cc.Sprite("res/car_b/scene1/xuanqiao/5");
    // bridge.downLine1.setRotation(4);
    // bridge.downLine1.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.downLine1.setPosition(cp.v.add(cp.v(-40,7),bridge.deltaPos));
    // parent.addChild(bridge.downLine1,-2);
    //
    // bridge.downLine2 = new cc.Sprite("res/car_b/scene1/xuanqiao/5");
    // bridge.downLine2.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.downLine2.setPosition(cp.v.add(cp.v(112-50,2),bridge.deltaPos));
    // parent.addChild(bridge.downLine2,-2);
    //
    // bridge.downLine3 = new cc.Sprite("res/car_b/scene1/xuanqiao/5");
    // bridge.downLine3.setRotation(-4);
    // bridge.downLine3.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.downLine3.setPosition(cp.v.add(cp.v(224-50,0),bridge.deltaPos));
    // parent.addChild(bridge.downLine3,-2);
    //
    // bridge.downLine4 = new cc.Sprite("res/car_b/scene1/xuanqiao/5");
    // bridge.downLine4.setRotation(-6);
    // bridge.downLine4.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.downLine4.setPosition(cp.v.add(cp.v(336-50,5),bridge.deltaPos));
    // parent.addChild(bridge.downLine4,-2);
    //
    // bridge.downLine5 = new cc.Sprite("res/car_b/scene1/xuanqiao/5");
    // bridge.downLine5.setRotation(-9);
    // bridge.downLine5.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.downLine5.setPosition(cp.v.add(cp.v(420-40,15),bridge.deltaPos));
    // parent.addChild(bridge.downLine5,-2);
    //
    //
    // bridge.centerLine1 = new cc.Sprite("res/car_b/scene1/xuanqiao/2");
    // bridge.centerLine1.setRotation(4);
    // bridge.centerLine1.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.centerLine1.setPosition(cp.v.add(cp.v(2,47),bridge.deltaPos));
    // parent.addChild(bridge.centerLine1,-2);
    //
    // bridge.centerLine2 = new cc.Sprite("res/car_b/scene1/xuanqiao/2");
    // bridge.centerLine2.setRotation(0);
    // bridge.centerLine2.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.centerLine2.setPosition(cp.v.add(cp.v(112+2,41),bridge.deltaPos));
    // parent.addChild(bridge.centerLine2,-2);
    //
    // bridge.centerLine3 = new cc.Sprite("res/car_b/scene1/xuanqiao/2");
    // bridge.centerLine3.setRotation(-4);
    // bridge.centerLine3.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.centerLine3.setPosition(cp.v.add(cp.v(224-1,41),bridge.deltaPos));
    // parent.addChild(bridge.centerLine3,-2);
    //
    // bridge.centerLine4 = new cc.Sprite("res/car_b/scene1/xuanqiao/2");
    // bridge.centerLine4.setRotation(-8);
    // bridge.centerLine4.setGlobalZOrder(constCar.globalZOrder.level_pos10);
    // bridge.centerLine4.setPosition(cp.v.add(cp.v(336-3,51),bridge.deltaPos));
    // parent.addChild(bridge.centerLine4,-2);
    return bridge;
}


function b1_guanqia_chainBridge_7(par,space,pointLeft,pointRight){
    this.par = par;
    //static cpConstraint *
    var new_spring = function(/*cpBody*/ a, /*cpBody*/ b, /*cpVect*/ anchr1, /*cpVect*/ anchr2, /*cpFloat*/ restLength, /*cpFloat*/ stiff, /*cpFloat*/ damp) {
        /*cpConstraint*/ var spring = new cp.DampedSpring(a, b, anchr1, anchr2, restLength, stiff, damp);
        return spring;
    }
    //static cpBody *
    var add_bar = function(/*cpSpace*/ space, /*cpVect*/ a, /*cpVect*/ b, /*int*/ group,pos) {
        /*cpVect*/ var center = cp.v.mult(cp.v.add(a, b), 1.0/2.0);
        /*cpFloat*/ var length = cp.v.len(cp.v.sub(b, a));
        /*cpFloat*/ var mass = length/2;

        /*cpBody*/ var body = space.addBody(new cp.Body(mass, mass*length*length/12.0));
        body.setPos(cp.v.add(center,pos));

        /*cpShape*/ var shape = space.addShape(new cp.SegmentShape(body, cp.v.sub(a, center), cp.v.sub(b, center), 9.0));
//        var shape = space.addShape(new cp.BoxShape(body,30,10));//boxshape和segmentshape的区别
        shape.setFriction(0.3);
        shape.group = group;

        return body;
    }

    var offsetX = 20;
    var offsetY = 20;
    pointLeft  = cc.p(offsetX + pointLeft.x, pointLeft.y  + offsetY);
    pointRight = cc.p(offsetX + pointRight.x,pointRight.y + offsetY);

    var body_left =new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_left.setPos(pointLeft);

    var body_right=new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_right.setPos(pointRight);

    //only need to adjust these three arguments
    var littleBodyScale = 44;
    var littleBodyScale_space = 20;
    var body_space = 22;
    //because i want to run the code in cocos2d-x3.16 and cocos2d-x3.6,and some code is not compatible,i only need to change this
    var COCOS2DJS_VERSION_316 = true;
    var group = 0x1111;


    if(COCOS2DJS_VERSION_316){
        var wrapperConstraint = function(body1,body2,anchor1,anchor2){
            var pivotJoint = new cp.PivotJoint( body1, body2, cp.v(0,0));
            pivotJoint.setAnchorA(anchor1);
            pivotJoint.setAnchorB(anchor2);
            space.addConstraint(pivotJoint);
        }
    }
    var body1  = add_bar(space, cp.v(-1.5 * littleBodyScale +  0 * littleBodyScale,0 - 0 * littleBodyScale),cp.v(-littleBodyScale + 0 * littleBodyScale, -littleBodyScale/2 -  0 * littleBodyScale), group,pointLeft);
    var body2  = add_bar(space, cp.v(-1.5 * littleBodyScale +  1 * littleBodyScale,0 - 1 * littleBodyScale),cp.v(-littleBodyScale + 1 * littleBodyScale, -littleBodyScale/2 -  1 * littleBodyScale), group,pointLeft);
    var body3  = add_bar(space, cp.v(-1.5 * littleBodyScale +  2 * littleBodyScale,0 - 2 * littleBodyScale),cp.v(-littleBodyScale + 2 * littleBodyScale, -littleBodyScale/2 -  2 * littleBodyScale), group,pointLeft);
    var body4  = add_bar(space, cp.v(-1.5 * littleBodyScale +  3 * littleBodyScale,0 - 3 * littleBodyScale),cp.v(-littleBodyScale + 3 * littleBodyScale, -littleBodyScale/2 -  3 * littleBodyScale), group,pointLeft);
    var body5  = add_bar(space, cp.v(-1.5 * littleBodyScale +  4 * littleBodyScale,0 - 4 * littleBodyScale),cp.v(-littleBodyScale + 4 * littleBodyScale, -littleBodyScale/2 -  4 * littleBodyScale), group,pointLeft);
    var body6  = add_bar(space, cp.v(-1.5 * littleBodyScale +  5 * littleBodyScale,0 - 5 * littleBodyScale),cp.v(-littleBodyScale + 5 * littleBodyScale, -littleBodyScale/2 -  5 * littleBodyScale), group,pointLeft);
    var body7  = add_bar(space, cp.v(-1.5 * littleBodyScale +  6 * littleBodyScale,0 - 6 * littleBodyScale),cp.v(-littleBodyScale + 6 * littleBodyScale, -littleBodyScale/2 -  6 * littleBodyScale), group,pointLeft);
    var body8  = add_bar(space, cp.v(-1.5 * littleBodyScale +  7 * littleBodyScale,0 - 7 * littleBodyScale),cp.v(-littleBodyScale + 7 * littleBodyScale, -littleBodyScale/2 -  7 * littleBodyScale), group,pointLeft);

    //makeSkin_simple(body,path,pic_anchorpoint,parent,body_angle,both_rotation,both_pos,pic_scale)
    makeSkin_simple(body1,"res/car_a/scene2/shuoqiao/2fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body2,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body3,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body4,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body5,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body6,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body7,"res/car_a/scene2/shuoqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);
    makeSkin_simple(body8,"res/car_a/scene2/shuoqiao/2fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.6);

    if(!COCOS2DJS_VERSION_316){
        space.addConstraint(new cp.PivotJoint( body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space)));
        space.addConstraint(new cp.PivotJoint( body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body8,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space)));

    }else{
        wrapperConstraint(body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space));
        wrapperConstraint(body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body8,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space));
    }
}


function b2_guanqia_chainBridge_3(par,space,pointLeft,pointRight){
    this.par = par;
    //static cpConstraint *
    var new_spring = function(/*cpBody*/ a, /*cpBody*/ b, /*cpVect*/ anchr1, /*cpVect*/ anchr2, /*cpFloat*/ restLength, /*cpFloat*/ stiff, /*cpFloat*/ damp) {
        /*cpConstraint*/ var spring = new cp.DampedSpring(a, b, anchr1, anchr2, restLength, stiff, damp);
        return spring;
    }
    //static cpBody *
    var add_bar = function(/*cpSpace*/ space, /*cpVect*/ a, /*cpVect*/ b, /*int*/ group,pos) {
        /*cpVect*/ var center = cp.v.mult(cp.v.add(a, b), 1.0/2.0);
        /*cpFloat*/ var length = cp.v.len(cp.v.sub(b, a));
        /*cpFloat*/ var mass = length/2;

        /*cpBody*/ var body = space.addBody(new cp.Body(mass, mass*length*length/12.0));
        body.setPos(cp.v.add(center,pos));

        /*cpShape*/ var shape = space.addShape(new cp.SegmentShape(body, cp.v.sub(a, center), cp.v.sub(b, center), 9.0));
//        var shape = space.addShape(new cp.BoxShape(body,30,10));//boxshape和segmentshape的区别
        shape.setFriction(0.3);
        shape.group = group;

        return body;
    }

    var offsetX = 20;
    var offsetY = 20;
    pointLeft  = cc.p(offsetX + pointLeft.x, pointLeft.y  + offsetY);
    pointRight = cc.p(offsetX + pointRight.x,pointRight.y + offsetY);

    var body_left =new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_left.setPos(pointLeft);

    var body_right=new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_right.setPos(pointRight);

    //only need to adjust these three arguments
    var littleBodyScale = 49;
    var littleBodyScale_space = 21.2;
    var body_space = 32;
    //because i want to run the code in cocos2d-x3.16 and cocos2d-x3.6,and some code is not compatible,i only need to change this
    var COCOS2DJS_VERSION_316 = true;
    var group = 0x1111;


    if(COCOS2DJS_VERSION_316){
        var wrapperConstraint = function(body1,body2,anchor1,anchor2){
            var pivotJoint = new cp.PivotJoint( body1, body2, cp.v(0,0));
            pivotJoint.setAnchorA(anchor1);
            pivotJoint.setAnchorB(anchor2);
            space.addConstraint(pivotJoint);
        }
    }
    var body1  = add_bar(space, cp.v(-1.5 * littleBodyScale +  0 * littleBodyScale,0 - 0 * littleBodyScale),cp.v(-littleBodyScale + 0 * littleBodyScale, -littleBodyScale/2 -  0 * littleBodyScale), group,pointLeft);
    var body2  = add_bar(space, cp.v(-1.5 * littleBodyScale +  1 * littleBodyScale,0 - 1 * littleBodyScale),cp.v(-littleBodyScale + 1 * littleBodyScale, -littleBodyScale/2 -  1 * littleBodyScale), group,pointLeft);
    var body3  = add_bar(space, cp.v(-1.5 * littleBodyScale +  2 * littleBodyScale,0 - 2 * littleBodyScale),cp.v(-littleBodyScale + 2 * littleBodyScale, -littleBodyScale/2 -  2 * littleBodyScale), group,pointLeft);
    var body4  = add_bar(space, cp.v(-1.5 * littleBodyScale +  3 * littleBodyScale,0 - 3 * littleBodyScale),cp.v(-littleBodyScale + 3 * littleBodyScale, -littleBodyScale/2 -  3 * littleBodyScale), group,pointLeft);
    var body5  = add_bar(space, cp.v(-1.5 * littleBodyScale +  4 * littleBodyScale,0 - 4 * littleBodyScale),cp.v(-littleBodyScale + 4 * littleBodyScale, -littleBodyScale/2 -  4 * littleBodyScale), group,pointLeft);
    var body6  = add_bar(space, cp.v(-1.5 * littleBodyScale +  5 * littleBodyScale,0 - 5 * littleBodyScale),cp.v(-littleBodyScale + 5 * littleBodyScale, -littleBodyScale/2 -  5 * littleBodyScale), group,pointLeft);
    var body7  = add_bar(space, cp.v(-1.5 * littleBodyScale +  6 * littleBodyScale,0 - 6 * littleBodyScale),cp.v(-littleBodyScale + 6 * littleBodyScale, -littleBodyScale/2 -  6 * littleBodyScale), group,pointLeft);
    var body8  = add_bar(space, cp.v(-1.5 * littleBodyScale +  7 * littleBodyScale,0 - 7 * littleBodyScale),cp.v(-littleBodyScale + 7 * littleBodyScale, -littleBodyScale/2 -  7 * littleBodyScale), group,pointLeft);
    var body9  = add_bar(space, cp.v(-1.5 * littleBodyScale +  8 * littleBodyScale,0 - 8 * littleBodyScale),cp.v(-littleBodyScale + 8 * littleBodyScale, -littleBodyScale/2 -  8 * littleBodyScale), group,pointLeft);

    //makeSkin_simple(body,path,pic_anchorpoint,parent,body_angle,both_rotation,both_pos,pic_scale)
    makeSkin_simple(body1,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body2,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body3,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body4,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body5,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body6,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body7,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body8,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);
    makeSkin_simple(body9,"res/car_b/scene2/fuqiao/3",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),1);

    if(!COCOS2DJS_VERSION_316){
        space.addConstraint(new cp.PivotJoint( body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space)));
        space.addConstraint(new cp.PivotJoint( body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body8,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space)));

    }else{
        wrapperConstraint(body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space));
        wrapperConstraint(body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body8,  body9, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body9,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space));
    }
}


function b3_guanqia_chainBridge_2(par){

}

function b3_guanqia_chainBridge_7(par){

}

function c1_guanqia_chainBridge_1(par){

}

function c1_guanqia_chainBridge_6(par,space,pointLeft,pointRight){
    this.par = par;
    //static cpConstraint *
    var new_spring = function(/*cpBody*/ a, /*cpBody*/ b, /*cpVect*/ anchr1, /*cpVect*/ anchr2, /*cpFloat*/ restLength, /*cpFloat*/ stiff, /*cpFloat*/ damp) {
        /*cpConstraint*/ var spring = new cp.DampedSpring(a, b, anchr1, anchr2, restLength, stiff, damp);
        return spring;
    }
    //static cpBody *
    var add_bar = function(/*cpSpace*/ space, /*cpVect*/ a, /*cpVect*/ b, /*int*/ group,pos) {
        /*cpVect*/ var center = cp.v.mult(cp.v.add(a, b), 1.0/2.0);
        /*cpFloat*/ var length = cp.v.len(cp.v.sub(b, a));
        /*cpFloat*/ var mass = length/2;

        /*cpBody*/ var body = space.addBody(new cp.Body(mass, mass*length*length/32.0));
        body.setPos(cp.v.add(center,pos));

        /*cpShape*/ var shape = space.addShape(new cp.SegmentShape(body, cp.v.sub(a, center), cp.v.sub(b, center), 15.0));
//        var shape = space.addShape(new cp.BoxShape(body,30,10));//boxshape和segmentshape的区别
        shape.setFriction(0.9);
        shape.group = group;

        return body;
    }

    var offsetX = 20;
    var offsetY = 20;
    pointLeft  = cc.p(offsetX + pointLeft.x, pointLeft.y  + offsetY);
    pointRight = cc.p(offsetX + pointRight.x,pointRight.y + offsetY);

    var body_left =new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_left.setPos(pointLeft);

    var body_right=new cp.StaticBody(1,cp.momentForCircle(1,0,10,cp.v(0,0)));  //it is a static body
    body_right.setPos(pointRight);

    //only need to adjust these three arguments
    var littleBodyScale = 44;
    var littleBodyScale_space = 20;
    var body_space = 22;
    //because i want to run the code in cocos2d-x3.16 and cocos2d-x3.6,and some code is not compatible,i only need to change this
    var COCOS2DJS_VERSION_316 = true;
    // var group = constCar.bridge.group;
    var group = 0x1111;


    if(COCOS2DJS_VERSION_316){
        var wrapperConstraint = function(body1,body2,anchor1,anchor2){
            var pivotJoint = new cp.PivotJoint( body1, body2, cp.v(0,0));
            pivotJoint.setAnchorA(anchor1);
            pivotJoint.setAnchorB(anchor2);
            space.addConstraint(pivotJoint);
        }
    }
    var body1  = add_bar(space, cp.v(-1.5 * littleBodyScale +  0 * littleBodyScale,0 - 0 * littleBodyScale),cp.v(-littleBodyScale + 0 * littleBodyScale, -littleBodyScale/2 -  0 * littleBodyScale), group,pointLeft);
    var body2  = add_bar(space, cp.v(-1.5 * littleBodyScale +  1 * littleBodyScale,0 - 1 * littleBodyScale),cp.v(-littleBodyScale + 1 * littleBodyScale, -littleBodyScale/2 -  1 * littleBodyScale), group,pointLeft);
    var body3  = add_bar(space, cp.v(-1.5 * littleBodyScale +  2 * littleBodyScale,0 - 2 * littleBodyScale),cp.v(-littleBodyScale + 2 * littleBodyScale, -littleBodyScale/2 -  2 * littleBodyScale), group,pointLeft);
    var body4  = add_bar(space, cp.v(-1.5 * littleBodyScale +  3 * littleBodyScale,0 - 3 * littleBodyScale),cp.v(-littleBodyScale + 3 * littleBodyScale, -littleBodyScale/2 -  3 * littleBodyScale), group,pointLeft);
    var body5  = add_bar(space, cp.v(-1.5 * littleBodyScale +  4 * littleBodyScale,0 - 4 * littleBodyScale),cp.v(-littleBodyScale + 4 * littleBodyScale, -littleBodyScale/2 -  4 * littleBodyScale), group,pointLeft);
    var body6  = add_bar(space, cp.v(-1.5 * littleBodyScale +  5 * littleBodyScale,0 - 5 * littleBodyScale),cp.v(-littleBodyScale + 5 * littleBodyScale, -littleBodyScale/2 -  5 * littleBodyScale), group,pointLeft);
    var body7  = add_bar(space, cp.v(-1.5 * littleBodyScale +  6 * littleBodyScale,0 - 6 * littleBodyScale),cp.v(-littleBodyScale + 6 * littleBodyScale, -littleBodyScale/2 -  6 * littleBodyScale), group,pointLeft);
    var body8  = add_bar(space, cp.v(-1.5 * littleBodyScale +  7 * littleBodyScale,0 - 7 * littleBodyScale),cp.v(-littleBodyScale + 7 * littleBodyScale, -littleBodyScale/2 -  7 * littleBodyScale), group,pointLeft);

    var body9  = add_bar(space, cp.v(-1.5 * littleBodyScale +  8 * littleBodyScale,0 - 8 * littleBodyScale),cp.v(-littleBodyScale + 8 * littleBodyScale, -littleBodyScale/2 -  8 * littleBodyScale), group,pointLeft);
    var body10 = add_bar(space, cp.v(-1.5 * littleBodyScale +  9 * littleBodyScale,0 - 9 * littleBodyScale),cp.v(-littleBodyScale + 9 * littleBodyScale, -littleBodyScale/2 -  9 * littleBodyScale), group,pointLeft);
    var body11 = add_bar(space, cp.v(-1.5 * littleBodyScale +  10 * littleBodyScale,0 - 10 * littleBodyScale),cp.v(-littleBodyScale + 10 * littleBodyScale, -littleBodyScale/2 -  10 * littleBodyScale), group,pointLeft);
    var body12 = add_bar(space, cp.v(-1.5 * littleBodyScale +  11 * littleBodyScale,0 - 11 * littleBodyScale),cp.v(-littleBodyScale + 11 * littleBodyScale, -littleBodyScale/2 -  11 * littleBodyScale), group,pointLeft);

    //makeSkin_simple(body,path,pic_anchorpoint,parent,body_angle,both_rotation,both_pos,pic_scale)
    makeSkin_simple(body1,"res/car_c/scene1/fuqiao/1",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body2,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body3,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body4,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body5,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body6,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body7,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body8,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);

    makeSkin_simple(body9,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body10,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body11,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);
    makeSkin_simple(body12,"res/car_c/scene1/fuqiao/1fan",cp.v(0.5,0.5),this.par,-30,-20,cp.v(pointLeft.x,0),0.4);

    if(!COCOS2DJS_VERSION_316){
        space.addConstraint(new cp.PivotJoint( body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space)));
        space.addConstraint(new cp.PivotJoint( body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space)));
        space.addConstraint(new cp.PivotJoint( body8,  body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space)));

    }else{
        wrapperConstraint(body_left,  body1, cp.v( -body_space,  -body_space), cp.v(-body_space,body_space));
        wrapperConstraint(body1,  body2, cp.v( 1*littleBodyScale_space,-1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body2,  body3, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body3,  body4, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body4,  body5, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body5,  body6, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body6,  body7, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body7,  body8, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));

        wrapperConstraint(body8,  body9, cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body9,  body10,cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body10,  body11,cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));
        wrapperConstraint(body11,  body12,cp.v(-1*littleBodyScale_space, 1*littleBodyScale_space),cp.v(1*littleBodyScale_space,-1*littleBodyScale_space));

        wrapperConstraint(body12, body_right, cp.v( -body_space, body_space), cp.v(-body_space,-body_space));
    }
}
