var c3_guanqia_longzi_2 = function(parent,position){
    var longzi_guanqia = {};
    longzi_guanqia.deltaPos = position;

    var longziqian = new cc.Sprite("res/car_c/scene3/longzi/qian/0");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_c/scene3/longzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_c/scene3/yu1/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(10,0)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);


    var fourBoundaryShape = [];
    var deltaPos1 = cp.v.add(cp.v(-230,-270+30),longzi_guanqia.deltaPos);
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(240,210 - 30),deltaPos1));//down left
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(160,310),deltaPos1));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),deltaPos1),cp.v.add(cp.v(320,310),deltaPos1));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v(240,210 - 30),deltaPos1),cp.v.add(cp.v(320,210),deltaPos1));//down right


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 5;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(40,40),1,cp.v.add(pos[i],deltaPos1),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],deltaPos1),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    }

    var animqian = animationCreate2(0, 4, "res/car_c/scene3/longzi/qian/", "", 0.1, 1, false);
    animqian.retain();
    var animhou = animationCreate2(0, 4, "res/car_c/scene3/longzi/hou/", "", 0.1, 1, false);
    animhou.retain();

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(animqian,cc.removeSelf(true)));
        longzihou.runAction(cc.sequence(animhou,cc.removeSelf(true)));
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.moveBy(1,-10,-50),
                    cc.moveBy(4,0,600)
                    ,cc.removeSelf(true)
                ),
                animationCreate2(0, 9, "res/car_c/scene3/yu1/", "", 0.1, 20, false)
            ));
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(1+getRand0ToN(1),1+getRand0ToN(2)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.deltaPos,cp.v(15,30)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c3-2",false);
                        }
                    ),
                    cc.delayTime(0.3),
                    cc.callFunc(
                       function(){ playCarEffect("jiazi");}
                    )
                ),
                cc.sequence(
                    cc.delayTime(1.1),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim()}),
                    cc.delayTime(1.5),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 400, func);
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        280,
        longzi_guanqia.deltaPos,
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var c3_guanqia_longzi_6 = function(parent,position){
    var longzi_guanqia = {};
    longzi_guanqia.deltaPos = position;

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(position,cp.v(15,10)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

    var longziqian = new cc.Sprite("res/car_c/scene3/longzi/qian/0");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_c/scene3/longzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_c/scene3/yu2/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(10,0)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);


    var fourBoundaryShape = [];
    var deltaPos1 = cp.v.add(cp.v(-230,-270+30),longzi_guanqia.deltaPos);
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(240,210 - 30),deltaPos1));//down left
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(160,310),deltaPos1));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),deltaPos1),cp.v.add(cp.v(320,310),deltaPos1));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v(240,210 - 30),deltaPos1),cp.v.add(cp.v(320,210),deltaPos1));//down right


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 5;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(40,40),1,cp.v.add(pos[i],deltaPos1),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/hong",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],deltaPos1),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    }

    var animqian = animationCreate2(0, 4, "res/car_c/scene3/longzi/qian/", "", 0.1, 1, false);
    animqian.retain();
    var animhou = animationCreate2(0, 4, "res/car_c/scene3/longzi/hou/", "", 0.1, 1, false);
    animhou.retain();

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(animqian,cc.removeSelf(true)));
        longzihou.runAction(cc.sequence(animhou,cc.removeSelf(true)));
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.moveBy(1,-10,-50),
                    cc.moveBy(4,0,600)
                    ,cc.removeSelf(true)
                ),
                animationCreate2(0, 13, "res/car_c/scene3/yu2/", "", 0.1, 20, false)
            ));
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(1+getRand0ToN(1),1+getRand0ToN(2)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);


    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            parent.spriteController.shieldTheLayer(true);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c3-6",false);
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim()}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 370, func);
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        280,
        longzi_guanqia.deltaPos,
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var c3_guanqia_longzi_c = function(parent,position){
    var longzi_guanqia = {};

    longzi_guanqia.shixiang1DelPos = position;
    var shixiang = new cc.Sprite("res/car_c/scene3/shixiang/shixiang1/hou/0");
    shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang);

    var shixiang_qian = new cc.Sprite("res/car_c/scene3/shixiang/shixiang1/qian/0");
    shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang_qian);


    var threeBoundaryShape = [];
    threeBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v(320,210),longzi_guanqia.shixiang1DelPos));
    threeBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v(160,310),longzi_guanqia.shixiang1DelPos));
    threeBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v(320,310),longzi_guanqia.shixiang1DelPos));


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 5;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(50,50),1,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/hong",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
    }

    var qianqanim = animationCreate2(0,4,"res/car_c/scene3/shixiang/shixiang1/qian/","", 0.13, 1, false);
    qianqanim.retain();
    var houanim = animationCreate2(0,5,"res/car_c/scene3/shixiang/shixiang1/hou/","", 0.13, 1, false);
    houanim.retain();

    longzi_guanqia.shixiangAnim = function(){
        shixiang_qian.runAction(cc.sequence(qianqanim,cc.fadeOut(0.2)));
        shixiang.runAction(houanim);
        for(var i = 0;i < 3; i ++){
            parent._space.removeShape(threeBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(10+getRand0ToN(10),10+getRand0ToN(20)),cp.v(0,0));
        // }
        this.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(250,380)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos10-1);


    longzi_guanqia.clickCallback = function(){
        parent.spriteController.shieldTheLayer(true);
        longzi_guanqia.clickTip.destroySelf();
        var func = function () {
            parent.spriteController._carController.controllayerUpdate  = true;
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c3-c-d",false);
                        }
                    ),
                    cc.delayTime(0.3),
                    cc.callFunc(
                        function(){
                            playCarEffect("jiazi");
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim();}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.spriteController._carController.controllayerUpdate  = false;
        parent.updateController.pushOneDataToArray(longzi_guanqia.shixiang1DelPos.x - 100, func);
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        380,
        cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(230,300)),
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}


var c3_guanqia_longzi_d = function(parent,position){
    var longzi_guanqia = {};

    longzi_guanqia.shixiang1DelPos = position;
    var shixiang = new cc.Sprite("res/car_c/scene3/shixiang/shixiang2/hou/0");
    shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300-103,300)));
    parent.addChild(shixiang);

    var shixiang_qian = new cc.Sprite("res/car_c/scene3/shixiang/shixiang2/qian/0");
    shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300-103,300)));
    parent.addChild(shixiang_qian);


    var threeBoundaryShape = [];
    threeBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v(320,210),longzi_guanqia.shixiang1DelPos));
    threeBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v(160,310),longzi_guanqia.shixiang1DelPos));
    threeBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v(320,310),longzi_guanqia.shixiang1DelPos));


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 5;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(50,50),1,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/hong",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
    }

    var qiananim = animationCreate2(0,4,"res/car_c/scene3/shixiang/shixiang2/qian/","", 0.13, 1, false);
    qiananim.retain();
    var houanim = animationCreate2(0,5,"res/car_c/scene3/shixiang/shixiang2/hou/","", 0.13, 1, false);
    houanim.retain();

    longzi_guanqia.shixiangAnim = function(){
        shixiang_qian.runAction(cc.sequence(qiananim,cc.fadeOut(0.2)));
        shixiang.runAction(houanim);
        for(var i = 0;i < 3; i ++){
            parent._space.removeShape(threeBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(10+getRand0ToN(10),10+getRand0ToN(20)),cp.v(0,0));
        // }
        this.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);


    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(250,380)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos10-1);

    longzi_guanqia.clickCallback = function(){
        parent.spriteController.shieldTheLayer(true);
        longzi_guanqia.clickTip.destroySelf();
        var func = function () {
            parent.spriteController._carController.controllayerUpdate  = true;
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"c3-c-d",false);
                        }
                    ),
                    cc.delayTime(0.3),
                    cc.callFunc(
                        function(){
                            playCarEffect("jiazi");
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim();}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.spriteController._carController.controllayerUpdate  = false;
        parent.updateController.pushOneDataToArray(longzi_guanqia.shixiang1DelPos.x - 100, func);
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        380,
        cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(230,300)),
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
//
// var c3_guanqia_longzi_d = function(parent,position){
//     // var longzi_guanqia = {};
//     //
//     // longzi_guanqia.shixiang1DelPos = position;
//     // var shixiang = new cc.Sprite("res/car_c/scene3/shixiang/shixiang2/hou/0");
//     // shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
//     // shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5);
//     // parent.addChild(shixiang);
//     //
//     // var shixiang_qian = new cc.Sprite("res/car_c/scene3/shixiang/shixiang2/qian/0");
//     // shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos50);
//     // shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
//     // parent.addChild(shixiang_qian);
//     //
//     //
//     // var threeBoundaryShape = [];
//     // var dt_pos = cp.v(110,0);
//     // threeBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v.add(cp.v(160,210),dt_pos),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.add(cp.v(320,210),dt_pos),longzi_guanqia.shixiang1DelPos));
//     // threeBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v.add(cp.v(160,210),dt_pos),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.add(cp.v(160,310),dt_pos),longzi_guanqia.shixiang1DelPos));
//     // threeBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v.add(cp.v(320,210),dt_pos),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.add(cp.v(320,310),dt_pos),longzi_guanqia.shixiang1DelPos));
//     //
//     // var pos = [cp.v.add(cp.v(200,300),dt_pos),cp.v.add(cp.v(250,300),dt_pos),cp.v.add(cp.v(300,300),dt_pos),cp.v.add(cp.v(220,350),dt_pos),cp.v.add(cp.v(270,350),dt_pos)];
//     // var bodyshapes = [];
//     // var physicssprites = [];
//     // for(var i = 0;i < 5;i ++){
//     //     bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(50,50),1,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),10 * (1 + i)));
//     //     physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),0.23+(getRand0ToN(1) - 0.5) * 0.05));
//     //     physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
//     // }
//     //
//     // longzi_guanqia.shixiangAnim = function(){
//     //     shixiang_qian.runAction(cc.sequence(animationCreate2(0,7,"res/car_c/scene3/shixiang/shixiang2/qian/","", 0.13, 1, false),cc.fadeOut(0.2)));
//     //     shixiang.runAction(animationCreate2(0,8,"res/car_c/scene3/shixiang/shixiang2/hou/","", 0.13, 1, false));
//     //     for(var i = 0;i < 3; i ++){
//     //         parent._space.removeShape(threeBoundaryShape[i]);
//     //     }
//     //     for(var i = 0;i < bodyshapes.length;i ++){
//     //         bodyshapes[i][0].applyImpulse(cp.v(10+getRand0ToN(10),10+getRand0ToN(20)),cp.v(0,0));
//     //     }
//     //     this.scheduleOnce(function(){
//     //         for(var i = 0;i < bodyshapes.length;i ++){
//     //             parent._space.removeShape(bodyshapes[i][1]);
//     //             parent._space.removeBody(bodyshapes[i][0]);
//     //             createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
//     //                 var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
//     //                 playTreasureEffect();
//     //                 var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
//     //                 parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
//     //             });
//     //         }
//     //     }.bind(parent),2);
//     // }.bind(parent);
//     //
//     // return longzi_guanqia;
// }

var b3_guanqia_longzi_1 = function(parent,position){
    var longzi_guanqia = {};
    longzi_guanqia.deltaPos = cp.v.add(cp.v(0,0),position);

    var longziqian = new cc.Sprite("res/car_b/scene3/longzi/qian/0");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_b/scene3/longzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_b/scene3/shuimu/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(10,-35)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);


    var fourBoundaryShape = [];
    var deltaPos1 = cp.v.add(cp.v(-230+10,-262),longzi_guanqia.deltaPos);
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(240,210 - 30),deltaPos1));//down left
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(160,310),deltaPos1));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),deltaPos1),cp.v.add(cp.v(320,310),deltaPos1));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v(240,210 - 30),deltaPos1),cp.v.add(cp.v(320,210),deltaPos1));//down right


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 3;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(50,50),1,cp.v.add(pos[i],deltaPos1),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/huang",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],deltaPos1),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    }

    var animqian = animationCreate2(0, 4, "res/car_b/scene3/longzi/qian/", "", 0.1, 1, false);
    animqian.retain();
    var animhou = animationCreate2(0, 4, "res/car_b/scene3/longzi/hou/", "", 0.1, 1, false);
    animhou.retain();

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(animqian,cc.removeSelf(true)));
        longzihou.runAction(cc.sequence(animhou,cc.removeSelf(true)));
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.moveBy(1,-100,150),
                    cc.moveBy(2,120,400)
                    ,cc.removeSelf(true)
                ),
                animationCreate2(0, 10, "res/car_b/scene3/shuimu/", "", 0.1, 20, false)
            ));
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(1+getRand0ToN(1),1+getRand0ToN(2)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.deltaPos,cp.v(10,40)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        parent.spriteController.setShouldUpdate(false);
        var func = function () {
            parent.spriteController.setShouldUpdate(true);
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.sequence(
                cc.delayTime(0.4),
                cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("tieqiu");
                            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos1);
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"stone-1-3 sea-1-5-6",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim()}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos10);
                        parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                    })
                )
            )));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 390, func);
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        280,
        longzi_guanqia.deltaPos,
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var b3_guanqia_longzi_9 = function(parent,_pos){
    var longzi_guanqia = {};
    // longzi_guanqia.deltaPos = cp.v(14936,2191+parent.back2DeltaY);
    longzi_guanqia.deltaPos = _pos;

    var longziqian = new cc.Sprite("res/car_b/scene3/longzi/qian/0");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_b/scene3/longzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_b/scene3/xiaochouyu/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(75,-35)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);


    var fourBoundaryShape = [];
    var deltaPos1 = cp.v.add(cp.v(-230+10,-272),longzi_guanqia.deltaPos);
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(240,210 - 30),deltaPos1));//down left
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(160,310),deltaPos1));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),deltaPos1),cp.v.add(cp.v(320,310),deltaPos1));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v(240,210 - 30),deltaPos1),cp.v.add(cp.v(320,210),deltaPos1));//down right


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 3;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(50,50),1,cp.v.add(pos[i],deltaPos1),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/hong",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],deltaPos1),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    }

    var animqian = animationCreate2(0, 4, "res/car_b/scene3/longzi/qian/", "", 0.1, 1, false);
    animqian.retain();
    var animhou = animationCreate2(0, 4, "res/car_b/scene3/longzi/hou/", "", 0.1, 1, false);
    animhou.retain();

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(animqian,cc.removeSelf(true)));
        longzihou.runAction(cc.sequence(animhou,cc.removeSelf(true)));
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.moveBy(1,-100,150),
                    cc.moveBy(2,120,400)
                    ,cc.removeSelf(true)
                ),
                animationCreate2(0, 9, "res/car_b/scene3/xiaochouyu/", "", 0.1, 20, false)
            ));
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(1+getRand0ToN(1),1+getRand0ToN(2)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),1);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.deltaPos,cp.v(10,48)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos100);

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.setShouldUpdate(false);
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            parent.spriteController.setShouldUpdate(true);
            parent.spriteController._carController.controllayerUpdate  = true;
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("tieqiu");
                            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos1);
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"land-1 stone-2-5 sea-2-3-4-5",false);
                        }
                    ),
                    cc.delayTime(0.6),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos10);
                    })
                ),
                cc.sequence(
                    cc.delayTime(0.4),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim()}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.spriteController._carController.controllayerUpdate = false;
        parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 450, func);
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        280,
        longzi_guanqia.deltaPos,
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var b3_guanqia_longzi_b = function(parent){
    var longzi_guanqia = {};

    longzi_guanqia.shixiang1DelPos = cp.v(16280,1740+parent.back2DeltaY);
    var shixiang = new cc.Sprite("res/car_b/scene3/shixiang/hou/0");
    shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang);
    shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var shixiang_qian = new cc.Sprite("res/car_b/scene3/shixiang/qian/0");
    shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos10-2);
    shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang_qian);


    var fourBoundaryShape = [];
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(671, 409),cp.v(600,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(612, 288),cp.v(600,0)),longzi_guanqia.shixiang1DelPos));
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(612, 288),cp.v(600,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(716, 229),cp.v(600,0)),longzi_guanqia.shixiang1DelPos));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(716, 229),cp.v(600,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(825, 266),cp.v(600,0)),longzi_guanqia.shixiang1DelPos));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(825, 266),cp.v(600,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(856, 371),cp.v(600,0)),longzi_guanqia.shixiang1DelPos));

    var pos = [cp.v(200-130,300),cp.v(250-130,300),cp.v(300-130,300),cp.v(220-130,350),cp.v(270-130,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 5;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(50,40),1,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),0.40+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
    }

    var qiananim = animationCreate2(0,4,"res/car_b/scene3/shixiang/qian/","", 0.13, 1, false);
    qiananim.retain();

    var houanim = animationCreate2(0,5,"res/car_b/scene3/shixiang/hou/","", 0.13, 1, false);
    houanim.retain();

    longzi_guanqia.shixiangAnim = function(){
        shixiang_qian.runAction(cc.sequence(qiananim,cc.fadeOut(0.2)));
        shixiang.runAction(houanim);
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(10+getRand0ToN(10),10+getRand0ToN(20)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(150,300)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos10-1);

    longzi_guanqia.clickCallback = function(){
        parent.spriteController.shieldTheLayer(true);
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.setShouldUpdate(false);
        var func = function () {
            parent.spriteController.setShouldUpdate(true);
            parent.spriteController._carController.controllayerUpdate  = true;
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("tieqiu");
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"stone-1-3 sea-1-5-6",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim();}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.spriteController._carController.controllayerUpdate  = false;
        parent.updateController.pushOneDataToArray(longzi_guanqia.shixiang1DelPos.x - 400, func);
    }

    longzi_guanqia.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),400,360,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(130,240)),longzi_guanqia.clickCallback);
    // longzi_guanqia.clickCallback = function(){
    //     var func = function () {
    //         var node = new cc.Node();
    //         parent.addChild(node);
    //         parent.spriteController.shieldTheLayer(true);
    //         node.runAction(cc.spawn(
    //             cc.sequence(
    //                 cc.delayTime(0.1),
    //                 cc.callFunc(
    //                     function(){parent.spriteController.getCar().machinearm.setAnimation(1,"c1-8 c2-5",false);}
    //                 )
    //             ),
    //             cc.sequence(
    //                 cc.delayTime(0.6),
    //                 cc.callFunc(function(){longzi_guanqia.shixiangAnim()}),
    //                 cc.delayTime(2),
    //                 cc.callFunc(function(){
    //                     parent.spriteController.shieldTheLayer(false);
    //                 })
    //             )
    //         ));
    //     };
    //     func.controlValue = true;
    //     parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 400, func);
    // };
    //
    // longzi_guanqia.colorNodeListener = createColorNodeListener(
    //     parent,
    //     cc.color(255,0,0,constCar.debug.opacity),
    //     220,
    //     280,
    //     longzi_guanqia.deltaPos,
    //     longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var b3_guanqia_longzi_c = function(parent){
    var longzi_guanqia = {};

    longzi_guanqia.shixiang1DelPos = cp.v(16280+960,1740+51+parent.back2DeltaY);
    var shixiang = new cc.Sprite("res/car_b/scene3/shixiang/hou/0");
    shixiang.setFlippedX(true);
    shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang);
    shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var shixiang_qian = new cc.Sprite("res/car_b/scene3/shixiang/qian/0");
    shixiang_qian.setFlippedX(true);
    shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos10-1);
    shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang_qian);


    var fourBoundaryShape = [];
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(742, 371),cp.v(400,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(775, 263),cp.v(400,0)),longzi_guanqia.shixiang1DelPos));
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(775, 263),cp.v(400,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(884, 234),cp.v(400,0)),longzi_guanqia.shixiang1DelPos));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(884, 234),cp.v(400,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(989, 289),cp.v(400,0)),longzi_guanqia.shixiang1DelPos));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v.sub(cp.v(989, 289),cp.v(400,0)),longzi_guanqia.shixiang1DelPos),cp.v.add(cp.v.sub(cp.v(930, 407),cp.v(400,0)),longzi_guanqia.shixiang1DelPos));

    var pos = [cp.v(200+190,300),cp.v(250+190,300),cp.v(300+190,300),cp.v(220+190,350),cp.v(270+190,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 5;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(60,50),1,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/hong",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],longzi_guanqia.shixiang1DelPos),0.40+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
    }

    var qiananim = animationCreate2(0,4,"res/car_b/scene3/shixiang/qian/","", 0.13, 1, false);
    qiananim.retain();

    var houanim = animationCreate2(0,5,"res/car_b/scene3/shixiang/hou/","", 0.13, 1, false);
    houanim.retain();

    longzi_guanqia.shixiangAnim = function(){
        shixiang_qian.runAction(cc.sequence(qiananim,cc.fadeOut(0.2)));
        shixiang.runAction(houanim);
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(10+getRand0ToN(10),10+getRand0ToN(20)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(380,358)));
    longzi_guanqia.clickTip.setGlobalZOrder(constCar.globalZOrder.level_pos10-1);

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        parent.spriteController.setShouldUpdate(false);
        var func = function () {
            parent.spriteController.setShouldUpdate(true);
            parent.spriteController._carController.controllayerUpdate  = true;
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("tieqiu");
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"stone-1-3 sea-1-5-6",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim();}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.spriteController._carController.controllayerUpdate  = false;
        parent.updateController.pushOneDataToArray(longzi_guanqia.shixiang1DelPos.x - 100, func);
    }

    longzi_guanqia.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),400,360,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(420,240)),longzi_guanqia.clickCallback);//this is next

    return longzi_guanqia;
}

var a3_guanqia_longzi_2 = function(parent,inpos){
    var longzi_guanqia = {};
    longzi_guanqia.deltaPos = inpos;

    var longziqian = new cc.Sprite("res/car_a/scene3/zangyulongzi/qian/1");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_a/scene3/zangyulongzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_a/scene3/zangyu/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(10,-15)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);


    var fourBoundaryShape = [];
    var deltaPos1 = cp.v.add(cp.v(-235,-270+10),longzi_guanqia.deltaPos);
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(240,210 - 30),deltaPos1));//down left
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(160,310),deltaPos1));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),deltaPos1),cp.v.add(cp.v(320,310),deltaPos1));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v(240,210 - 30),deltaPos1),cp.v.add(cp.v(320,210),deltaPos1));//down right


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 3;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(40,40),1,cp.v.add(pos[i],deltaPos1),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/huang",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],deltaPos1),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5+1);
    }

    var animqian = animationCreate2(1, 4, "res/car_a/scene3/zangyulongzi/qian/", "", 0.1, 1, false);
    animqian.retain();
    var animhou = animationCreate2(0, 4, "res/car_a/scene3/zangyulongzi/hou/", "", 0.1, 1, false);
    animhou.retain();

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(animqian,cc.removeSelf(true)));
        longzihou.runAction(cc.sequence(animhou,cc.removeSelf(true)));
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.moveBy(1,-10,-50),
                    cc.moveBy(4,0,600)
                    ,cc.removeSelf(true)
                ),
                animationCreate2(0, 16, "res/car_a/scene3/zangyu/", "", 0.08, 20, false)
            ));
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(1+getRand0ToN(1),1+getRand0ToN(2)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.deltaPos,cp.v(0,28)));

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos1);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("zhuantou");
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"sea-zhangyu",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(1.3),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos10);
                        longzi_guanqia.shixiangAnim()
                    }),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 420, func);//480
    };

    longzi_guanqia.colorNodeListener = createColorNodeListener(
        parent,
        cc.color(255,0,0,constCar.debug.opacity),
        220,
        280,
        longzi_guanqia.deltaPos,
        longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var a3_guanqia_longzi_5 = function(parent,position){
    var longzi_guanqia = {};
    longzi_guanqia.deltaPos = cp.v.add(cp.v(-200,-200),position);

    var longziqian = new cc.Sprite("res/car_a/scene3/zangyulongzi/qian/1");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_a/scene3/zangyulongzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_a/scene3/xiaoyu/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(32,-15)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos1+1);


    var fourBoundaryShape = [];
    var deltaPos1 = cp.v.add(cp.v(-235,-270+10),longzi_guanqia.deltaPos);
    fourBoundaryShape[0] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(240,210 - 30),deltaPos1));//down left
    fourBoundaryShape[1] = parent.physicsController.addALine(cp.v.add(cp.v(160,210),deltaPos1),cp.v.add(cp.v(160,310),deltaPos1));
    fourBoundaryShape[2] = parent.physicsController.addALine(cp.v.add(cp.v(320,210),deltaPos1),cp.v.add(cp.v(320,310),deltaPos1));
    fourBoundaryShape[3] = parent.physicsController.addALine(cp.v.add(cp.v(240,210 - 30),deltaPos1),cp.v.add(cp.v(320,210),deltaPos1));//down right


    var pos = [cp.v(200,300),cp.v(250,300),cp.v(300,300),cp.v(220,350),cp.v(270,350)];
    var bodyshapes = [];
    var physicssprites = [];
    for(var i = 0;i < 3;i ++){
        bodyshapes[i] = makeRectangleBody2(parent._space,makeRectPropCustom(cp.v(40,40),1,cp.v.add(pos[i],deltaPos1),10 * (1 + i)));
        physicssprites[i] = makeSkin_simple_2(bodyshapes[i][0],parent,makeSkin_simple_2_prop("res/common/baoshi/lan",cp.v(0.5,0.5),0,90,cp.v.add(pos[i],deltaPos1),0.43+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
    }

    var animqian = animationCreate2(1, 4, "res/car_a/scene3/zangyulongzi/qian/", "", 0.1, 1, false);
    animqian.retain();
    var animhou = animationCreate2(0, 4, "res/car_a/scene3/zangyulongzi/hou/", "", 0.1, 1, false);
    animhou.retain();

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(animqian,cc.removeSelf(true)));
        longzihou.runAction(cc.sequence(animhou,cc.removeSelf(true)));
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.moveBy(0.2,-40,70).easing(cc.easeIn(3)),
                    cc.bezierBy(2, [cp.v(-30*5,30*5),cp.v(-80*5,20*5),cp.v(-200*5,10*5),cp.v(-300*5,70*5)]),
                    cc.fadeOut(0.5)
                    ,cc.removeSelf(true)
                ),
                cc.sequence(animationCreate2(0, 9, "res/car_a/scene3/xiaoyu/", "", 0.04, 3, false),animationCreate2(0, 9, "res/car_a/scene3/xiaoyu/", "", 0.09, 40, false))
            ));
        for(var i = 0;i < 4; i ++){
            parent._space.removeShape(fourBoundaryShape[i]);
        }
        // for(var i = 0;i < bodyshapes.length;i ++){
        //     bodyshapes[i][0].applyImpulse(cp.v(1+getRand0ToN(1),1+getRand0ToN(2)),cp.v(0,0));
        // }
        parent.scheduleOnce(function(){
            for(var i = 0;i < bodyshapes.length;i ++){
                parent._space.removeShape(bodyshapes[i][1]);
                parent._space.removeBody(bodyshapes[i][0]);
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.deltaPos,cp.v(0,28)));

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos1);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("zhuantou");
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"sea-jinyu",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(1.5),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos10);
                        longzi_guanqia.shixiangAnim();
                    }),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(position.x - 600, func);
    }

    longzi_guanqia.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),300,260,cp.v.add(position,cp.v(-200,-170)),longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
var a3_guanqia_longzi_7 = function(parent,_pos){
    var longzi_guanqia = {};
    longzi_guanqia.deltaPos = _pos;

    var longziqian = new cc.Sprite("res/car_a/scene3/haimalongzi/qian/1");
    longziqian.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longziqian,10);
    longziqian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);

    var longzihou = new cc.Sprite("res/car_a/scene3/haimalongzi/hou/0");
    longzihou.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(0,0)));
    parent.addChild(longzihou,5);
    longzihou.setGlobalZOrder(constCar.globalZOrder.level_pos5);

    var yu = new cc.Sprite("res/car_a/scene3/haima/0");
    yu.setPosition(cp.v.add(longzi_guanqia.deltaPos,cp.v(12,-85)));
    parent.addChild(yu,8);
    yu.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);

    var haimalongzianim = cc.sequence(animationCreate2(0, 5, "res/car_a/scene3/haimalongzi/hou/", "", 0.1, 1, false));
    haimalongzianim.retain();

    var longziqiananim = animationCreate2(1, 5, "res/car_a/scene3/haimalongzi/qian/", "", 0.1, 1, false);
    longziqiananim.retain();


    var deltaPos1 = cp.v.add(cp.v(-135-70,-270-60),longzi_guanqia.deltaPos);
    var pos = [cp.v(200,230),cp.v(250,240),cp.v(300,230),cp.v(220,350),cp.v(270,350)];
    var physicssprites = [];
    for(var i = 0;i < 3;i ++){
        physicssprites[i] = makeSkin_simple_2_no_physics(parent,makeSkin_simple_2_prop_no_physics("res/common/baoshi/lan",cp.v(0.5,0.5),30 + getRand0ToN(120),cp.v.add(pos[i],deltaPos1),0.4+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    }

    longzi_guanqia.shixiangAnim = function(){
        longziqian.runAction(cc.sequence(longziqiananim,cc._CallFunc(function(){
            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos10);
        }),cc.fadeOut(0.2)));
        longzihou.runAction(haimalongzianim);
        yu.runAction(
            cc.spawn(
                cc.sequence(
                    cc.bezierBy(2, [cp.v(100,30),cp.v(130,60),cp.v(300,500)]),
                    cc.fadeOut(0.5)
                    ,cc.removeSelf(true)
                ),
                animationCreate2(1, 9, "res/car_a/scene3/haima/", "", 0.12, 40, false)
            ));
        for(var i = 0;i < 3;i ++){
            physicssprites[i].runAction(cc.sequence(
                cc.moveBy(0.4,0,-50),
                cc.rotateBy(0.2,10 + getRand0ToN(10))
            ));
        }
        parent.scheduleOnce(function(){
            for(var i = 0;i < 3;i ++){
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 300);
                    sendAddOneEvent();
                    parenttarget[0].stopAllActions();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(longzi_guanqia.deltaPos,cp.v(100,38)));

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        parent.spriteController.getCar().rightWheel.shape.setFriction(1);
        parent.spriteController.getCar().leftWheel.shape.setFriction(1);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos5+1);
                            playCarEffect("zhuantou");
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"sea-haima",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.8),
                    cc.callFunc(function(){longzi_guanqia.shixiangAnim();}),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.getCar().rightWheel.shape.setFriction(0.8);
                        parent.spriteController.getCar().leftWheel.shape.setFriction(0.8);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.deltaPos.x - 370, func);
    }
    longzi_guanqia.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),500,460,cp.v.add(longzi_guanqia.deltaPos,cp.v(100,0)),longzi_guanqia.clickCallback);


    return longzi_guanqia;
}


var a3_guanqia_longzi_9 = function(parent,position){
    var longzi_guanqia = {};

    longzi_guanqia.shixiang1DelPos = cp.v.add(cp.v(-100,-200),position);
    var shixiang = new cc.Sprite("res/car_a/scene3/shixiang1/hou/0");
    shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5-3);
    shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang);

    var shixiang_qian = new cc.Sprite("res/car_a/scene3/shixiang1/qian/0");
    shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2-3);
    shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang_qian);

    var _deltaPos = cp.v(55,15);
    var deltaX = 50;


    var pos = [cp.v(200+13,300-60),cp.v(250+13,300-60),cp.v(230+13,320-60),cp.v(220+13,350),cp.v(270+13,350)];

    var physicssprites = [];
    for(var i = 0;i < 3;i ++){

        physicssprites[i] = makeSkin_simple_2_no_physics(parent,makeSkin_simple_2_prop_no_physics("res/common/baoshi/lan",cp.v(0.5,0.5),30 + getRand0ToN(120),cp.v.add(pos[i],cp.v.add(longzi_guanqia.shixiang1DelPos,_deltaPos)),0.40+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5-3);
    }

    var qiananim = animationCreate2(0,4,"res/car_a/scene3/shixiang1/qian/","", 0.13, 1, false);
    qiananim.retain();
    var houanim = animationCreate2(0,5,"res/car_a/scene3/shixiang1/hou/","", 0.13, 1, false);
    houanim.retain();

    longzi_guanqia.shixiangAnim = function(){
        shixiang_qian.runAction(cc.sequence(qiananim,cc.callFunc(function(){
            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos10);
        }),cc.fadeOut(0.2)));
        shixiang.runAction(houanim);

        for(var i = 0;i < 3;i ++){
            physicssprites[i].runAction(cc.sequence(
                cc.moveBy(0.4,0,-150),
                cc.rotateBy(0.2,10 + getRand0ToN(10))
            ));
        }
        this.scheduleOnce(function(){
            for(var i = 0;i < 3;i ++){
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 300);
                    sendAddOneEvent();
                    parenttarget[0].stopAllActions();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(position,cp.v(190,148)));

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        var func = function () {
            // parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos1);
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("zhuantou");
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"sea-xiong",false);
                        }
                    ),
                    cc.delayTime(0.6),
                    cc.callFunc(function(){
                        parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos5+1-3);
                    })
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){
                        longzi_guanqia.shixiangAnim();
                    }),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos1);
                        parent.spriteController.shieldTheLayer(false);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.shixiang1DelPos.x - 100, func);
    }

    longzi_guanqia.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,460,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)),longzi_guanqia.clickCallback);


    return longzi_guanqia;
}
var a3_guanqia_longzi_a = function(parent,position){
    var longzi_guanqia = {};

    longzi_guanqia.shixiang1DelPos = cp.v.add(cp.v(-100,-200),position);
    var shixiang = new cc.Sprite("res/car_a/scene3/shixiang2/hou/0");
    shixiang.setGlobalZOrder(constCar.globalZOrder.level_pos5);
    shixiang.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang);

    var shixiang_qian = new cc.Sprite("res/car_a/scene3/shixiang2/qian/0");
    shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos5+2);
    shixiang_qian.setPosition(cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)));
    parent.addChild(shixiang_qian);

    var _deltaPos = cp.v(55,15);
    var deltaX = 50;

    var pos = [cp.v(200+13,300-60),cp.v(250+13,300-60),cp.v(230+13,320-60),cp.v(220+13,350),cp.v(270+13,350)];

    var physicssprites = [];
    for(var i = 0;i < 3;i ++){
        physicssprites[i] = makeSkin_simple_2_no_physics(parent,makeSkin_simple_2_prop_no_physics("res/common/baoshi/huang",cp.v(0.5,0.5),30 + getRand0ToN(120),cp.v.add(pos[i],cp.v.add(longzi_guanqia.shixiang1DelPos,_deltaPos)),0.40+(getRand0ToN(1) - 0.5) * 0.05));
        physicssprites[i].setGlobalZOrder(constCar.globalZOrder.level_pos5);
    }

    var qiananim = animationCreate2(0,4,"res/car_a/scene3/shixiang2/qian/","", 0.13, 1, false);
    qiananim.retain();

    var houanim = animationCreate2(0,5,"res/car_a/scene3/shixiang2/hou/","", 0.13, 1, false);
    houanim.retain();

    longzi_guanqia.shixiangAnim = function(){
        shixiang_qian.runAction(cc.sequence(qiananim,cc.callFunc(function(){
            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos5 + 1);
        }),cc.fadeOut(0.2)));
        shixiang.runAction(houanim);

        for(var i = 0;i < 3;i ++){
            physicssprites[i].runAction(cc.sequence(
                cc.moveBy(0.4,0,-150),
                cc.rotateBy(0.2,10 + getRand0ToN(10))
            ));
        }
        this.scheduleOnce(function(){
            for(var i = 0;i < 3;i ++){
                createColorNodeListener2(physicssprites[i],cc.color(255,0,0,constCar.debug.opacity),250,250,cp.v(125,125),function(parenttarget){
                    var pos = SpriteController.getInstance().getCar().chassisSpr.getPosition();
                    playTreasureEffect();
                    var bezierCenter = cp.v((parenttarget[0].getPosition().x + pos.x)/2,(parenttarget[0].getPosition().y + pos.y)/2 + 200);
                    sendAddOneEvent();
                    parenttarget[0].stopAllActions();
                    parenttarget[0].runAction(cc.sequence(cc.bezierTo(0.5,[bezierCenter,bezierCenter,pos]),cc.fadeOut(0.2)));
                });
            }
        }.bind(parent),2);
    }.bind(parent);

    longzi_guanqia.clickTip = ClickTipSpr(parent,cp.v.add(position,cp.v(200,148)));

    longzi_guanqia.clickCallback = function(){
        longzi_guanqia.clickTip.destroySelf();
        parent.spriteController.shieldTheLayer(true);
        // parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos1);
        var func = function () {
            var node = new cc.Node();
            parent.addChild(node);
            node.runAction(cc.spawn(
                cc.sequence(
                    cc.delayTime(0.1),
                    cc.callFunc(
                        function(){
                            playCarEffect("zhuantou");
                            parent.spriteController.getCar().machinearm.setGlobalZOrder(constCar.globalZOrder.level_pos5 + 1);
                            parent.spriteController.getCar().removeAllJointsShapeBody();
                            parent.spriteController.getCar().machinearm.setAnimation(1,"sea-xiong",false);
                        }
                    )
                ),
                cc.sequence(
                    cc.delayTime(0.6),
                    cc.callFunc(function(){
                        longzi_guanqia.shixiangAnim();
                    }),
                    cc.delayTime(2),
                    cc.callFunc(function(){
                        shixiang_qian.setGlobalZOrder(constCar.globalZOrder.level_pos1);
                        parent.spriteController.getCar().readdAllJointsShapeBodyNormal();
                        parent.spriteController.shieldTheLayer(false);
                    })
                )
            ));
        };
        func.controlValue = true;
        parent.updateController.pushOneDataToArray(longzi_guanqia.shixiang1DelPos.x - 100, func);
    }

    longzi_guanqia.tempSprite = createColorNodeListener(parent,cc.color(255,0,0,constCar.debug.opacity),200,460,cp.v.add(longzi_guanqia.shixiang1DelPos,cp.v(300,300)),longzi_guanqia.clickCallback);

    return longzi_guanqia;
}
