function makeObscaleProp(position,scale,group){
	var obscaleProp = {};
	
	obscaleProp.position = position;
	obscaleProp.scale = scale;
	obscaleProp.group = group;
	
	return obscaleProp;
}
function makeObscale(space,parent,prop){
	var obscale = {};
	
	var position = prop.position;
	var scale = prop.scale;
	var group = prop.group;
	var radius = 23;
	radius *= scale;
	
	obscale = new cc.Sprite("res/car_a/scene1/luzhang");
	parent.addChild(obscale,100);
	obscale.setPosition(position);
	obscale.setScale(scale);
	
	// var body = space.staticBody;//a big buy,next time will be carefully..............
	var body = new cp.StaticBody(1,1);
	body.setPos(cp.v(position.x,position.y - 10*scale));

	var shape = space.addShape(new cp.CircleShape(body, radius, cp.vzero));
	shape.setElasticity(0);
	shape.setFriction(1);
	shape.group = group;

	
	
	return obscale;
}
function a1_guanqia_luzhang_9(space,parent,position){
	var deltaX = position.x;
	var deltaY = position.y;
	var distX = 100;
	var distY = 2;
	var scale = [0.6,0.75,0.65,0.65,0.7,0.65];
	for(var i = 0;i <= 5;i ++){
		if(0 == i % 2){
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY + distY),scale[i],0x1111));
		}else{
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY - distY),scale[i],0x1111));
		}
	}
}
function b1_guanqia_luzhang_a_1(space,parent){
	var deltaX = 12670;
	var deltaY = -179;
	var distX = 100;
	var distY = 2;
	var scale = [0.6,0.75,0.65,0.65,0.7,0.65];
	for(var i = 0;i <= 5;i ++){
		if(0 == i % 2){
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY + distY),scale[i],0x1111));
		}else{
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY - distY),scale[i],0x1111));
		}
	}
}

function b1_guanqia_luzhang_a(space,parent,pos){//
	var deltaX = pos.x;
	var deltaY = pos.y;
	var distX = 100;
	var distY = 2;
	var scale = [0.6,0.75,0.65,0.65,0.7,0.65];
	for(var i = 0;i <= 5;i ++){
		if(0 == i % 2){
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY + distY),scale[i],0x1111));
		}else{
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY - distY),scale[i],0x1111));
		}
	}
}
function c1_guanqia_luzhang_5(space,parent,pos){//
	var deltaX = pos.x;
	var deltaY = pos.y;
	var distX = 100;
	var distY = 2;
	var scale = [0.6,0.75,0.65,0.65,0.7,0.65];
	for(var i = 0;i <= 5;i ++){
		if(0 == i % 2){
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY + distY),scale[i],0x1111));
		}else{
			makeObscale(space,parent,makeObscaleProp(cp.v(deltaX + distX * i,deltaY - distY),scale[i],0x1111));
		}
	}
}
