var a1_guanqia_qiqiu_8 = function(parent,position){
    var balloon = {};

    balloon.deltaPos = position;
    var balloons = [];

    balloon.collisionlines = [];
    for(var i = 0;i < 3;i ++){

        var j = i + 1;
        balloons[i] = new cc.Sprite("res/common/qiqiu/qiqiu"+j+"/1");
        parent.addChild(balloons[i]);
        balloons[i].setPosition(cp.v.add(balloon.deltaPos,cp.v(i * 200,0)));

        var collline = collisionline_new(
            parent._space,
            cp.v.add(position,cp.v.add(cp.v(-280,-100),cp.v(i * 200,0))),
            cp.v.add(position,cp.v.add(cp.v(-280,-130),cp.v(i * 200,0))),
            function(backshape){
                this.runAction(cc.sequence(animationCreate2(1, 4, "res/common/qiqiu/qiqiu1/", "", 0.1, 1, false),cc.removeSelf(true)));
                playBalloonEffect();
                parent._space.removeShape(backshape);
            }.bind(balloons[i]),
            getNewCollType(),
            0.4);

        balloon.collisionlines.push(collline);
    }

    return balloon;
}

var c1_guanqia_qiqiu_e = function(parent,position){
    var balloon = {};

    balloon.deltaPos = position;
    var balloons = [];

    balloon.leftCollisionLine = collisionline_new(
        parent._space,
        cp.v.add(position,cp.v.add(cp.v(-280,-100),cp.v(-1 * 200,0))),
        cp.v.add(position,cp.v.add(cp.v(-280,-130),cp.v(-1 * 200,0))),
        function(backshape){
            parent._space.removeShape(backshape);
            // parent.spriteController.getCar().machinearm.setAnimation(1,"c1-e-n2",true);
            //
            // balloon.leftCollisionLine = collisionline_new(
            //     parent._space,
            //     cp.v.add(position,cp.v.add(cp.v(-280-300,-100),cp.v(-1 * 200,0))),
            //     cp.v.add(position,cp.v.add(cp.v(-280-300,-130),cp.v(-1 * 200,0))),
            //     function(backshape){
            //         parent._space.removeShape(backshape);
            //         parent.spriteController.getCar().machinearm.setAnimation(1,"cycle",true);
            //     },
            //     getNewCollType(),
            //     0.4);
        },
        getNewCollType(),
        0.4);

    balloon.collisionlines = [];
    for(var i = 0;i < 3;i ++){

        var j = i + 1;
        balloons[i] = new cc.Sprite("res/common/qiqiu/qiqiu"+j+"/1");
        balloons[i].idx = i;
        parent.addChild(balloons[i]);
        balloons[i].setPosition(cp.v.add(cp.v.add(balloon.deltaPos,cp.v(0,70)),cp.v(i * 200,0)));

        var collline = collisionline_new(
            parent._space,
            cp.v.add(position,cp.v.add(cp.v(-280,-100),cp.v(i * 200,0))),
            cp.v.add(position,cp.v.add(cp.v(-280,-130),cp.v(i * 200,0))),
            function(backshape){
                this.runAction(
                    cc.sequence(
                        cc.spawn(
                            animationCreate2(1, 4, "res/common/qiqiu/qiqiu1/", "", 0.1, 1, false),
                            cc.callFunc(function(){
                                playBalloonEffect();
                            })
                        ),
                        cc.removeSelf(true)));
                parent._space.removeShape(backshape);

                if(2 == this.idx){
                    var node = new cc.Node();
                    parent.addChild(node);
                    node.runAction(cc.sequence(cc.delayTime(0.8),cc.callFunc(function(){
                        // parent.spriteController.getCar().machinearm.setAnimation(1,"c1-e-n3",false);
                    })));
                }
            }.bind(balloons[i]),
            getNewCollType(),
            0.4);

        balloon.collisionlines.push(collline);
    }

    return balloon;
}
