function addOneMenu(parent,zorder,normalpath,highpath,callback,_posx,_posy,anchorx,anchory){
    var arrayMenu = [];

    var item = cc.MenuItemImage(
        normalpath,
        highpath,
        callback,
        parent
    );
    item.attr({
        x: posx,
        y: posy,
        anchorX: anchorx,
        anchorY: anchory
    });
    arrayMenu[0] = item;

    var menu = cc.Menu(arrayMenu);
    menu.setPosition(0,0);
    parent.addChild(menu,zorder);

    return menu;
}
//number, prefix, delayPerUnit, times, resumeOriginFrame
var PathObj = cc.Class.extend({
    number:null,
    prefix:null,
    delayPerUnit:null,
    times:null,
    resumeOriginFrame:null,
    ctor:function(number,prefix, delayPerUnit, times, resumeOriginFrame){
        this.number = number;
        this.prefix = prefix;
        this.delayPerUnit = delayPerUnit;
        this.times = times;
        this.resumeOriginFrame = resumeOriginFrame;
    },
});
var BoxObj = cc.Class.extend({
    x:null,
    y:null,
    width:null,
    height:null,
    ctor:function(x,y, width, height){
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
    },
});



function isPad(){
    if(cc.sys.os == cc.sys.OS_ANDROID){
        var strSize = jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "getScreenSize", "()Ljava/lang/String;");
        if(strSize && strSize.length){
            var parse_result = JSON.parse(strSize);
            var width = parseInt(parse_result.width);
            var height = parseInt(parse_result.height);
            if(width *3 == height * 4){
                return true;
            }
        }
        return false;
    }else if(cc.sys.os == cc.sys.OS_IOS){
        return false;
    }
}