function testScreen(){
    var screen = new cc.RenderTexture(GW2,GH2);
    screen.begin();            //开始抓屏
    this.visit(); //遍历当前场景Scene的所有子节点信息，画入screen中
    screen.end();              //结束抓屏
    var sheet=screen.getSprite();
    sheet.removeFromParent(false);
    sheet.setPosition(GW2,GH2);
    sheet.setScale(0.5);
    this.addChild(sheet);
}



var LockLayer = cc.Layer.extend({
	end:null,
	fileName:null,
	result:null,
	ctor:function(precall,target,endcall){
		this._super();
		this.end = false;
		this.result = null;
		this.fileName = "a.jpg";
		this.precall = precall;
		this.target = target;
		this.endcall = endcall;

		this.listener = registerTouchEventOneByOne(this,true);
		this.handle();
	},
	handle:function(){
		if(this.precall){
			this.precall();
		}
		this.scheduleOnce(function(){
			var screen = this.screenShot();
			this.white = createStaticNode("res/K/picture/camera/camera_white_normal.png", this, cc.p(cc.winSize.width/2,cc.winSize.height/2), 3);


			createStaticNode("res/K/picture/camera/camera_back.png", this, cc.p(cc.winSize.width/2,cc.winSize.height/2), 0);

			screen.setPosition(cc.winSize.width/2,cc.winSize.height/2);
			screen.setRotation(-5.2);
			screen.setScale(0.8);
			this.addChild(screen,1);

			createStaticNode("res/K/picture/camera/camera_frame_normal.png", this, cc.p(cc.winSize.width/2,cc.winSize.height/2), 2);
            ddPlayEffect("effect","res/home/kacha.mp3",false);
			this.scheduleOnce(function(){
				this.white.removeFromParent(true);
				this.end = true;
			}.bind(this),0.6);
		}.bind(this),0.1);
	},
	onTouchBegan:function(touch,event){
		var target = event.getCurrentTarget();
		var locationInNode = target.convertToNodeSpace(touch.getLocation());
		var s = target.getContentSize();
		var rect = cc.rect(0, 0, s.width, s.height);
		if (cc.rectContainsPoint(rect, locationInNode)) {
			if(this.end){
				this.end = false;
				this.screenShot2();
				this.drop();
				return true;
			}
			return true;
		}
		return false;
	},
	drop:function(){
	    this.scheduleOnce(function(){
    	    this.runAction(cc.sequence(
                cc.moveBy(0.4,0,-640*1.4).easing(cc.easeExponentialIn()),
                cc.callFunc(function(){
                    cc.eventManager.removeListener(this.listener);
                    if(this.endcall)
                        this.flushImg(this.result,jsb.fileUtils.getWritablePath()+this.fileName);
                        this.endcall();
                        this.removeFromParent(true);
                }.bind(this))
            ));
    	}.bind(this),0.2);
	},
	screenShot:function(){
		var screen = new cc.RenderTexture(cc.winSize.width,cc.winSize.height);
		screen.begin();            //开始抓屏
		this.target.visit(); //遍历当前场景Scene的所有子节点信息，画入screen中
		screen.end();              //结束抓屏
		var sheet=screen.getSprite();
		sheet.removeFromParent(false);
		return sheet;
	},
	flushImg:function(result,imgPath){
         if (result) {
             if(jsb.fileUtils.isFileExist(imgPath)){
                 jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "saveImage",  "(Ljava/lang/String;)V",imgPath);
             }
          }
    },
	screenShot2:function(){
    	var screen = new cc.RenderTexture(cc.winSize.width,cc.winSize.height);
    	screen.begin();            //开始抓屏
    	this.target.visit();       //遍历当前场景Scene的所有子节点信息，画入screen中
    	screen.end();              //结束抓屏

        this.result = screen.saveToFile(this.fileName, cc.IMAGE_FORMAT_JPEG,0);
    }
});

var CamMenu = cc.Sprite.extend({
    couldEnter:null,
    couldTouch:null,
    ctor:function(callback){
        this._super("res/K/picture/camera/camera_icon.png");
        this.couldTouch = true;
        this.couldEnter = true;
        this.callback = callback;

        registerTouchEventOneByOne(this,true);
    },
    onTouchBegan:function(touch,event){
        var target = event.getCurrentTarget();
        var locationInNode = target.convertToNodeSpace(touch.getLocation());
        var s = target.getContentSize();
        var rect = cc.rect(0, 0, s.width, s.height);
        var self = this;
        if (cc.rectContainsPoint(rect, locationInNode) && this.couldTouch && this.couldEnter) {
            this.unscheduleAllCallbacks();
            this.couldTouch = false;
            return true;
        }
        return false;
    },
    onTouchMoved:function(touch,event){
    },
    onTouchEnded:function(touch,event){
        this.callback();
        this.scheduleOnce(function(){
            this.couldTouch = true;
        }.bind(this),0.5);
    }
});
function addCamMenu(parent, position, callback){
    var retItem = new CamMenu(callback);
    retItem.setScale(0.8);
    retItem.setPosition(position);
    parent.addChild(retItem);

    return retItem;
}