var CustomTimerNode = cc.Node.extend({
    deltaSeconds:null,
    ctor:function(seconds,callback){
        this._super();

        this.seconds = seconds;
        this.cb = callback;

        this.deltaSeconds = 0;
    },
    startTimer:function(){
        this.schedule(function(){
            this.deltaSeconds ++;
            // mylog("当前过去 "+this.deltaSeconds+" 秒..");
            if(this.deltaSeconds >= this.seconds){
                // mylog("过去了 "+this.seconds+"s 开始回调函数");
                this.deltaSeconds = 0;
                this.cb();
            }
        }.bind(this),1,cc.REPEAT_FOREVER,0);
    },
    zeroDeltaSeconds:function(){
        this.deltaSeconds = 0;
    },
    pauseTimer:function(){
        this.pause();
    },
    resumeTimer:function(){
        this.resume();
    }
});
